2013-05-08  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GStreamer] Does memory buffering even with preload set to none
        https://bugs.webkit.org/show_bug.cgi?id=115754

        Reviewed by Philippe Normand.

        Covered by existing tests.

        Revision 148840 fixed on-disk buffering being done when preload is set to none,
        but memory buffering is still being done. That is because setting the state to
        paused causes GStreamer to start loading the media, to gather information. Only
        doing that when committing the load avoids that while maintaining the tested
        behaviour unchanged.

        * platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:
        (WebCore::MediaPlayerPrivateGStreamer::load): move setting pause state to commitLoad.
        (WebCore::MediaPlayerPrivateGStreamer::commitLoad): see above.

2013-04-12  Balazs Kelemen  <kbalazs@webkit.org>

        [GStreamer] Media attribute preload="none" is not honored
        https://bugs.webkit.org/show_bug.cgi?id=114357

        Reviewed by Philippe Normand.

        Fix the logic that prevents live streams from being buffered to not make preload="none" ignored.

        Test: http/tests/media/video-preload.html
        We need a http test because the bug does not triggered with local files.

        * platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:
        (WebCore::MediaPlayerPrivateGStreamer::MediaPlayerPrivateGStreamer):
        * platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.h:
        (MediaPlayerPrivateGStreamer):
        Remove m_originalPreloadWasAutoAndWasOverridden because it is not necessary and it is causing this bug.
        Currently if the tag has preload="none" attribute we set m_preload to Auto in the constructor. After that
        MedaPlayer calls setPreload(None), so we set m_originalPreloadWasAutoAndWasOverridden to true and later
        reset m_preload to Auto. The error prone factor here is that the m_preload member is repeated in the
        private class and setPreload is also used there. This seems to be necessary because we need to be able
        to ignore preloading if this is a live stream. Fortunately the original parsed value is available in the
        constructor, so we can use that. This will give the correct value that we should override only in the case
        of a live stream and that's it, we don't need to reset it later to Auto.
        Furthermore, we should ignore setting preload to auto from js if it is a live stream. This patch also handles
        this with an early return in setPreload.

2013-04-02  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Make libsecret optional
        https://bugs.webkit.org/show_bug.cgi?id=113821

        Reviewed by Gustavo Noronha Silva.

        Don't try to use libsecret if credential storage is disabled.

        * platform/gtk/GRefPtrGtk.cpp: Protect libsecret sections.
        * platform/gtk/GRefPtrGtk.h: Ditto.
        * platform/network/gtk/CredentialBackingStore.cpp: Ditto.

2013-04-11  Carlos Garcia Campos  <cgarcia@igalia.com>

        FrameLoaderClient::assignIdentifierToInitialRequest() not called for the main resource when loaded from the memory cache
        https://bugs.webkit.org/show_bug.cgi?id=112418

        Reviewed by Darin Adler.

        When the main resource is loaded from the memory cache the
        response is not added to the ResponseVector of the document
        loader, so that when committing the provisional load the remaining
        delegate messages are not called because the ResponseVector of the
        document loader is empty. When the main resource is loaded from
        the memory cache, there's no resource loader, and the client is
        notified about the response received using
        ResourceLoadNotifier::dispatchDidReceiveResponse() directly
        instead of ResourceLoadNotifier::didReceiveResponse() which is the
        one adding the response to the ResponseVector of the document
        loader. So, the problem can be fixed by adding the response to the
        ResponseVector before calling dispatchDidReceiveResponse() when
        loading the main resource without a resource loade

        Test: loader/go-back-cached-main-resource.html

        * loader/DocumentLoader.cpp:
        (WebCore::DocumentLoader::responseReceived):

2013-04-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] DOM objects created wrapping a base class have incorrect GObject type
        https://bugs.webkit.org/show_bug.cgi?id=113132

        Reviewed by Gustavo Noronha Silva.

        Some of the DOM methods can create a concrete instance of another
        object, but return a base class. GObject bindings provide custom
        kit implementations for Node, Element, Event and EvenTarget, so
        any concrete HTMLElement wrapped as an HTMLElement ends up
        wrapping the right WebCore object but in the wrong GObject type.
        This affects not only HTMLElements, but any polymorphic object
        wrapped using a base class.
        This patch changes the way objects are created, so that all
        classes have their own kit implementation, but for polymorphic
        objects the kit implementation of the base class is always
        used. The kit method of polymorphic base classes use a generic
        wrap method instead of the wrapFoo method like all other
        classes. In the static code we provide the implementation of the
        generic wrap method for every polimorphic base class, falling back
        to their wrapFoo method if the concrete object can't be used to
        wrap the object.
        Both WebKitDOMBinding and WebKitHTMLElementWrapperFactory now provide
        implementations of wrap and have been renamed to WebKitDOMPrivate
        and WebKitDOMHTMLPrivate.

        * bindings/gobject/GNUmakefile.am:
        * bindings/gobject/WebKitDOMBinding.cpp: Removed.
        * bindings/gobject/WebKitDOMEventTarget.cpp:
        (WebKit::kit): Moved kit implementation from WebKitDOMBinding for
        consistency with all other objects that have their own kit.
        (WebKit::core): Updated to match the core implementation fo all
        other objects.
        * bindings/gobject/WebKitDOMEventTargetPrivate.h:
        (WebCore):
        (WebKit):
        * bindings/gobject/WebKitDOMHTMLPrivate.cpp: Added.
        (WebKit): Use preprocessor macros to define and set the wrap
        functions of all HTML elements, removing a lot of boilerplate code
        and making it easier to add new wrap functions in the future.
        (WebKit::wrap):
        * bindings/gobject/WebKitDOMHTMLPrivate.h: Renamed from Source/WebCore/bindings/gobject/WebKitHTMLElementWrapperFactory.h.
        (WebCore):
        (WebKit):
        * bindings/gobject/WebKitDOMObject.cpp:
        * bindings/gobject/WebKitDOMPrivate.cpp: Added.
        (WebKit):
        (WebKit::wrap):
        * bindings/gobject/WebKitDOMPrivate.h: Renamed from Source/WebCore/bindings/gobject/WebKitDOMBinding.h.
        (WebCore):
        (WebKit):
        * bindings/gobject/WebKitHTMLElementWrapperFactory.cpp: Removed.
        * bindings/scripts/CodeGeneratorGObject.pm:
        (IsBaseType): Helper function to check if a type is a base class.
        (GetBaseClass): Helper function to get the base class for a given
        parent type.
        (GenerateFunction): Remove special case for EventTarget since the
        kit prototype of EventTarget is in its private header like all
        other objects.
        (GenerateCFile): Add a kit implementation for all objects.
        (IsPolymorphic): Helper function to check if the given type is the
        base class of a polymorphic object.
        (Generate): Include the private header of the base class for
        polymorphic objects.
        (WriteData): Remove the special case for WebKitDOMNode since now
        all objects has a kit method.
        * bindings/scripts/test/GObject/WebKitDOMFloat64Array.cpp:
        (WebKit::kit):
        * bindings/scripts/test/GObject/WebKitDOMFloat64ArrayPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestActiveDOMObject.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestActiveDOMObjectPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestCallback.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestCallbackPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestCustomNamedGetter.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestCustomNamedGetterPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestEventConstructor.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestEventConstructorPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestEventTarget.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestEventTargetPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestException.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestExceptionPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestInterface.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestInterfacePrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestMediaQueryListListener.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestMediaQueryListListenerPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestNamedConstructor.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestNamedConstructorPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestNode.cpp:
        (WebKit::kit):
        * bindings/scripts/test/GObject/WebKitDOMTestNodePrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestObj.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestObjPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestOverloadedConstructors.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestOverloadedConstructorsPrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestSerializedScriptValueInterface.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestSerializedScriptValueInterfacePrivate.h:
        (WebKit):
        * bindings/scripts/test/GObject/WebKitDOMTestTypedefs.cpp:
        * bindings/scripts/test/GObject/WebKitDOMTestTypedefsPrivate.h:
        (WebKit):

2013-03-14  Xabier Rodriguez Calvar  <calvaris@igalia.com>

        [GStreamer] simulateAudioInterruption needs to be guarded by ENABLE(VIDEO)"
        https://bugs.webkit.org/show_bug.cgi?id=112358

        Guarded with ENABLE(VIDEO) to prevent problems when it is not
        enabled.

        Reviewed by Philippe Normand.

2013-03-14  Xabier Rodriguez Calvar  <calvaris@igalia.com>

        [GStreamer] Stopping playback of html5 media when receiving a higher priority audio event needs implementation
        https://bugs.webkit.org/show_bug.cgi?id=91611

        React to REQUEST_STATE GStreamer message to stop the pipeline when
        a higher priority stream is played. When this happens, states are
        updated accordingly.

        A method was added in the MediaPlayer class and internals to allow
        the the test runner to simulate an audio interruption.

        Reviewed by Philippe Normand.

        Test: media/media-higher-prio-audio-stream.html

        * platform/graphics/MediaPlayer.h:
        * platform/graphics/MediaPlayer.cpp:
        (WebCore):
        (MediaPlayer):
        (WebCore::MediaPlayer::simulateAudioInterruption): New method
        delegating an audio interruption to the private backend to
        simulate the use-case where an external application needs
        exclusive access to the audio device.
        * platform/graphics/MediaPlayerPrivate.h:
        (MediaPlayerPrivateInterface):
        (WebCore::MediaPlayerPrivateInterface::simulateAudioInterruption):
        Added default empty method in the common private header.
        * platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:
        (WebCore):
        (WebCore::MediaPlayerPrivateGStreamer::createAudioSink):
        (WebCore::setAudioStreamPropertiesCallback): Hooked to child-added
        signal on the audio sink, delegates on setAudioStreamProperties.
        (WebCore::MediaPlayerPrivateGStreamer::setAudioStreamProperties):
        Sets the audio stream properties.
        (WebCore::MediaPlayerPrivateGStreamer::MediaPlayerPrivateGStreamer):
        Initializes the new attribute.
        (WebCore::MediaPlayerPrivateGStreamer::~MediaPlayerPrivateGStreamer):
        Disconnects autoaudiosink signal.
        (WebCore::MediaPlayerPrivateGStreamer::changePipelineState):
        Changed logging.
        (WebCore::MediaPlayerPrivateGStreamer::handleMessage): Reacting to
        the REQUEST_STATE message.
        (WebCore::MediaPlayerPrivateGStreamer::simulateAudioInterruption):
        Added. Injects the REQUEST_STATE message to the pipeline.
        (WebCore::MediaPlayerPrivateGStreamer::updateStates): Updating the
        playback state if REQUEST_STATE.
        * platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.h:
        (MediaPlayerPrivateGStreamer): Added new method and attribute.
        * testing/Internals.h:
        * testing/Internals.idl:
        * testing/Internals.cpp:
        (WebCore):
        (WebCore::Internals::simulateAudioInterruption): Added to call the
        method to stop the element because of a higher prio stream at the
        tests.

2013-03-17  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Fix and improve dist hooks for translations
        https://bugs.webkit.org/show_bug.cgi?id=112519

        Reviewed by Carlos Garcia Campos.

        * GNUmakefile.am: move translation-related rules and lists to the po directory's
        GNUmakefile.am.

2013-03-17  Carlos Garcia Campos  <cgarcia@igalia.com>

        [ENCHANT] Invalid charset encoding used for spelling guess context menu items
        https://bugs.webkit.org/show_bug.cgi?id=112516

        Reviewed by Gustavo Noronha Silva.

        Convert spelling guesses returned by enchant to UTF-16 before
        passing them to WebCore.

        * platform/text/enchant/TextCheckerEnchant.cpp:
        (WebCore::TextCheckerEnchant::getGuessesForWord): Use
        String::fromUTF8().

2013-03-14  Xan Lopez  <xlopez@igalia.com>

        [GTK] Wrong ASSERT in AudioDestinationGstreamer::stop
        https://bugs.webkit.org/show_bug.cgi?id=112344

        Reviewed by Philippe Normand.

        Correct erroneous ASSERT, we want both member variables to exist.

        * platform/audio/gstreamer/AudioDestinationGStreamer.cpp:
        (WebCore::AudioDestinationGStreamer::stop):

2013-03-13  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Add webkit_uri_request_get_http_headers to WebKit2 GTK+ API
        https://bugs.webkit.org/show_bug.cgi?id=112160

        Reviewed by Martin Robinson.

        * platform/network/soup/GOwnPtrSoup.cpp:
        (WTF::SoupMessageHeaders): Add freeOwnedGPtr implementation for
        SoupMessageHeaders.
        (WTF):
        * platform/network/soup/GOwnPtrSoup.h:
        (WTF):
        * platform/network/soup/ResourceRequest.h:
        (ResourceRequest):
        * platform/network/soup/ResourceRequestSoup.cpp:
        (WebCore::ResourceRequest::updateSoupMessageHeaders): New function
        to update the given SoupMessageHeaders with the ResourceRequest
        headers.
        (WebCore::ResourceRequest::updateFromSoupMessageHeaders): New
        function to update the ResourceRequest headers with the given
        SoupMessageHeaders.
        (WebCore::ResourceRequest::updateSoupMessage): Use
        updateSoupMessageHeaders() to update the headers.
        (WebCore::ResourceRequest::toSoupMessage): Ditto.
        (WebCore::ResourceRequest::updateFromSoupMessage): Use
        updateFromSoupMessageHeaders to update the headers.

2013-03-12  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Remove HILDON_CPPFLAGS and HILDON_CFLAGS references from GNUmakefiles
        https://bugs.webkit.org/show_bug.cgi?id=112163

        Reviewed by Martin Robinson.

        No new tests - no new functionality, merely a cleanup.

        * GNUmakefile.am: The Hildon dependency doesn't exist anymore so there's no need for
        references to HILDON_CPPFLAGS and HILDON_CFLAGS.

2013-03-13  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Split GtkAuthenticationDialog in two widgets
        https://bugs.webkit.org/show_bug.cgi?id=103644

        Reviewed by Xan Lopez.

        The current GtkAuthenticationDialog implements both the common
        logic and widgets to implement a real GtkDialog and a widget to be
        embedded in any container. WebKit1 uses a GtkDialog while WebKit2
        embeds the dialog in the WebView. This patch splits the code to
        leave in Platform only the code that is actually common, leaving
        the widget implementation to the WebKit layer, using a dialog in
        WebKit1 and embedding auth widget in the WebView in WebKit2.

        * GNUmakefile.list.am: Add new files to compilation.
        * platform/gtk/GtkAuthenticationDialog.cpp: Removed.
        * platform/gtk/GtkAuthenticationDialog.h: Removed.
        * platform/gtk/WebKitAuthenticationWidget.cpp: Added.
        (_WebKitAuthenticationWidgetPrivate):
        (packTwoColumnLayoutInBox):
        (createLabel):
        (createEntry):
        (webkitAuthenticationWidgetInitialize):
        (webkitAuthenticationWidgetFinalize):
        (webkit_authentication_widget_init):
        (webkit_authentication_widget_class_init):
        (webkitAuthenticationWidgetNew):
        (webkitAuthenticationWidgetCreateCredential):
        (webkitAuthenticationWidgetGetChallenge):
        * platform/gtk/WebKitAuthenticationWidget.h: Added.
        (_WebKitAuthenticationWidget):
        (_WebKitAuthenticationWidgetClass):

2013-03-12  Tomas Popela  <tpopela@redhat.com>

        [Gtk] NBSP are not replaced when using X clipboard
        https://bugs.webkit.org/show_bug.cgi?id=112118

        Reviewed by Martin Robinson.

        We're not replacing nbsp with spaces when using X clipboard
        (Shift+Insert or middle mouse button).

        * platform/gtk/DataObjectGtk.cpp:
        (WebCore::DataObjectGtk::text):

2013-03-11  Carlos Garcia Campos  <cgarcia@igalia.com>

        [SOUP] ResourceRequest::updateSoupMessage doesn't update the URI of the soup message
        https://bugs.webkit.org/show_bug.cgi?id=112040

        Reviewed by Gustavo Noronha Silva.

        * platform/network/soup/ResourceRequestSoup.cpp:
        (WebCore::ResourceRequest::updateSoupMessage): Update the soup
        message URI with the ResourceRequest URL.

2013-03-09  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

        Fix offset handling in GStreamer WebKitWebSource.
        https://bugs.webkit.org/show_bug.cgi?id=111888

        Reviewed by Philippe Normand.

        * platform/graphics/gstreamer/WebKitWebSourceGStreamer.cpp:
        (webKitWebSrcSeekDataCb):
        (StreamingClient::didReceiveData):
        The offset handling in WebKitWebSource was completely wrong
        before and caused wrong offsets to be set on the GStreamer buffers
        after a seek.

        Apart from that there was also a race condition that happens
        when a downstream element causes seeks in very short succession
        and is switching between two different parts of the stream.

2013-03-07  Zan Dobersek  <zdobersek@igalia.com>

        [GTK] Limit the supported compilers to GCC >= 4.7 and Clang >= 3.0
        https://bugs.webkit.org/show_bug.cgi?id=109932

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Replace references to SYMBOL_VISIBILITY_INLINES and SYMBOL_VISIBILITY variables with the actual flags.
        They are now available by default due to the limited set of supported compilers.
        * bindings/gobject/GNUmakefile.am: Ditto.

2013-02-21  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Move feature overriding to the configure phase
        https://bugs.webkit.org/show_bug.cgi?id=110293

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am: No longer include GNUmakefile.features.am. We don't
        have to process the result of this file or do any modification of
        feature_defines_override, because this variable is gone.

2013-03-06  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [soup] session cookies are not correctly reported in getRawCookies()
        https://bugs.webkit.org/show_bug.cgi?id=111584

        Reviewed by Martin Robinson.

        As per libsoup documentation, SoupCookie->expires is NULL for session cookies.
        However, the soup implementation for getRawCookies() does not check for NULL
        case before passing the value to soup_date_to_time_t(), which leads to run time
        warnings.

        We should also pass true for WebCore::Cookie's session argument if
        SoupCookie->expires is NULL. The current implementation reports the cookie as a
        session one if soup_cookie_jar_is_persistent(jar) returns true, which is
        inaccurate.

        No new tests, no behavior change for layout tests as Web Inspector currently
        ignores the "session" member and uses expires/max-age instead to deduce it.

        * platform/network/soup/CookieJarSoup.cpp:
        (WebCore::getRawCookies):

2013-03-06  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Enable translations for WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=111398

        Reviewed by Martin Robinson.

        Build change only, thus no tests.

        * GNUmakefile.am: distribute po files.
        * platform/gtk/po/POTFILES.in: adjust paths for translatable files.

2013-03-04  Christian Biesinger  <cbiesinger@chromium.org>

        REGRESSION (r143643): Buttons containing floats render differently
        https://bugs.webkit.org/show_bug.cgi?id=110933

        Reviewed by Ojan Vafai.

        Test: fast/forms/button-with-float.html

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::expandsToEncloseOverhangingFloats):
        Also include new flexbox as a renderer that needs to enclose
        overhanging floats. Flex boxes establish a block formatting context,
        so they need to contain floats:
        http://dev.w3.org/csswg/css3-flexbox/#flex-items

2013-02-25  Gustavo Noronha Silva  <gns@gnome.org>

        Build fix for gtk2-based library.

        Reviewed by Martin Robinson.

        * platform/gtk/WidgetRenderingContext.cpp: move gtk2 check to after the config.h
        include, which is the one that includes autotoolsconfig.h, where the gtk2 define
        lives.

2013-02-24  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] GTK+ 2 build broken since GTK_API_VERSION_2 moved to autoconfig.h
        https://bugs.webkit.org/show_bug.cgi?id=110702

        Reviewed by Martin Robinson.

        No tests. Build fix, no behaviour change.

        * platform/gtk/GtkVersioning.h: include the autotoolsconfig.h header,
        which contains the GTK_API_VERSION_2 define now.

2013-02-25  Sergio Villar Senin  <svillar@igalia.com>

        [soup] "Too many redirects" error loading chat in plus.google.com
        https://bugs.webkit.org/show_bug.cgi?id=64575

        Reviewed by Martin Robinson.

        Set the firstPartyForCookies for the new request on redirects to
        the URL used for redirection.

        Test: http/tests/cookies/set-cookie-on-redirect.html

        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore::doRedirect):

2013-02-21  Claudio Saavedra  <csaavedra@igalia.com>

        [GTK] Control+Shift+Up/Down selection works backwards
        https://bugs.webkit.org/show_bug.cgi?id=110459

        Reviewed by Martin Robinson.

        * platform/gtk/KeyBindingTranslator.cpp:
        (WebCore): The translation table for paragraph selection
        commands is backwards, fix it.

2013-02-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * GNUmakefile.am: Add CodeGeneratorInspectorStrings.py to
        EXTRA_DIST.

2013-02-21  Martin Robinson  <mrobinson@igalia.com>

        A couple more 'make dist' fixes for WebKitGTK+.

        * GNUmakefile.list.am: Add a missing file to the source list.

2013-02-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Fix make distcheck.

        * GNUmakefile.list.am: Add missing files to compilation.

2013-02-21  Alberto Garcia  <albgarcia@rim.com>

        [BlackBerry] Fix access to ResourceHandle::context
        https://bugs.webkit.org/show_bug.cgi?id=110443

        Reviewed by Carlos Garcia Campos.

        This changed in r141981.

        * platform/network/blackberry/ResourceHandleBlackBerry.cpp:
        (WebCore::ResourceHandle::start):

2013-02-21  Alberto Garcia  <albgarcia@rim.com>

        [BlackBerry] GraphicsLayerBlackBerry: rename showDebugBorder to isShowingDebugBorder
        https://bugs.webkit.org/show_bug.cgi?id=110453

        Reviewed by Carlos Garcia Campos.

        This changed in r133517.

        * platform/graphics/blackberry/GraphicsLayerBlackBerry.cpp:
        (WebCore::GraphicsLayerBlackBerry::setupContentsLayer):

2013-02-21  Peter Rybin  <prybin@chromium.org>

        Web Inspector: take large strings out of CodeGeneratorInspector.py
        https://bugs.webkit.org/show_bug.cgi?id=110159

        Reviewed by Yury Semikhatsky.

        Python script is refactored.

        * inspector/CodeGeneratorInspector.py:
        * inspector/CodeGeneratorInspectorStrings.py: Added.
        (InspectorFrontend_h):
        (InspectorFrontendChannel):
        (InspectorArray):
        (InspectorObject):
        (String):
        (InspectorFrontend):
        (InspectorBackendDispatcher_h):
        (InspectorAgent):
        (InspectorBackendDispatcherImpl):
        (InspectorBackendDispatcher):
        (CallbackBase):
        (void):
        (HashMap):
        (OptOutput):
        (ExactlyInt):
        (RuntimeCastHelper):
        (provides):
        (typename):
        (Array):
        (Builder):

2013-02-21  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143581.
        http://trac.webkit.org/changeset/143581
        https://bugs.webkit.org/show_bug.cgi?id=110457

        Breaks Windows builds (compile + link) (Requested by apavlov
        on #webkit).

        * CMakeLists.txt:
        * GNUmakefile.list.am:
        * Target.pri:
        * WebCore.gypi:
        * WebCore.order:
        * WebCore.vcproj/WebCore.vcproj:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * WebCore.xcodeproj/project.pbxproj:
        * dom/WebCoreMemoryInstrumentation.cpp:
        (WebCore):
        * dom/WebCoreMemoryInstrumentation.h:
        (WebCoreMemoryTypes):
        * inspector/InjectedScriptSource.js:
        (.):
        * inspector/Inspector.json:
        * inspector/InspectorAllInOne.cpp:
        * inspector/InspectorController.cpp:
        (WebCore::InspectorController::InspectorController):
        * inspector/InspectorDOMStorageAgent.cpp:
        (WebCore::InspectorDOMStorageAgent::InspectorDOMStorageAgent):
        (WebCore::InspectorDOMStorageAgent::clearFrontend):
        (WebCore::InspectorDOMStorageAgent::restore):
        (WebCore::InspectorDOMStorageAgent::enable):
        (WebCore::InspectorDOMStorageAgent::disable):
        (WebCore::InspectorDOMStorageAgent::getDOMStorageEntries):
        (WebCore::InspectorDOMStorageAgent::setDOMStorageItem):
        (WebCore::InspectorDOMStorageAgent::removeDOMStorageItem):
        (WebCore::InspectorDOMStorageAgent::storageId):
        (WebCore::InspectorDOMStorageAgent::getDOMStorageResourceForId):
        (WebCore::InspectorDOMStorageAgent::didUseDOMStorage):
        (WebCore::InspectorDOMStorageAgent::didDispatchDOMStorageEvent):
        (WebCore::InspectorDOMStorageAgent::clearResources):
        (WebCore::InspectorDOMStorageAgent::reportMemoryUsage):
        * inspector/InspectorDOMStorageAgent.h:
        (WebCore):
        (WebCore::InspectorDOMStorageAgent::create):
        (InspectorDOMStorageAgent):
        * inspector/InspectorDOMStorageResource.cpp: Added.
        (WebCore):
        (WebCore::InspectorDOMStorageResource::InspectorDOMStorageResource):
        (WebCore::InspectorDOMStorageResource::isSameOriginAndType):
        (WebCore::InspectorDOMStorageResource::bind):
        (WebCore::InspectorDOMStorageResource::unbind):
        (WebCore::InspectorDOMStorageResource::reportMemoryUsage):
        * inspector/InspectorDOMStorageResource.h: Added.
        (WebCore):
        (InspectorDOMStorageResource):
        (WebCore::InspectorDOMStorageResource::create):
        (WebCore::InspectorDOMStorageResource::id):
        (WebCore::InspectorDOMStorageResource::storageArea):
        (WebCore::InspectorDOMStorageResource::frame):
        * inspector/InspectorInstrumentation.cpp:
        (WebCore):
        (WebCore::InspectorInstrumentation::didCommitLoadImpl):
        (WebCore::InspectorInstrumentation::didUseDOMStorageImpl):
        * inspector/InspectorInstrumentation.h:
        (InspectorInstrumentation):
        (WebCore::InspectorInstrumentation::didUseDOMStorage):
        (WebCore):
        * inspector/InspectorPageAgent.cpp:
        * inspector/InspectorPageAgent.h:
        (InspectorPageAgent):
        * inspector/front-end/DOMStorage.js:
        (WebInspector.DOMStorage):
        (WebInspector.DOMStorage.prototype.get id):
        (WebInspector.DOMStorage.prototype.get domain):
        (WebInspector.DOMStorage.prototype.getEntries):
        (WebInspector.DOMStorage.prototype.setItem):
        (WebInspector.DOMStorage.prototype.removeItem):
        (WebInspector.DOMStorageModel):
        (WebInspector.DOMStorageModel.prototype._addDOMStorage):
        (WebInspector.DOMStorageModel.prototype._domStorageItemsCleared):
        (WebInspector.DOMStorageModel.prototype._domStorageItemRemoved):
        (WebInspector.DOMStorageModel.prototype._domStorageItemAdded):
        (WebInspector.DOMStorageModel.prototype.storageForId):
        (WebInspector.DOMStorageModel.prototype.storages):
        (WebInspector.DOMStorageDispatcher.prototype.addDOMStorage):
        * inspector/front-end/DOMStorageItemsView.js:
        (WebInspector.DOMStorageItemsView.prototype._update):
        (WebInspector.DOMStorageItemsView.prototype._showDOMStorageEntries):
        (WebInspector.DOMStorageItemsView.prototype._dataGridForDOMStorageEntries):
        * inspector/front-end/ResourcesPanel.js:
        (WebInspector.ResourcesPanel):
        (WebInspector.ResourcesPanel.prototype._initialize):
        (WebInspector.ResourcesPanel.prototype._domStorageAdded):
        (WebInspector.ResourcesPanel.prototype._addDOMStorage):
        (WebInspector.DOMStorageTreeElement):
        (WebInspector.DOMStorageTreeElement.prototype.get itemURL):
        * page/DOMWindow.cpp:
        (WebCore::DOMWindow::sessionStorage):
        (WebCore::DOMWindow::localStorage):

2013-02-21  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Get rid of parsedURL in uiSourceCode, use name and path for displayName instead.
        https://bugs.webkit.org/show_bug.cgi?id=110335

        Reviewed by Alexander Pavlov.

        Replaced UISourceCode.parsedURL with UISourceCode.displayName().

        * inspector/front-end/NavigatorView.js:
        (WebInspector.NavigatorView.prototype._updateScriptTitle):
        (WebInspector.NavigatorView.prototype.getOrCreateFolderTreeElement):
        (WebInspector.NavigatorFolderTreeElement):
        * inspector/front-end/ResourceUtils.js:
        (WebInspector.displayNameForURL):
        * inspector/front-end/RevisionHistoryView.js:
        (WebInspector.RevisionHistoryView.prototype._createUISourceCodeItem):
        * inspector/front-end/UISourceCode.js:
        (WebInspector.UISourceCode):
        (WebInspector.UISourceCode.prototype.displayName):
        (WebInspector.UISourceCode.prototype.urlChanged):

2013-02-21  Alexander Pavlov  <apavlov@chromium.org>

        Web Inspector: Local/session storage tree items in the Resources panel after page refresh are not shown
        https://bugs.webkit.org/show_bug.cgi?id=109572

        Reviewed by Vsevolod Vlasov.

        * CMakeLists.txt:
        * GNUmakefile.list.am:
        * Target.pri:
        * WebCore.gypi:
        * WebCore.order:
        * WebCore.vcproj/WebCore.vcproj:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * WebCore.xcodeproj/project.pbxproj:
        * dom/WebCoreMemoryInstrumentation.cpp:
        (WebCore):
        * dom/WebCoreMemoryInstrumentation.h:
        (WebCoreMemoryTypes):
        * inspector/InjectedScriptSource.js:
        (.):
        * inspector/Inspector.json:
        * inspector/InspectorAllInOne.cpp:
        * inspector/InspectorController.cpp:
        (WebCore::InspectorController::InspectorController):
        * inspector/InspectorDOMStorageAgent.cpp:
        (WebCore::InspectorDOMStorageAgent::InspectorDOMStorageAgent):
        (WebCore::InspectorDOMStorageAgent::clearFrontend):
        (WebCore::InspectorDOMStorageAgent::isEnabled):
        (WebCore::InspectorDOMStorageAgent::enable):
        (WebCore::InspectorDOMStorageAgent::disable):
        (WebCore::InspectorDOMStorageAgent::getDOMStorageItems):
        (WebCore::toErrorString):
        (WebCore::InspectorDOMStorageAgent::setDOMStorageItem):
        (WebCore::InspectorDOMStorageAgent::removeDOMStorageItem):
        (WebCore::InspectorDOMStorageAgent::storageId):
        (WebCore::InspectorDOMStorageAgent::didDispatchDOMStorageEvent):
        (WebCore::InspectorDOMStorageAgent::findStorageArea):
        (WebCore::InspectorDOMStorageAgent::reportMemoryUsage):
        * inspector/InspectorDOMStorageAgent.h:
        (WebCore):
        (WebCore::InspectorDOMStorageAgent::create):
        (InspectorDOMStorageAgent):
        * inspector/InspectorDOMStorageResource.cpp: Removed.
        * inspector/InspectorDOMStorageResource.h: Removed.
        * inspector/InspectorInstrumentation.cpp:
        (WebCore):
        (WebCore::InspectorInstrumentation::didCommitLoadImpl):
        * inspector/InspectorInstrumentation.h:
        (InspectorInstrumentation):
        * inspector/InspectorPageAgent.cpp:
        (WebCore::InspectorPageAgent::findFrameWithSecurityOrigin):
        (WebCore):
        * inspector/InspectorPageAgent.h:
        (InspectorPageAgent):
        * inspector/front-end/DOMStorage.js:
        (WebInspector.DOMStorage):
        (WebInspector.DOMStorage.storageId):
        (WebInspector.DOMStorage.prototype.get id):
        (WebInspector.DOMStorage.prototype.get securityOrigin):
        (WebInspector.DOMStorage.prototype.getItems):
        (WebInspector.DOMStorage.prototype.setItem):
        (WebInspector.DOMStorage.prototype.removeItem):
        (WebInspector.DOMStorageModel):
        (WebInspector.DOMStorageModel.prototype._securityOriginAdded):
        (WebInspector.DOMStorageModel.prototype._securityOriginRemoved):
        (WebInspector.DOMStorageModel.prototype._storageKey):
        (WebInspector.DOMStorageModel.prototype._domStorageItemsCleared):
        (WebInspector.DOMStorageModel.prototype._domStorageItemRemoved):
        (WebInspector.DOMStorageModel.prototype._domStorageItemAdded):
        (WebInspector.DOMStorageModel.prototype.storageForId):
        (WebInspector.DOMStorageModel.prototype.storages):
        * inspector/front-end/DOMStorageItemsView.js:
        (WebInspector.DOMStorageItemsView.prototype._update):
        (WebInspector.DOMStorageItemsView.prototype._showDOMStorageItems):
        (WebInspector.DOMStorageItemsView.prototype._dataGridForDOMStorageItems):
        * inspector/front-end/ResourcesPanel.js:
        (WebInspector.ResourcesPanel):
        (WebInspector.ResourcesPanel.prototype._initialize):
        (WebInspector.ResourcesPanel.prototype._domStorageAdded):
        (WebInspector.ResourcesPanel.prototype._domStorageRemoved):
        (WebInspector.ResourcesPanel.prototype._populateDOMStorageTree):
        (WebInspector.DOMStorageTreeElement):
        (WebInspector.DOMStorageTreeElement.prototype.get itemURL):
        * page/DOMWindow.cpp:
        (WebCore::DOMWindow::sessionStorage):
        (WebCore::DOMWindow::localStorage):

2013-02-19  Eugene Klyuchnikov  <eustas@chromium.org>

        Web Inspector: [Console] Add console API message types for profile/profileEnd.
        https://bugs.webkit.org/show_bug.cgi?id=109790

        Reviewed by Pavel Feldman.

        With profile/profileEnd message types we will gain more control over
        output messages.

        * English.lproj/localizedStrings.js: Added corresponging strings.
        * inspector/ConsoleAPITypes.h: Added enum members.
        * inspector/Inspector.json: Ditto.
        * inspector/front-end/ConsoleModel.js: Ditto.
        * inspector/ConsoleMessage.cpp:
        (WebCore::messageTypeValue): Added cases.
        * inspector/InspectorProfilerAgent.cpp: Adopted changes.
        * inspector/front-end/inspector.js: Ditto.
        * inspector/front-end/ConsoleMessage.js:
        Added message generators for introduced message types.
        * inspector/front-end/ProfilesPanel.js:
        Turned showProfileForURL(url) to showProfile(typeId, uid).
        * inspector/front-end/ProfilesPanelDescriptor.js:
        (WebInspector.ProfilesPanelDescriptor.resolveProfileTitle): Added.
        * inspector/front-end/ResourceUtils.js: Removed linkifier plugins.

2013-02-21  Tamas Czene  <tczene@inf.u-szeged.hu>

        OpenCL implementation of FEMerge filter.
        https://bugs.webkit.org/show_bug.cgi?id=110193

        Reviewed by Zoltan Herczeg.

        In case of odd number of parameters the first parameter is copied to the destination image and
        the rest of the parameters are merged in pairs.

        * Target.pri:
        * platform/graphics/filters/FEMerge.h:
        (FEMerge):
        * platform/graphics/gpu/opencl/FilterContextOpenCL.h:
        (WebCore::FilterContextOpenCL::FilterContextOpenCL):
        (FilterContextOpenCL):
        * platform/graphics/gpu/opencl/OpenCLFEMerge.cpp: Added.
        (WebCore):
        (WebCore::FilterContextOpenCL::compileFEMerge):
        (WebCore::FilterContextOpenCL::copy): This is a simple copy method.
        (WebCore::FilterContextOpenCL::applyFEMerge):
        (WebCore::FEMerge::platformApplyOpenCL):

2013-02-21  Keishi Hattori  <keishi@webkit.org>

        Add event dispatch class for the new calendar picker
        https://bugs.webkit.org/show_bug.cgi?id=110131

        Reviewed by Kent Tamura.

        Adding event dispatcher class as part of the new calendar picker patch at Bug 109439.

        No new tests. Code is not yet used.

        * Resources/pagepopups/calendarPicker.js:
        (EventEmitter):
        (EventEmitter.prototype.on): Adds a callback for an event.
        (EventEmitter.prototype.hasListener): Returns true if more than one listeners exist for an event type.
        (EventEmitter.prototype.removeListener): Removes an event listener.
        (EventEmitter.prototype.dispatchEvent): Dispatches an event to all callbacks. Takes variable number of arguments.

2013-02-21  Ken Kania  <kkania@chromium.org>

        Web Inspector: Add command for selecting files for file input element
        https://bugs.webkit.org/show_bug.cgi?id=109308

        Reviewed by Pavel Feldman.

        Test: inspector-protocol/dom/setFileInputFiles.html

        * inspector/Inspector.json:
        * inspector/InspectorClient.h:
        (WebCore::InspectorClient::canSetFileInputFiles):
        (InspectorClient):
        * inspector/InspectorController.cpp:
        (WebCore::InspectorController::InspectorController):
        * inspector/InspectorDOMAgent.cpp:
        (WebCore::InspectorDOMAgent::InspectorDOMAgent):
        (WebCore::InspectorDOMAgent::setFileInputFiles):
        (WebCore):
        * inspector/InspectorDOMAgent.h:
        (WebCore):
        (WebCore::InspectorDOMAgent::create):
        (InspectorDOMAgent):

2013-02-21  Pan Deng  <pan.deng@intel.com>

        [Web Inspector]Add WebSocket networking events in Timeline panel.
        https://bugs.webkit.org/show_bug.cgi?id=105527.

        Reviewed by Pavel Feldman.

        This patch add four WebSocket networking events in Timeline panel. The Events
        are CreateWebSocket, SendWebSocketHandshakeRequest, ReceiveWebSocketHandShakeResponse
        and DestoryWebSocket. Thanks to Kitamura san's previous work.

        Test: http/tests/inspector/websocket/timeline-websocket-event.html

        * English.lproj/localizedStrings.js:
        * Modules/websockets/WebSocketChannel.cpp: Add protocol information
        (WebCore::WebSocketChannel::connect):
        * inspector/InspectorInstrumentation.cpp:
        (WebCore):
        (WebCore::InspectorInstrumentation::didCreateWebSocketImpl): Add Timeline agent instrumentation for websocket
        (WebCore::InspectorInstrumentation::willSendWebSocketHandshakeRequestImpl): Ditto
        (WebCore::InspectorInstrumentation::didReceiveWebSocketHandshakeResponseImpl): Ditto
        (WebCore::InspectorInstrumentation::didCloseWebSocketImpl): Ditto
        * inspector/InspectorInstrumentation.h:
        (InspectorInstrumentation):
        (WebCore::InspectorInstrumentation::didCreateWebSocket):
        (WebCore::InspectorInstrumentation::willSendWebSocketHandshakeRequest):
        (WebCore::InspectorInstrumentation::didReceiveWebSocketHandshakeResponse):
        (WebCore::InspectorInstrumentation::didCloseWebSocket):
        * inspector/InspectorTimelineAgent.cpp:
        (TimelineRecordType):
        (WebCore):
        (WebCore::InspectorTimelineAgent::didCreateWebSocket): Add Timeline record for websocket create
        (WebCore::InspectorTimelineAgent::addWebSocketRecord): Add general websocket record
        (WebCore::InspectorTimelineAgent::willSendWebSocketHandshakeRequest): Add Timeline record for websocket handshake request send
        (WebCore::InspectorTimelineAgent::didReceiveWebSocketHandshakeResponse): Add Timeline record for websocket handshake response receive
        (WebCore::InspectorTimelineAgent::didDestroyWebSocket): Add Timeline record for websocket destroy
        * inspector/InspectorTimelineAgent.h:
        (WebCore):
        (InspectorTimelineAgent):
        * inspector/TimelineRecordFactory.h:
        (TimelineRecordFactory):
        (WebCore::TimelineRecordFactory::createWebSocketCreateData):
        (WebCore::TimelineRecordFactory::createGenericWebSocketData):
        * inspector/front-end/TimelineModel.js: Add Timeline record type for websocket
        * inspector/front-end/TimelinePresentationModel.js:
        (WebInspector.TimelinePresentationModel._initRecordStyles):
        (WebInspector.TimelinePresentationModel.prototype.reset): Add slot to store WebSocket Create record
        (WebInspector.TimelinePresentationModel.Record):
        (WebInspector.TimelinePresentationModel.Record.prototype._generatePopupContentWithImagePreview): Add PopupContent for websocket record, including url and protocol

2013-02-21  Oswald Buddenhagen  <oswald.buddenhagen@digia.com>

        [Qt] Fix pkg-config dependencies of QtWebKit itself

        Reviewed by Simon Hausmann.

        Don't override QMAKE_PKGCONFIG_REQUIRES needlessly.

        * WebCore.pri:

2013-02-21  Nils Barth  <nbarth@google.com>

        File upload control doesn't apply CSS vertical padding or border to file name
        https://bugs.webkit.org/show_bug.cgi?id=109011

        Reviewed by Hajime Morrita.

        Test: fast/forms/file/file-vertical-padding-border.html

        * rendering/RenderFileUploadControl.cpp:
            Add borderTop() and paddingTop() when computing position.
        (WebCore::RenderFileUploadControl::paintObject):

2013-02-20  Alexey Proskuryakov  <ap@apple.com>

        Stop hardcoding knowledge about blob protocol in ResourceHandle
        https://bugs.webkit.org/show_bug.cgi?id=110382

        Reviewed by Anders Carlsson.

        * platform/network/BlobRegistry.h:
        * platform/network/chromium/BlobRegistryProxy.h:
        Removed loadResourceSynchronously(). Chromium did not even implement it, and
        cross-platform code doesn't need it any more either.

        * platform/network/BlobRegistryImpl.cpp:
        (WebCore::loadResourceSynchronously): A function to load a blob synchronously,
        suitable for being in a ResourceHandle map.
        (WebCore::registerBlobResourceHandleConstructor): Register loadResourceSynchronously too.
        (WebCore::BlobRegistryImpl::createResourceHandle): Don't make policy decisions here,
        it's just a registry. Moved code for checking request method down to BlobResourceHandle.

        * platform/network/BlobRegistryImpl.h: Removed BlobRegistryImpl::loadResourceSynchronously().
        A registry shouldn't load resources, and it already has enough accessors to implement
        this externally.

        * platform/network/BlobResourceHandle.h:
        * platform/network/BlobResourceHandle.cpp:
        (WebCore::BlobResourceHandle::createAsync): Renamed from create(), to make it clear
        that it's not OK to call from synchronous loader. Moved method check here.
        (WebCore::BlobResourceHandle::loadResourceSynchronously): Moved method check here.
        We used to fall through to NSURLConnection based loader when method was not GET,
        which of course resulted in an error eventually, but was just wrong.

        * platform/network/ResourceHandle.cpp:
        (WebCore::builtinResourceHandleSynchronousLoaderMap): Added a map for synchronous case.
        (WebCore::ResourceHandle::registerBuiltinSynchronousLoader): Ditto.
        (WebCore::ResourceHandle::loadResourceSynchronously): We no longer need to hardcode
        knowledge about blobRegistry and blobs here.

        * platform/network/ResourceHandle.h: Added registerBuiltinSynchronousLoader().

        * platform/network/chromium/ResourceHandle.h: Removed loadResourceSynchronously(),
        which was not implemented for Chromium.

2013-02-20  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: TabbedEditorContainer and OpenResourceDialog should show uiSourceCode path and name instead of parsedURL
        https://bugs.webkit.org/show_bug.cgi?id=110334

        Reviewed by Alexander Pavlov.

        Introduced uiSourceCode.name() that returns a name based on uiSourceCode path.
        OpenResourceDialog now shows uiSourceCode workspace path as a subtitle.
        TabbedEditorContainer now shows uiSourceCode name in the tab header.

        * inspector/front-end/FilteredItemSelectionDialog.js:
        (WebInspector.OpenResourceDialog.filterOutEmptyURLs):
        (WebInspector.OpenResourceDialog):
        (WebInspector.OpenResourceDialog.prototype.itemTitleAt):
        (WebInspector.OpenResourceDialog.prototype.itemSubtitleAt):
        (WebInspector.OpenResourceDialog.prototype.itemKeyAt):
        * inspector/front-end/NavigatorView.js:
        (WebInspector.NavigatorView.prototype._updateScriptTitle):
        * inspector/front-end/TabbedEditorContainer.js:
        (WebInspector.TabbedEditorContainer.prototype._titleForFile):
        * inspector/front-end/UISourceCode.js:
        (WebInspector.UISourceCode.prototype.name):

2013-02-20  Pavel Feldman  <pfeldman@chromium.org>

        Web Inspector: debugger buttons are scrolled along with the sidebar content.
        https://bugs.webkit.org/show_bug.cgi?id=110434

        Reviewed by Vsevolod Vlasov.

        * inspector/front-end/scriptsPanel.css:
        (div.sidebar-pane-stack#scripts-debug-sidebar-contents, #scripts-sidebar-stack-pane):

2013-02-20  Wei James  <james.wei@intel.com>

        ChannelMergerNode may need check for deferred updating of output channels
        https://bugs.webkit.org/show_bug.cgi?id=108863

        There can in rare cases be a slight delay before the output bus is updated
        to the new number of channels because of tryLocks() in the context's
        updating system. So need to check the channel number before processing.

        Reviewed by Chris Rogers.

        * Modules/webaudio/ChannelMergerNode.cpp:
        (WebCore::ChannelMergerNode::ChannelMergerNode):
        (WebCore::ChannelMergerNode::process):
        (WebCore::ChannelMergerNode::checkNumberOfChannelsForInput):
        * Modules/webaudio/ChannelMergerNode.h:
        (ChannelMergerNode):

2013-02-20  Pan Deng  <pan.deng@intel.com>

        [Web Inspector] Fix Sort by Initiator functionality of Network Panel.
        https://bugs.webkit.org/show_bug.cgi?id=109135.

        Reviewed by Pavel Feldman.

        A refactor for request initiator types, and the sort by Initiator functionality 
        was changed to sort by url and line number that displayed in initiator cell.

        No new tests.

        * inspector/front-end/NetworkPanel.js:
        (WebInspector.NetworkDataGridNode.prototype._refreshInitiatorCell): save initiator displayedURL and displayedLineNumber
        (WebInspector.NetworkDataGridNode.InitiatorComparator):
        * inspector/front-end/NetworkRequest.js:

2013-02-20  Eric Seidel  <eric@webkit.org>

        WebVTTParser copies character buffer more often than necessary
        https://bugs.webkit.org/show_bug.cgi?id=103319

        Reviewed by Eric Carlson.

        Previously this codepath was creating a String just to parse the timestamp
        and then if the timestamp was valid, was creating a second string.
        I've fixed it to only create one string and use it in both places.
        I also fixed this codepath to use 8bit strings when possible, per the FIXME.

        * html/track/WebVTTParser.cpp:
        (WebCore::WebVTTParser::constructTreeFromToken):

2013-02-20  Mike West  <mkwst@chromium.org>

        Mouseup event does not fire on Scroll Bar
        https://bugs.webkit.org/show_bug.cgi?id=25811

        Reviewed by Tony Chang.

        Currently, clicking on a scrollbar fires a mousedown event, but not a
        mouseup event. This causes problems for code like jQuery UI's
        draggable[1], as the drag starts, but is never cancelled. Other use
        cases are noted in the slightly old Chromium bug[2].

        If a mouseup event is received after a mousedown event on a scrollbar,
        this patch dispatches a mouseup event on the same node the mousedown
        event dispatched on. This matches Gecko's behavior.

        [1]: http://bugs.jqueryui.com/ticket/6925
        [2]: http://crbug.com/14204

        Tests: fast/scrolling/scrollbar-mousedown-mouseup.html
               fast/scrolling/scrollbar-mousedown-move-mouseup.html

        * page/EventHandler.cpp:
        (WebCore::EventHandler::handleMouseReleaseEvent):
            If a mouseup event follow a mousedown event on a scrollbar,
            dispatch an event on the same node from which the mousedown event
            was triggered.

2013-02-20  Takashi Sakamoto  <tasak@google.com>

        [Refactoring] Make m_state an on-stack object
        https://bugs.webkit.org/show_bug.cgi?id=109909

        Reviewed by Antti Koivisto.

        Mode m_state, an instance of StyleResolver::State, an on-stack object.
        The state is only required in styleForElement, styleForKeyframe and
        so on. No need to keep the state outside of those methods.

        No new tests, because just refactoring.

        * css/BasicShapeFunctions.cpp:
        (WebCore::convertToLength):
        (WebCore::basicShapeForValue):
        * css/BasicShapeFunctions.h:
        (WebCore):
        Replaced StyleResolver* with StyleResolver::State&.
        * css/CSSGradientValue.cpp:
        (WebCore::CSSGradientValue::gradientWithStylesResolved):
        * css/CSSGradientValue.h:
        (CSSGradientValue):
        Replaced StyleResolver* with StyleResolver::State&.
        * css/CSSToStyleMap.cpp:
        (WebCore::CSSToStyleMap::style):
        (WebCore::CSSToStyleMap::rootElementStyle):
        (WebCore::CSSToStyleMap::useSVGZoomRules):
        (WebCore::CSSToStyleMap::styleImage):
        * css/CSSToStyleMap.h:
        (WebCore):
        (WebCore::CSSToStyleMap::CSSToStyleMap):
        (CSSToStyleMap):
        Replaced StyleResolver* with StyleResolver::State&.
        * css/SVGCSSStyleSelector.cpp:
        (WebCore::StyleResolver::applySVGProperty):
        Replaced m_state with state which is given as an argument of
        applySVGProperty.
        * css/StyleBuilder.cpp:
        (WebCore::ApplyPropertyExpanding::applyInheritValue):
        (WebCore::ApplyPropertyExpanding::applyInitialValue):
        (WebCore::ApplyPropertyExpanding::applyValue):
        (WebCore::ApplyPropertyDefaultBase::applyInheritValue):
        (WebCore::ApplyPropertyDefaultBase::applyInitialValue):
        (WebCore::ApplyPropertyDefaultBase::applyValue):
        (WebCore::ApplyPropertyDefault::applyValue):
        (WebCore::ApplyPropertyNumber::applyValue):
        (WebCore::ApplyPropertyStyleImage::applyValue):
        (WebCore::ApplyPropertyAuto::applyInheritValue):
        (WebCore::ApplyPropertyAuto::applyInitialValue):
        (WebCore::ApplyPropertyAuto::applyValue):
        (WebCore::ApplyPropertyClip::convertToLength):
        (WebCore::ApplyPropertyClip::applyInheritValue):
        (WebCore::ApplyPropertyClip::applyInitialValue):
        (WebCore::ApplyPropertyClip::applyValue):
        (WebCore::ApplyPropertyColor::applyInheritValue):
        (WebCore::ApplyPropertyColor::applyInitialValue):
        (WebCore::ApplyPropertyColor::applyValue):
        (WebCore::ApplyPropertyColor::applyColorValue):
        (WebCore::ApplyPropertyDirection::applyValue):
        (WebCore::ApplyPropertyLength::applyValue):
        (WebCore::ApplyPropertyString::applyValue):
        (WebCore::ApplyPropertyBorderRadius::applyValue):
        (WebCore::ApplyPropertyFillLayer::applyInheritValue):
        (WebCore::ApplyPropertyFillLayer::applyInitialValue):
        (WebCore::ApplyPropertyFillLayer::applyValue):
        (WebCore::ApplyPropertyComputeLength::applyValue):
        (WebCore::ApplyPropertyFont::applyInheritValue):
        (WebCore::ApplyPropertyFont::applyInitialValue):
        (WebCore::ApplyPropertyFont::applyValue):
        (WebCore::ApplyPropertyFontSize::applyInheritValue):
        (WebCore::ApplyPropertyFontSize::applyInitialValue):
        (WebCore::ApplyPropertyFontSize::applyValue):
        (WebCore::ApplyPropertyFontWeight::applyValue):
        (WebCore::ApplyPropertyFontVariantLigatures::applyInheritValue):
        (WebCore::ApplyPropertyFontVariantLigatures::applyInitialValue):
        (WebCore::ApplyPropertyFontVariantLigatures::applyValue):
        (WebCore::ApplyPropertyBorderImage::applyValue):
        (WebCore::ApplyPropertyBorderImageModifier::applyInheritValue):
        (WebCore::ApplyPropertyBorderImageModifier::applyInitialValue):
        (WebCore::ApplyPropertyBorderImageModifier::applyValue):
        (WebCore::ApplyPropertyBorderImageSource::applyValue):
        (WebCore::ApplyPropertyCounter::emptyFunction):
        (WebCore::ApplyPropertyCounter::applyInheritValue):
        (WebCore::ApplyPropertyCounter::applyValue):
        (WebCore::ApplyPropertyCursor::applyInheritValue):
        (WebCore::ApplyPropertyCursor::applyInitialValue):
        (WebCore::ApplyPropertyCursor::applyValue):
        (WebCore::ApplyPropertyTextAlign::applyValue):
        (WebCore::ApplyPropertyTextDecoration::applyValue):
        (WebCore::ApplyPropertyLineHeight::applyValue):
        (WebCore::ApplyPropertyPageSize::applyInheritValue):
        (WebCore::ApplyPropertyPageSize::applyInitialValue):
        (WebCore::ApplyPropertyPageSize::applyValue):
        (WebCore::ApplyPropertyTextEmphasisStyle::applyInheritValue):
        (WebCore::ApplyPropertyTextEmphasisStyle::applyInitialValue):
        (WebCore::ApplyPropertyTextEmphasisStyle::applyValue):
        (WebCore::ApplyPropertyAnimation::map):
        (WebCore::ApplyPropertyAnimation::applyInheritValue):
        (WebCore::ApplyPropertyAnimation::applyInitialValue):
        (WebCore::ApplyPropertyAnimation::applyValue):
        (WebCore::ApplyPropertyOutlineStyle::applyInheritValue):
        (WebCore::ApplyPropertyOutlineStyle::applyInitialValue):
        (WebCore::ApplyPropertyOutlineStyle::applyValue):
        (WebCore::ApplyPropertyResize::applyValue):
        (WebCore::ApplyPropertyVerticalAlign::applyValue):
        (WebCore::ApplyPropertyAspectRatio::applyInheritValue):
        (WebCore::ApplyPropertyAspectRatio::applyInitialValue):
        (WebCore::ApplyPropertyAspectRatio::applyValue):
        (WebCore::ApplyPropertyZoom::resetEffectiveZoom):
        (WebCore::ApplyPropertyZoom::applyInheritValue):
        (WebCore::ApplyPropertyZoom::applyInitialValue):
        (WebCore::ApplyPropertyZoom::applyValue):
        (WebCore::ApplyPropertyDisplay::isValidDisplayValue):
        (WebCore::ApplyPropertyDisplay::applyInheritValue):
        (WebCore::ApplyPropertyDisplay::applyInitialValue):
        (WebCore::ApplyPropertyDisplay::applyValue):
        (WebCore::ApplyPropertyClipPath::applyValue):
        (WebCore::ApplyPropertyExclusionShape::applyValue):
        (WebCore::ApplyPropertyImageResolution::applyInheritValue):
        (WebCore::ApplyPropertyImageResolution::applyInitialValue):
        (WebCore::ApplyPropertyImageResolution::applyValue):
        * css/StyleBuilder.h:
        (WebCore):
        (PropertyHandler):
        (WebCore::PropertyHandler::applyInheritValue):
        (WebCore::PropertyHandler::applyInitialValue):
        (WebCore::PropertyHandler::applyValue):
        Replaced StyleResolver* with StyleResolver::State&.
        * css/StyleResolver.cpp:
        (WebCore):
        (WebCore::StyleResolver::StyleResolver):
        Removed m_styleMap. Now m_styleMap is an on-stack object.
        (WebCore::StyleResolver::collectMatchingRules):
        (WebCore::StyleResolver::collectMatchingRulesForRegion):
        (WebCore::StyleResolver::sortAndTransferMatchedRules):
        (WebCore::StyleResolver::matchScopedAuthorRules):
        (WebCore::StyleResolver::styleSharingCandidateMatchesHostRules):
        (WebCore::StyleResolver::matchHostRules):
        (WebCore::StyleResolver::matchAuthorRules):
        (WebCore::StyleResolver::matchUserRules):
        (WebCore::StyleResolver::matchUARules):
        (WebCore::StyleResolver::collectMatchingRulesForList):
        (WebCore::StyleResolver::sortMatchedRules):
        (WebCore::StyleResolver::matchAllRules):
        (WebCore::StyleResolver::initElement):
        (WebCore::StyleResolver::styleSharingCandidateMatchesRuleSet):
        (WebCore::StyleResolver::canShareStyleWithControl):
        (WebCore::StyleResolver::sharingCandidateHasIdenticalStyleAffectingAttributes):
        (WebCore::StyleResolver::canShareStyleWithElement):
        (WebCore::StyleResolver::findSiblingForStyleSharing):
        (WebCore::StyleResolver::locateSharedStyle):
        (WebCore::StyleResolver::styleForElement):
        (WebCore::StyleResolver::styleForKeyframe):
        (WebCore::StyleResolver::keyframeStylesForAnimation):
        (WebCore::StyleResolver::pseudoStyleForElement):
        (WebCore::StyleResolver::styleForPage):
        (WebCore::StyleResolver::defaultStyleForElement):
        (WebCore::StyleResolver::adjustRenderStyle):
        (WebCore::StyleResolver::updateFont):
        (WebCore::StyleResolver::pseudoStyleRulesForElement):
        (WebCore::StyleResolver::ruleMatches):
        (WebCore::StyleResolver::checkRegionSelector):
        (WebCore::StyleResolver::applyProperties):
        (WebCore::StyleResolver::applyMatchedProperties):
        (WebCore::StyleResolver::isLeftPage):
        (WebCore::StyleResolver::applyPropertyWithNullCheck):
        (WebCore::StyleResolver::applyFontPropertyToStyle):
        (WebCore::StyleResolver::resolveVariables):
        (WebCore::StyleResolver::applyProperty):
        (WebCore::StyleResolver::styleImage):
        (WebCore::StyleResolver::cachedOrPendingFromValue):
        (WebCore::StyleResolver::generatedOrPendingFromValue):
        (WebCore::StyleResolver::setOrPendingFromValue):
        (WebCore::StyleResolver::cursorOrPendingFromValue):
        (WebCore::StyleResolver::checkForTextSizeAdjust):
        (WebCore::StyleResolver::checkForZoomChange):
        (WebCore::StyleResolver::checkForGenericFamilyChange):
        (WebCore::StyleResolver::initializeFontStyle):
        (WebCore::StyleResolver::setFontSize):
        (WebCore::StyleResolver::colorFromPrimitiveValue):
        (WebCore::StyleResolver::loadPendingSVGDocuments):
        (WebCore::StyleResolver::styleShader):
        (WebCore::StyleResolver::cachedOrPendingStyleShaderFromValue):
        (WebCore::StyleResolver::loadPendingShaders):
        (WebCore::StyleResolver::parseCustomFilterTransformParameter):
        (WebCore::StyleResolver::parseCustomFilterParameter):
        (WebCore::StyleResolver::parseCustomFilterParameterList):
        (WebCore::StyleResolver::createCustomFilterOperationWithInlineSyntax):
        (WebCore::StyleResolver::createCustomFilterOperation):
        (WebCore::StyleResolver::createFilterOperations):
        (WebCore::StyleResolver::loadPendingImage):
        (WebCore::StyleResolver::loadPendingImages):
        (WebCore::StyleResolver::loadPendingResources):
        Just replaced m_state with state and added one more parameter to
        provide the state.
        (WebCore::StyleResolver::reportMemoryUsage):
        Since m_state was removed, removed a code for reporting m_state's
        memory usage.
        * css/StyleResolver.h:
        (StyleResolver):
        (WebCore::StyleResolver::isRightPage):
        (WebCore::StyleResolver::State::State):
        (WebCore::StyleResolver::State::document):
        Since State::m_element is not always available (sometimes, 0),
        added m_document to State and modified to return the m_document.
        (WebCore::StyleResolver::State::useSVGZoomRules):
        Moved StyleResolver to State.
        (State):
        * html/canvas/CanvasRenderingContext2D.cpp:
        (WebCore::CanvasRenderingContext2D::setFont):
        Moved the code, updating a style by using a given StylePropertySet,
        to StyleResolver.

2013-02-20  Ojan Vafai  <ojan@chromium.org>

        AutoTableLayout applies min-width redundantly with RenderTable
        https://bugs.webkit.org/show_bug.cgi?id=110426

        Reviewed by Emil A Eklund.

        * rendering/AutoTableLayout.cpp:
        (WebCore::AutoTableLayout::computePreferredLogicalWidths):
        This code used to do something, but has since been superceded by
        code in RenderTable::computePreferredLogicalWidths.

2013-02-20  Dirk Schulze  <krit@webkit.org>

        Enable CANVAS_PATH flag
        https://bugs.webkit.org/show_bug.cgi?id=108508

        Uneviewed attempt to fix Qt minimal build.

        * html/canvas/DOMPath.h:
        (WebCore::DOMPath::DOMPath):

\2013-02-20  Mark Lam  <mark.lam@apple.com>

        Rename DatabaseBackendAsync to DatabaseBackend.
        https://bugs.webkit.org/show_bug.cgi?id=110422.

        Reviewed by Geoffrey Garen.

        This is a purely cosmetic change to make the naming consistent with
        the front-end Database.

        No new tests.

        * CMakeLists.txt:
        * GNUmakefile.list.am:
        * Modules/webdatabase/ChangeVersionWrapper.cpp:
        (WebCore::ChangeVersionWrapper::performPreflight):
        (WebCore::ChangeVersionWrapper::performPostflight):
        * Modules/webdatabase/Database.cpp:
        (WebCore::Database::Database):
        (WebCore::Database::from):
        (WebCore::Database::backend):
        * Modules/webdatabase/Database.h:
        * Modules/webdatabase/DatabaseBackend.cpp: Copied from Source/WebCore/Modules/webdatabase/DatabaseBackendAsync.cpp.
        (WebCore::DatabaseBackend::DatabaseBackend):
        (WebCore::DatabaseBackend::openAndVerifyVersion):
        (WebCore::DatabaseBackend::performOpenAndVerify):
        (WebCore::DatabaseBackend::close):
        (WebCore::DatabaseBackend::runTransaction):
        (WebCore::DatabaseBackend::inProgressTransactionCompleted):
        (WebCore::DatabaseBackend::scheduleTransaction):
        (WebCore::DatabaseBackend::scheduleTransactionStep):
        (WebCore::DatabaseBackend::transactionClient):
        (WebCore::DatabaseBackend::transactionCoordinator):
        * Modules/webdatabase/DatabaseBackend.h: Copied from Source/WebCore/Modules/webdatabase/DatabaseBackendAsync.h.
        * Modules/webdatabase/DatabaseBackendAsync.cpp: Removed.
        * Modules/webdatabase/DatabaseBackendAsync.h: Removed.
        * Modules/webdatabase/DatabaseBackendBase.cpp:
        (WebCore::DatabaseBackendBase::~DatabaseBackendBase):
        * Modules/webdatabase/DatabaseManager.cpp:
        * Modules/webdatabase/DatabaseServer.cpp:
        * Modules/webdatabase/DatabaseTask.cpp:
        (WebCore::DatabaseTask::DatabaseTask):
        (WebCore::DatabaseBackend::DatabaseOpenTask::DatabaseOpenTask):
        (WebCore::DatabaseBackend::DatabaseOpenTask::doPerformTask):
        (WebCore::DatabaseBackend::DatabaseOpenTask::debugTaskName):
        (WebCore::DatabaseBackend::DatabaseCloseTask::DatabaseCloseTask):
        (WebCore::DatabaseBackend::DatabaseCloseTask::doPerformTask):
        (WebCore::DatabaseBackend::DatabaseCloseTask::debugTaskName):
        (WebCore::DatabaseBackend::DatabaseTransactionTask::DatabaseTransactionTask):
        (WebCore::DatabaseBackend::DatabaseTransactionTask::~DatabaseTransactionTask):
        (WebCore::DatabaseBackend::DatabaseTransactionTask::doPerformTask):
        (WebCore::DatabaseBackend::DatabaseTransactionTask::debugTaskName):
        (WebCore::DatabaseBackend::DatabaseTableNamesTask::DatabaseTableNamesTask):
        (WebCore::DatabaseBackend::DatabaseTableNamesTask::doPerformTask):
        (WebCore::DatabaseBackend::DatabaseTableNamesTask::debugTaskName):
        * Modules/webdatabase/DatabaseTask.h:
        (WebCore::DatabaseTask::database):
        (DatabaseTask):
        (WebCore::DatabaseBackend::DatabaseOpenTask::create):
        (DatabaseBackend::DatabaseOpenTask):
        (WebCore::DatabaseBackend::DatabaseCloseTask::create):
        (DatabaseBackend::DatabaseCloseTask):
        (WebCore::DatabaseBackend::DatabaseTableNamesTask::create):
        (DatabaseBackend::DatabaseTableNamesTask):
        * Modules/webdatabase/DatabaseThread.cpp:
        (WebCore::DatabaseThread::recordDatabaseOpen):
        (WebCore::DatabaseThread::recordDatabaseClosed):
        (WebCore::SameDatabasePredicate::SameDatabasePredicate):
        (SameDatabasePredicate):
        (WebCore::DatabaseThread::unscheduleDatabaseTasks):
        * Modules/webdatabase/DatabaseThread.h:
        * Modules/webdatabase/SQLStatementBackend.cpp:
        (WebCore::SQLStatementBackend::execute):
        (WebCore::SQLStatementBackend::setDatabaseDeletedError):
        (WebCore::SQLStatementBackend::setVersionMismatchedError):
        (WebCore::SQLStatementBackend::setFailureDueToQuota):
        * Modules/webdatabase/SQLStatementBackend.h:
        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::create):
        (WebCore::SQLTransactionBackend::SQLTransactionBackend):
        * Modules/webdatabase/SQLTransactionBackend.h:
        (WebCore::SQLTransactionBackend::database):
        * Modules/webdatabase/SQLTransactionCoordinator.cpp:
        (WebCore::getDatabaseIdentifier):
        * Target.pri:
        * WebCore.gypi:
        * WebCore.vcproj/WebCore.vcproj:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * WebCore.xcodeproj/project.pbxproj:

2013-02-20  David Kilzer  <ddkilzer@apple.com>

        Upstream SharedTimerIOS.mm
        <http://webkit.org/b/110161>

        Reviewed by Benjamin Poulain.

        * Configurations/WebCore.xcconfig:
        (EXCLUDED_SOURCE_FILE_NAMES_iphoneos): Add SharedTimerMac.mm.
        * WebCore.xcodeproj/project.pbxproj: Add SharedTimerIOS.mm.
        * platform/ios/SharedTimerIOS.mm: Add.
        (WebCore):
        (-[WebCoreResumeNotifierIOS init]):
        (-[WebCoreResumeNotifierIOS dealloc]):
        (-[WebCoreResumeNotifierIOS didWake]):
        (WebCore::setSharedTimerFiredFunction):
        (WebCore::timerFired):
        (WebCore::setSharedTimerFireInterval):
        (WebCore::stopSharedTimer):

2013-02-20  Ojan Vafai  <ojan@chromium.org>

        Speculative fix for EFL and Windows compilers not realizing
        that all possible cases have a return value from this switch.

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::computeReplacedLogicalWidthUsing):

2013-02-20  David Hyatt  <hyatt@apple.com>

        [New Multicolumn] Fix overflow computation for column blocks.
        https://bugs.webkit.org/show_bug.cgi?id=110392.

        Reviewed by Simon Fraser.

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::addOverflowFromChild):
        Exclude in-flow RenderFlowThreads from overflow propagation.

        * rendering/RenderMultiColumnSet.h:
        * rendering/RenderRegion.h:
        (WebCore::RenderRegion::shouldHaveAutoLogicalHeight):
         * rendering/RenderRegionSet.h:
        (RenderRegionSet):
        Override shouldHaveAutoLogicalHeight to always be false
        for region sets and for columns. Eventually we're going to try
        to leverage this code to do column balancing, and that's why
        RenderMultiColumnSet has a unique override.

2013-02-20  Brandon Jones  <bajones@google.com>
 
        Printing WebGL canvases in Chrome uses stale data after first print
        https://bugs.webkit.org/show_bug.cgi?id=110003
 
        Reviewed by Kenneth Russell.
 
        Unable to validate printed content automatically. No regression in existing WebGL tests.
 
         * html/canvas/WebGLRenderingContext.cpp:
         (WebCore):
         (WebCore::WebGLRenderingContext::paintRenderingResultsToCanvas):

2013-02-20  Christian Biesinger  <cbiesinger@chromium.org>

        Incorrect rendering for flex boxes with percentage height in a table cell
        https://bugs.webkit.org/show_bug.cgi?id=110389

        Reviewed by Tony Chang.

        Tests: css3/flexbox/flex-percentage-height-in-table-standards-mode.html
               css3/flexbox/flex-percentage-height-in-table.html

        * rendering/RenderFlexibleBox.cpp:
        (WebCore::RenderFlexibleBox::layoutAndPlaceChildren):
        Always update the logical height of the flex box, not just when it is
        auto. If necessary, the later updateLogicalHeight() call will adjust
        it.

2013-02-20  Philip Rogers  <pdr@google.com>

        Account for transform in SVG background images
        https://bugs.webkit.org/show_bug.cgi?id=110295

        Reviewed by Dirk Schulze.

        Tiled SVG background images are rendererd by drawing the SVG content into a temporary
        image buffer, then stamping out a tiled pattern using this buffer. Previously the
        image buffer did not account for CSS transforms which could result in pixelated backgrounds.

        This patch takes advantage of the context's transform when sizing the temporary tiling
        image buffer. Because the context's transform also includes scale, this patch simplifies
        the SVG image code to no longer track scale.

        Test: svg/as-background-image/svg-transformed-background.html

        * loader/cache/CachedImage.cpp:
        (WebCore):
        (WebCore::CachedImage::imageForRenderer):

            CachedImage::lookupOrCreateImageForRenderer no longer creates images so it has been
            refactored into just "imageForRenderer". Previously there were two versions of
            lookupOrCreateImageForRenderer; these have been folded into imageForRenderer.

        * loader/cache/CachedImage.h:
        * svg/graphics/SVGImage.cpp:
        (WebCore::SVGImage::drawPatternForContainer):

            To create the temporary tiling image buffer, the final size in screen coordinates is
            needed. This is now computed using the current context's CTM. Because the CTM
            already includes the page scale, all page scale tracking can be removed.

            The adjustments to srcRect and the pattern transform are the same as before, just
            refactored to use imageBufferScale which has x and y components.

        * svg/graphics/SVGImage.h:
        * svg/graphics/SVGImageCache.cpp:
        (WebCore::SVGImageCache::setContainerSizeForRenderer):

            Because the page scale needed to be cached between calls to
            setContainerSizeForRenderer, this function was written to modify an existing cache
            entry. Because the page scale no longer needs to be tracked, this code has been
            simplified to re-write any existing cache entry.

        (WebCore::SVGImageCache::imageSizeForRenderer):

            This function has been simplified by calling SVGImageForContainer::size() instead
            of computing this value manually. The value returned remains the same, containing
            the container size multiplied by zoom.

        (WebCore::SVGImageCache::imageForRenderer):

            Previously we set the page scale on every call to imageForRenderer. Because page scale
            no longer needs to be tracked, this function has been simplified to simply return
            the cached SVGImageForContainer.

        * svg/graphics/SVGImageForContainer.cpp:
        (WebCore::SVGImageForContainer::drawPattern):
        * svg/graphics/SVGImageForContainer.h:
        (WebCore::SVGImageForContainer::create):
        (WebCore::SVGImageForContainer::SVGImageForContainer):
        (SVGImageForContainer):

2013-02-20  Jer Noble  <jer.noble@apple.com>

        Crash in com.apple.WebKit2.WebProcessService at com.apple.avfoundation: __73-[AVAssetResourceLoader _attemptDelegateHandlingOfRequestWithDictionary:]_block_invoke + 51
        https://bugs.webkit.org/show_bug.cgi?id=110385

        Reviewed by Eric Carlson.

        Ensure AVFoundation does not attempt to message a dead object by explicitly disassociating
        the AVAssetResourceLoaderDelegate on MediaPlayerPrivateAVFoundationObjC destruction.

        * platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm:
        (WebCore::MediaPlayerPrivateAVFoundationObjC::~MediaPlayerPrivateAVFoundationObjC):

2013-02-20  Ojan Vafai  <ojan@chromium.org>

        Positioned, replaced elements with intrinsic width keywords compute the wrong width
        https://bugs.webkit.org/show_bug.cgi?id=110393

        Reviewed by Emil A Eklund.

        Test: fast/css-intrinsic-dimensions/intrinsic-sized-replaced-absolutes.html

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::computeReplacedLogicalWidthUsing):
        Add the intrinsic size keywords to the switch. Confusingly, we have to
        subtract the border and padding since the callers expect the content width.

        * rendering/RenderReplaced.cpp:
        (WebCore::RenderReplaced::computeReplacedLogicalWidth):
        Don't do the intrinsic ratio calculation if the width is an
        intrinsic width keyword, as per, http://dev.w3.org/csswg/css3-sizing/#replaced-intrinsic.

        (WebCore::RenderReplaced::computeIntrinsicLogicalWidths):
        (WebCore::RenderReplaced::computePreferredLogicalWidths):
        The old code was trying to apply the intrinsic ratio calculation to
        the intrinsic width, which is wrong per spec.

2013-02-20  Alec Flett  <alecflett@chromium.org>

        LevelDB: Remove excess vector copy
        https://bugs.webkit.org/show_bug.cgi?id=110399

        Reviewed by Tony Chang.

        Remove an extra copy introduced by the makeVector function.

        No new tests, this is covered by existing tests.

        * platform/leveldb/LevelDBDatabase.cpp:
        (WebCore::LevelDBDatabase::safeGet):

2013-02-20  Simon Fraser  <simon.fraser@apple.com>

        Zoomed, slow-scrolling pages keep recreating tiles when scrolled
        https://bugs.webkit.org/show_bug.cgi?id=110379

        Reviewed by Tim Horton.

        On slow-scrolling pages the TileCache makes the tiles the size of
        the visible rect to minimize per-tile painting overhead. If the size
        of that rect changes, the TileCache re-creates all the tiles.
        
        This was a problem whem zoomed, because mapping the visible rect
        through the scale transform and then rounding it would cause the
        size to keep changing, causing lots of tile re-creation.
        
        Fix by carrying the visibleRect around as a FloatRect, and doing
        the same for the exposedRect. We then only expand to integers
        when computing the tile size. This also fixes an issue where we could
        sometimes make extra tiles because of fractional bits of tiles at the edges,
        as shown by the test result change.

        * platform/graphics/TiledBacking.h:
        * platform/graphics/ca/GraphicsLayerCA.cpp:
        (WebCore::GraphicsLayerCA::updateVisibleRect):
        * platform/graphics/ca/mac/TileCache.h:
        * platform/graphics/ca/mac/TileCache.mm:
        (WebCore::TileCache::setVisibleRect):
        (WebCore::TileCache::setExposedRect):
        (WebCore::TileCache::prepopulateRect):
        (WebCore::TileCache::computeTileCoverageRect):
        (WebCore::TileCache::tileSizeForCoverageRect):
        (WebCore::TileCache::blankPixelCountForTiles):
        (WebCore::TileCache::revalidateTiles):
        (WebCore::TileCache::ensureTilesForRect):
        * platform/graphics/ca/mac/WebTileLayer.mm:
        (-[WebTileLayer logFilledFreshTile]):

2013-02-20  Julien Chaffraix  <jchaffraix@webkit.org>

        [CSS Grid Layout] Implement the auto-placement algorithm without grid growth
        https://bugs.webkit.org/show_bug.cgi?id=110277

        Reviewed by Tony Chang.

        Tests: fast/css-grid-layout/grid-item-addition-auto-placement-update.html
               fast/css-grid-layout/grid-item-removal-auto-placement-update.html
               fast/css-grid-layout/grid-auto-flow-resolution.html (extended to cover more cases)

        This change implements most of the auto-placement algorithm per
        http://dev.w3.org/csswg/css3-grid-layout/#auto-placement-algo

        To limit the size of the code change, it doesn't implement growing the grid if there
        are no empty grid areas. If we don't find any empty grid areas, we just insert in the first
        one, like what grid-auto-flow: none would do (which explains the test failures).

        * rendering/RenderGrid.cpp:
        (WebCore::RenderGrid::GridIterator::nextEmptyGridArea):
        Added this function to return the GridCoordinate of the next empty grid area along
        the iterator's direction.

        (WebCore::RenderGrid::placeItemsOnGrid):
        Split this function into the different steps below. For efficiency, collect the auto vs specified
        major axis grid items in different Vectors.

        (WebCore::RenderGrid::placeSpecifiedMajorAxisItemsOnGrid):
        Added this function that implements part of step 1 of the algorithm (the grid items without
        auto row / column are already handled in placeItemsOnGrid).

        (WebCore::RenderGrid::placeAutoMajorAxisItemsOnGrid):
        Added this function that iterates over the auto grid items and call placeAutoMajorAxisItemOnGrid.

        (WebCore::RenderGrid::placeAutoMajorAxisItemOnGrid):
        Added this method to handle the step 4 of the algorithm. Based on the minor axis's position,
        it either walks along the major axis once or several times until it finds an empty grid area
        for the grid item.

        (WebCore::RenderGrid::autoPlacementMajorAxisPositionForChild):
        (WebCore::RenderGrid::autoPlacementMinorAxisPositionForChild):
        (WebCore::RenderGrid::autoPlacementMajorAxisDirection):
        (WebCore::RenderGrid::autoPlacementMinorAxisDirection):
        Added these helper functions that return minor / major axis positions & direction.

        * rendering/RenderGrid.h:
        Added the previous new RenderGrid functions.

2013-02-20  Vincent Scheib  <scheib@chromium.org>

        Accept 'allowfullscreen' in addition to 'webkitallowfullscreen'.
        https://bugs.webkit.org/show_bug.cgi?id=110374

        Reviewed by Adam Barth.

        The fullscreen API also includes a new HTML attribute for iframes
        which permits its use. That attribute, 'allowfullcreen' is now
        included in the HTML specification [1] and is stable enough
        to remove the webkit prefix.

        [1] http://www.whatwg.org/specs/web-apps/current-work/multipage/the-iframe-element.html#attr-iframe-allowfullscreen

        Tests: fullscreen/full-screen-enabled-prefixed.html
               fullscreen/full-screen-iframe-allowed-prefixed.html
               fullscreen/full-screen-iframe-with-mixed-allow-webkitallow-attribute.html

        * dom/Document.cpp:
        (WebCore::isAttributeOnAllOwners):
        (WebCore::Document::fullScreenIsAllowedForElement):
        (WebCore::Document::webkitFullscreenEnabled):
        * html/HTMLAttributeNames.in:

2013-02-20  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Remove references to SAFARI_THEME from Windows Solution.
        <rdar://problem/13258710>

        * config.h:
        * page/Settings.cpp:
        * page/Settings.h:
        * platform/win/ScrollbarThemeWin.cpp:
        * rendering/RenderThemeWin.cpp:

2013-02-20  Roger Fong  <roger_fong@apple.com>

        Get VS2010 Solution B&I ready.
        <rdar://problem/1322988>

        Rubberstamped by Timothy Horton.

        Add Production configuration. 
        Add a WebCore submit solution with a DebugSuffix configuration. 
        Modify WebCore.make as necessary.
        
        * DerivedSources.make:
        * WebCore.vcxproj/QTMovieWin/QTMovieWin.vcxproj:
        * WebCore.vcxproj/QTMovieWin/QTMovieWinCommon.props:
        * WebCore.vcxproj/QTMovieWin/QTMovieWinProduction.props: Added.
        * WebCore.vcxproj/QTMovieWin/QTMovieWinRelease.props:
        * WebCore.vcxproj/WebCore.make: Added.
        * WebCore.vcxproj/WebCore.sln: Removed.
        * WebCore.vcxproj/WebCore.submit.sln: Copied from Source/WebCore/WebCore.vcxproj/WebCore.sln.
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCoreGenerated.vcxproj:
        * WebCore.vcxproj/WebCoreGeneratedProduction.props: Added.
        * WebCore.vcxproj/WebCoreGeneratedRelease.props:
        * WebCore.vcxproj/WebCoreProduction.props: Added.
        * WebCore.vcxproj/WebCoreRelease.props:
        * WebCore.vcxproj/WebCoreTestSupport.vcxproj:

2013-02-20  Adam Klein  <adamk@chromium.org>

        [v8] Fix an erroneous WrapperGrouper call in preparation for refactoring
        https://bugs.webkit.org/show_bug.cgi?id=110396

        Reviewed by Kentaro Hara.

        This is in preparation for a refactor to expose a simplified
        WrapperGrouper interface to V8 wrapper classes enabling them to
        specify multiple roots per wrapper object. 

        * bindings/v8/V8GCController.cpp: Since MutationObservers are not Nodes, the correct call here is addObjectToGroup, as it is for all other non-Node wrappers.

2013-02-20  Levi Weintraub  <leviw@chromium.org>

        Line layout (but not pref widths) double-counts word spacing when between inlines
        https://bugs.webkit.org/show_bug.cgi?id=110381

        Reviewed by Emil A Eklund.

        When a word break with a space occurs between inlines and word-spacing is non-zero,
        line layout incorrectly committed the word-spacing value to the line twice, causing
        wrapping in inline-blocks. To fix this, clear the word-spacing value when between
        words and ignoring spaces, as we will already have added the word-spacing to the
        line.

        Test: fast/text/word-space-between-inlines.html

        * rendering/RenderBlockLineLayout.cpp:
        (WebCore::RenderBlock::LineBreaker::nextSegmentBreak):

2013-02-20  Nate Chapin  <japhet@chromium.org>

        Crash in WebCore::FrameLoader::checkCompleted()
        https://bugs.webkit.org/show_bug.cgi?id=110237

        Reviewed by Abhishek Arya.

        Test: http/tests/misc/delete-frame-during-readystatechange.html

        * loader/FrameLoader.cpp:
        (WebCore::FrameLoader::checkCompleted): Protect before setReadyState() is called.

2013-02-20  David Grogan  <dgrogan@chromium.org>

        IndexedDB: Limit LevelDB's max open files
        https://bugs.webkit.org/show_bug.cgi?id=109993

        Reviewed by Tony Chang.

        LevelDB keeps up to 1000 (by default) data files open at a time to
        avoid having to open() them. This has caused chromium to hit the
        process-wide open file limit. This patch changes max_open_files to 20,
        as that's the minimum permitted by LevelDB and we have no reason to
        think that performance will suffer because of the extra open calls.

        No new tests - a chromium browser test that tracks the open LevelDB
        files is plausible but is blocked on http://crbug.com/177249/.

        * platform/leveldb/LevelDBDatabase.cpp:
        (WebCore::openDB):

2013-02-20  David Hyatt  <hyatt@apple.com>

        [New Multicolumn] Resize RenderMultiColumnSets around their columns.
        https://bugs.webkit.org/show_bug.cgi?id=110378.

        Reviewed by Dirk Schulze.

        Test: fast/multicol/newmulticol/positioned-with-constrained-height.html.

        * rendering/RenderBlock.h:
        (RenderBlock):
        Make computeOverflow public so that RenderMultiColumnFlowThread can
        access it.

        * rendering/RenderMultiColumnFlowThread.cpp:
        (WebCore::RenderMultiColumnFlowThread::layout):
        Subclass layout to recompute the overflow for RenderMultiColumnBlock
        after the flow thread has finished layout. This way it can account
        for changes in RenderMultiColumnSets without having to do a second
        layout pass.

        * rendering/RenderMultiColumnFlowThread.h:
        (RenderMultiColumnFlowThread):
        Override layout().

        * rendering/RenderMultiColumnSet.cpp:
        (WebCore::RenderMultiColumnSet::columnCount):
        Clean up a comment that referred to portions as region rects still.

        (WebCore::RenderMultiColumnSet::setFlowThreadPortionRect):
        * rendering/RenderMultiColumnSet.h:
        * rendering/RenderRegion.h:
        (WebCore::RenderRegion::setFlowThreadPortionRect):
        Make setFlowThreadPortionRect virtual and actually mutate the size
        and position of RenderMultiColumnSets so that they enclose their
        column rects.

2013-02-20  Dirk Schulze  <krit@webkit.org>

        Enable CANVAS_PATH flag
        https://bugs.webkit.org/show_bug.cgi?id=108508

        Reviewed by Simon Fraser.

        Enable CANVAS_PATH flag on trunk.

        Existing tests cover the feature.

        * Configurations/FeatureDefines.xcconfig:

2013-02-20  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143441.
        http://trac.webkit.org/changeset/143441
        https://bugs.webkit.org/show_bug.cgi?id=110376

        May be causing chromium content_browsertests failures.
        (Requested by vollick on #webkit).

        * bindings/v8/ScriptValue.cpp:
        (WebCore::ScriptValue::serialize):
        (WebCore::ScriptValue::getString):
        (WebCore::ScriptValue::toString):
        (WebCore::ScriptValue::toInspectorValue):
        * bindings/v8/ScriptValue.h:
        (WebCore::ScriptValue::ScriptValue):
        (WebCore::ScriptValue::operator=):
        (WebCore::ScriptValue::operator==):
        (WebCore::ScriptValue::isEqual):
        (WebCore::ScriptValue::isFunction):
        (WebCore::ScriptValue::isNull):
        (WebCore::ScriptValue::isUndefined):
        (WebCore::ScriptValue::isObject):
        (WebCore::ScriptValue::hasNoValue):
        (WebCore::ScriptValue::clear):
        (WebCore::ScriptValue::v8Value):
        (ScriptValue):
        * bindings/v8/SharedPersistent.h:
        (WebCore):
        * bindings/v8/custom/V8InjectedScriptHostCustom.cpp:
        (WebCore::InjectedScriptHost::scriptValueAsNode):
        * bindings/v8/custom/V8MessageEventCustom.cpp:
        (WebCore::V8MessageEvent::dataAttrGetterCustom):

2013-02-15  Dirk Schulze  <krit@webkit.org>

        [Chromium] Add runtime flag for CanvasPath
        https://bugs.webkit.org/show_bug.cgi?id=109997

        Reviewed by Adam Barth.

        Add runtime flag for Chromium.

        * bindings/generic/RuntimeEnabledFeatures.cpp:
        (WebCore):
        * bindings/generic/RuntimeEnabledFeatures.h:
        (RuntimeEnabledFeatures):
        (WebCore::RuntimeEnabledFeatures::setCanvasPathEnabled):
        (WebCore::RuntimeEnabledFeatures::canvasPathEnabled):
        * html/canvas/DOMPath.idl:
        * page/DOMWindow.idl:

2013-02-20  Laszlo Gombos  <l.gombos@samsung.com>

        Remove unnecessary includes for Platform.h from headers
        https://bugs.webkit.org/show_bug.cgi?id=110300

        Reviewed by Alexey Proskuryakov.

        wtf/Platform.h only need to be included in a few places directly
        as it is included in config.h. Remove the unnecessay duplicate as
        it can be confusing.

        No new tests, no change in functionality.

        * platform/SecureTextInput.h:
        * platform/audio/Biquad.h:
        * platform/audio/FFTFrame.h:
        * platform/graphics/cpu/arm/filters/FEBlendNEON.h:
        * platform/graphics/cpu/arm/filters/NEONHelpers.h:
        * platform/graphics/filters/FELighting.h:

2013-02-20  Florin Malita  <fmalita@chromium.org>

        [SVG] Update of element referenced by multiple 'use' nodes is absurdly slow
        https://bugs.webkit.org/show_bug.cgi?id=97905

        Reviewed by Dirk Schulze.

        Rebuilding the shadow and instance trees of dependent use nodes recursively can be
        extremely inefficient with non-trivial dependency graphs (the trees are not constructed
        in topological order).

        To avoid redundant buildShadowAndInstanceTree() invokations, separate the invalidation
        phase from the actual tree (re)building phase, and only descend into the dependency DAG
        during the invalidation phase (recursion also stops at nodes that have been previously
        invalidated).

        No new tests: functional coverage provided by existing tests, perfomance tracked by
        PerformanceTests/SVG/SvgNestedUse.html.

        * svg/SVGUseElement.cpp:
        (WebCore::SVGUseElement::buildPendingResource):
        (WebCore::SVGUseElement::buildShadowAndInstanceTree):
        (WebCore::SVGUseElement::invalidateShadowTree):
        (WebCore):
        (WebCore::SVGUseElement::invalidateDependentShadowTrees):
        * svg/SVGUseElement.h:
        (SVGUseElement):

2013-02-20  Tim Horton  <timothy_horton@apple.com>

        RenderLayerBacking should initialize TiledBacking's isInWindow state with Page's isInWindow, not isOnscreen
        https://bugs.webkit.org/show_bug.cgi?id=110370
        <rdar://problem/13254006>

        Reviewed by Simon Fraser.

        * rendering/RenderLayerBacking.cpp:
        (WebCore::RenderLayerBacking::RenderLayerBacking):

2013-02-20  Mark Lam  <mark.lam@apple.com>

        Cleanup the SQLTransaction and SQLTransactionBackend state dispatch
        to only honor a state transition request if the associated database
        hasn't been interrupted.
        https://bugs.webkit.org/show_bug.cgi?id=110247.

        Reviewed by Antti Koivisto.

        No new tests.

        * Modules/webdatabase/SQLTransaction.cpp:
        (WebCore::SQLTransaction::performPendingCallback):
        (WebCore::SQLTransaction::computeNextStateAndCleanupIfNeeded):
        * Modules/webdatabase/SQLTransaction.h:
        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::computeNextStateAndCleanupIfNeeded):
        (WebCore::SQLTransactionBackend::performNextStep):
        * Modules/webdatabase/SQLTransactionBackend.h:

2013-02-20  Alexey Proskuryakov  <ap@apple.com>

        ResourceHandle::loadResourceSynchronously should have blob support in cross-platform code
        https://bugs.webkit.org/show_bug.cgi?id=110364

        Reviewed by Anders Carlsson.

        * platform/network/ResourceHandle.h:
        * platform/network/ResourceHandle.cpp: (WebCore::ResourceHandle::loadResourceSynchronously):
        Added a cross-platform version to keep blob-related logic in one place.

        * platform/network/blackberry/ResourceHandleBlackBerry.cpp:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        * platform/network/cf/ResourceHandleCFNet.cpp:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        * platform/network/curl/ResourceHandleCurl.cpp:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        * platform/network/mac/ResourceHandleMac.mm:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        * platform/network/qt/ResourceHandleQt.cpp:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        * platform/network/win/ResourceHandleWin.cpp:
        (WebCore::ResourceHandle::platformLoadResourceSynchronously):
        Renamed loadResourceSynchronously to platformLoadResourceSynchronously,
        removed blob handling from platforms that had it.

2013-02-20  David Hyatt  <hyatt@apple.com>

        [New Multicolumn] RenderMultiColumnFlowThreads should establish a BFC.
        https://bugs.webkit.org/show_bug.cgi?id=110366.

        Reviewed by Antti Koivisto.

        RenderFlowThreads should establish a block formatting context always.
        CSS Regions have named flow thread that they absolutely position, and so
        they got this for free by being absolutely positioned.
        
        RenderMultiColumnFlowThreads, however, are relative positioned, so we need
        to just add an isRenderFlowThread case specifically so we're not dependent
        on the positioning scheme used for the flow thread to establish the BFC.
        
        Test: fast/multicol/newmulticol/float-*.html.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::MarginInfo::MarginInfo):

2013-02-20  David Hyatt  <hyatt@apple.com>

        [New Multicolumn] Column gap is computed incorrectly.
        https://bugs.webkit.org/show_bug.cgi?id=110360.

        Reviewed by Simon Fraser.

        Test: fast/multicol/newmulticol/layers-split-across-columns.html.

        * rendering/RenderMultiColumnSet.cpp:
        (WebCore::RenderMultiColumnSet::columnGap):
        Make sure we ask the RenderMultiColumnBlock for the gap rather than our
        own style, since we don't actually have the gap value in our style.
        
        (WebCore::RenderMultiColumnSet::flowThreadPortionOverflowRect):
        * rendering/RenderMultiColumnSet.h:
        Fix another spot where the columnGap was an int. It should be a LayoutUnit.

2013-02-20  Robert Hogan  <robert@webkit.org>

        No caret on empty contenteditable element with negative text-indent
        https://bugs.webkit.org/show_bug.cgi?id=108633

        Reviewed by Ryosuke Niwa.

        Test: fast/repaint/paint-caret-in-div-with-negative-indent.html

        When an editable element has a negative text indent we won't paint the caret when the
        element is empty because it falls outside the element's border box. To ensure the caret is painted,
        account for any negative indent with our overflow.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::computeOverflow):

2013-02-20  Ojan Vafai  <ojan@chromium.org>

        Remove stretchesToMinIntrinsicLogicalWidth
        https://bugs.webkit.org/show_bug.cgi?id=110266

        Reviewed by Emil Eklund.

        This was only used by fieldsets and now we have a way to express this
        concept in CSS.

        * WebCore.order:
        * css/html.css:
        Make fieldsets min-width: -webkit-min-content.

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::computeLogicalWidthInRegion):
        (WebCore::RenderBox::computePositionedLogicalWidth):
        * rendering/RenderBox.h:
        Remove all calls to stretchesToMinIntrinsicLogicalWidth.

2013-02-20  Ojan Vafai  <ojan@chromium.org>

        Make intrinsic width values work for positioned elements
        https://bugs.webkit.org/show_bug.cgi?id=110264

        Reviewed by Tony Chang.

        Tests: fast/css-intrinsic-dimensions/intrinsic-sized-absolutes.html
               fast/css-intrinsic-dimensions/width-shrinks-avoid-floats.html

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::computeIntrinsicLogicalWidthUsing):
        (WebCore::RenderBox::computeLogicalWidthInRegionUsing):
        Move the computation of intrinsic widths out into a helper function so that
        computePositionedLogicalWidthUsing can use it. As per the current spec,
        fill-available measures shrink to avoid floats. http://dev.w3.org/csswg/css3-sizing/

        (WebCore::RenderBox::computePositionedLogicalWidth):
        Compute intrinsic min-widths in addition to non-zero ones. Intrinsic widths
        return true for isZero. width and max-width don't need modifying since they already
        call computePositionedLogicalWidthUsing for intrinsic widths.

        (WebCore::RenderBox::computePositionedLogicalWidthUsing):
        Compute intrinsic widths and use a Fixed length for the rest of the positioned width
        computation. Doesn't include bordersPlusPadding because the caller, expected the content
        width and adds in the bordersPlusPadding later.

        * rendering/RenderBox.h:

2013-02-20  Robert Hogan  <robert@webkit.org>

        input element with placeholder text and width set to 100% on focus causes overflow even after losing focus
        https://bugs.webkit.org/show_bug.cgi?id=109020

        Reviewed by David Hyatt.

        Tests: fast/forms/input-placeholder-layout-view.html
               fast/forms/textarea-placeholder-layout-view.html

        Placeholder elements don't affect layout so shouldn't contribute overflow either.

        * rendering/RenderTextControlSingleLine.cpp:
        (WebCore::RenderTextControlSingleLine::layout):

2013-02-20  Mark Lam  <mark.lam@apple.com>

        Rename DatabaseBackend to DatabaseBackendBase.
        https://bugs.webkit.org/show_bug.cgi?id=110303.

        Rubber stamped by Alexey Proskuryakov.

        This is a purely cosmetic change to make the naming consistent with
        the front-end DatabaseBase.

        No new tests.

        * CMakeLists.txt:
        * GNUmakefile.list.am:
        * Modules/webdatabase/AbstractDatabaseServer.h:
        * Modules/webdatabase/Database.cpp:
        (WebCore::Database::create):
        (WebCore::Database::version):
        * Modules/webdatabase/Database.h:
        (Database):
        * Modules/webdatabase/DatabaseBackend.cpp: Removed.
        * Modules/webdatabase/DatabaseBackend.h: Removed.
        * Modules/webdatabase/DatabaseBackendAsync.cpp:
        (WebCore::DatabaseBackendAsync::DatabaseBackendAsync):
        (WebCore::DatabaseBackendAsync::performOpenAndVerify):
        * Modules/webdatabase/DatabaseBackendAsync.h:
        * Modules/webdatabase/DatabaseBackendBase.cpp: Copied from Source/WebCore/Modules/webdatabase/DatabaseBackend.cpp.
        (WebCore::DatabaseBackendBase::databaseInfoTableName):
        (WebCore::DatabaseBackendBase::DatabaseBackendBase):
        (WebCore::DatabaseBackendBase::~DatabaseBackendBase):
        (WebCore::DatabaseBackendBase::closeDatabase):
        (WebCore::DatabaseBackendBase::version):
        (WebCore::DoneCreatingDatabaseOnExitCaller::DoneCreatingDatabaseOnExitCaller):
        (DoneCreatingDatabaseOnExitCaller):
        (WebCore::DatabaseBackendBase::performOpenAndVerify):
        (WebCore::DatabaseBackendBase::securityOrigin):
        (WebCore::DatabaseBackendBase::stringIdentifier):
        (WebCore::DatabaseBackendBase::displayName):
        (WebCore::DatabaseBackendBase::estimatedSize):
        (WebCore::DatabaseBackendBase::fileName):
        (WebCore::DatabaseBackendBase::details):
        (WebCore::DatabaseBackendBase::getVersionFromDatabase):
        (WebCore::DatabaseBackendBase::setVersionInDatabase):
        (WebCore::DatabaseBackendBase::setExpectedVersion):
        (WebCore::DatabaseBackendBase::getCachedVersion):
        (WebCore::DatabaseBackendBase::setCachedVersion):
        (WebCore::DatabaseBackendBase::getActualVersionForTransaction):
        (WebCore::DatabaseBackendBase::disableAuthorizer):
        (WebCore::DatabaseBackendBase::enableAuthorizer):
        (WebCore::DatabaseBackendBase::setAuthorizerReadOnly):
        (WebCore::DatabaseBackendBase::setAuthorizerPermissions):
        (WebCore::DatabaseBackendBase::lastActionChangedDatabase):
        (WebCore::DatabaseBackendBase::lastActionWasInsert):
        (WebCore::DatabaseBackendBase::resetDeletes):
        (WebCore::DatabaseBackendBase::hadDeletes):
        (WebCore::DatabaseBackendBase::resetAuthorizer):
        (WebCore::DatabaseBackendBase::maximumSize):
        (WebCore::DatabaseBackendBase::incrementalVacuumIfNeeded):
        (WebCore::DatabaseBackendBase::interrupt):
        (WebCore::DatabaseBackendBase::isInterrupted):
        (WebCore::DatabaseBackendBase::reportOpenDatabaseResult):
        (WebCore::DatabaseBackendBase::reportChangeVersionResult):
        (WebCore::DatabaseBackendBase::reportStartTransactionResult):
        (WebCore::DatabaseBackendBase::reportCommitTransactionResult):
        (WebCore::DatabaseBackendBase::reportExecuteStatementResult):
        (WebCore::DatabaseBackendBase::reportVacuumDatabaseResult):
        * Modules/webdatabase/DatabaseBackendBase.h: Copied from Source/WebCore/Modules/webdatabase/DatabaseBackend.h.
        (DatabaseBackendBase):
        * Modules/webdatabase/DatabaseBackendSync.cpp:
        (WebCore::DatabaseBackendSync::DatabaseBackendSync):
        * Modules/webdatabase/DatabaseBackendSync.h:
        * Modules/webdatabase/DatabaseBase.h:
        * Modules/webdatabase/DatabaseManager.cpp:
        (WebCore::DatabaseManager::openDatabaseBackend):
        (WebCore::DatabaseManager::openDatabase):
        (WebCore::DatabaseManager::openDatabaseSync):
        (WebCore::DatabaseManager::getMaxSizeForDatabase):
        * Modules/webdatabase/DatabaseManager.h:
        (DatabaseManager):
        * Modules/webdatabase/DatabaseServer.cpp:
        (WebCore::DatabaseServer::openDatabase):
        (WebCore::DatabaseServer::createDatabase):
        (WebCore::DatabaseServer::getMaxSizeForDatabase):
        * Modules/webdatabase/DatabaseServer.h:
        * Modules/webdatabase/DatabaseSync.cpp:
        (WebCore::DatabaseSync::create):
        * Modules/webdatabase/DatabaseSync.h:
        (DatabaseSync):
        * Modules/webdatabase/DatabaseTracker.cpp:
        (WebCore::DatabaseTracker::getMaxSizeForDatabase):
        (WebCore::DatabaseTracker::databaseChanged):
        (WebCore::DatabaseTracker::interruptAllDatabasesForContext):
        (WebCore::DatabaseTracker::doneCreatingDatabase):
        (WebCore::DatabaseTracker::addOpenDatabase):
        (WebCore::DatabaseTracker::removeOpenDatabase):
        (WebCore::DatabaseTracker::getOpenDatabases):
        (WebCore::DatabaseTracker::deleteDatabaseFile):
        * Modules/webdatabase/DatabaseTracker.h:
        (DatabaseTracker):
        * Modules/webdatabase/OriginQuotaManager.cpp:
        (WebCore::OriginQuotaManager::markDatabase):
        * Modules/webdatabase/OriginQuotaManager.h:
        (OriginQuotaManager):
        * Modules/webdatabase/SQLTransactionClient.cpp:
        (WebCore::SQLTransactionClient::didCommitWriteTransaction):
        (WebCore::SQLTransactionClient::didExecuteStatement):
        (WebCore::SQLTransactionClient::didExceedQuota):
        * Modules/webdatabase/SQLTransactionClient.h:
        (SQLTransactionClient):
        * Modules/webdatabase/chromium/DatabaseObserver.h:
        (DatabaseObserver):
        * Modules/webdatabase/chromium/DatabaseTrackerChromium.cpp:
        (WebCore::DatabaseTracker::addOpenDatabase):
        (WebCore::NotifyDatabaseObserverOnCloseTask::create):
        (WebCore::NotifyDatabaseObserverOnCloseTask::NotifyDatabaseObserverOnCloseTask):
        (NotifyDatabaseObserverOnCloseTask):
        (WebCore::DatabaseTracker::removeOpenDatabase):
        (WebCore::DatabaseTracker::prepareToOpenDatabase):
        (WebCore::DatabaseTracker::failedToOpenDatabase):
        (WebCore::DatabaseTracker::getMaxSizeForDatabase):
        (WebCore::DatabaseTracker::CloseOneDatabaseImmediatelyTask::create):
        (WebCore::DatabaseTracker::CloseOneDatabaseImmediatelyTask::CloseOneDatabaseImmediatelyTask):
        (DatabaseTracker::CloseOneDatabaseImmediatelyTask):
        (WebCore::DatabaseTracker::closeOneDatabaseImmediately):
        * Modules/webdatabase/chromium/SQLTransactionClientChromium.cpp:
        (WebCore::NotifyDatabaseChangedTask::create):
        (WebCore::NotifyDatabaseChangedTask::NotifyDatabaseChangedTask):
        (NotifyDatabaseChangedTask):
        (WebCore::SQLTransactionClient::didCommitWriteTransaction):
        (WebCore::SQLTransactionClient::didExecuteStatement):
        (WebCore::SQLTransactionClient::didExceedQuota):
        * Target.pri:
        * WebCore.gypi:
        * WebCore.vcproj/WebCore.vcproj:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * WebCore.xcodeproj/project.pbxproj:

2013-02-20  Eric Carlson  <eric.carlson@apple.com>

        iOS does not use CaptionUserPreferencesMac
        https://bugs.webkit.org/show_bug.cgi?id=110259

        Reviewed by Dean Jackson.

        * page/CaptionUserPreferencesMac.h: Add PLATFORM(IOS) guard
        * page/CaptionUserPreferencesMac.mm: Ditto.

        * page/PageGroup.cpp:
        (WebCore::PageGroup::captionPreferences): Ditto.

2013-02-19  David Hyatt  <hyatt@apple.com>

        [New Multicolumn] Make layers paint properly in columns.
        https://bugs.webkit.org/show_bug.cgi?id=110296.

        Reviewed by Sam Weinig.

        Construct the style for the RenderMultiColumnFlowThread such that it
        establishes a stacking context (by being position:relative
        with a z-index of 0). This causes the layer collection code
        to correctly ignore the RenderFlowThread layers during normal
        painting.
        
        Fix more clipping bugs to eliminate subpixel layout differences
        between old and new multicolumn.

        Test: fast/multicol/newmulticol/layers-in-multicol.html

        * rendering/RenderMultiColumnBlock.cpp:
        (WebCore::createMultiColumnFlowThreadStyle):
        (WebCore):
        (WebCore::RenderMultiColumnBlock::addChild):
        Use a custom style (similar to what normal RenderFlowThreads do)
        for the RenderMultiColumnFlowThread that makes it a stacking
        context.
        
        * rendering/RenderMultiColumnSet.cpp:
        (WebCore::RenderMultiColumnSet::flowThreadPortionOverflowRect):
        Fix the overflow calculations out the leftmost and rightmost
        columns to actually look at the physical placement of the columns.
        The old code was backwards for RTL.
        
        * rendering/RenderRegion.cpp:
        (WebCore::RenderRegion::overflowRectForFlowThreadPortion):
        Fix the clipping done by overflowRectForFlowThreadPortion to min
        and max with the passed-in portion rect so that subclasses that
        inflate the rect prior to passing it into the method don't have that
        inflation discarded.

2013-02-20  Alexander Pavlov  <apavlov@chromium.org>

        Web Inspector: CSSProperty.status defaults to "style" not "active"
        https://bugs.webkit.org/show_bug.cgi?id=110348

        Reviewed by Timothy Hatcher.

        * inspector/Inspector.json: Fix the default property status to be "style" in the description.

2013-02-20  Dan Carney  <dcarney@google.com>

        [v8] potentially disposed handle returned for npapi object
        https://bugs.webkit.org/show_bug.cgi?id=110331

        Reviewed by Kentaro Hara.

        No new tests. No change in functionality.

        * bindings/v8/V8NPUtils.cpp:
        (WebCore::convertNPVariantToV8Object):

2013-02-20  Xabier Rodriguez Calvar  <calvaris@igalia.com>  and  Martin Robinson  <mrobinson@igalia.com>

        [Gtk] HTML5 Media controls require a design refresh
        https://bugs.webkit.org/show_bug.cgi?id=83869

        Created new controls that depend less on Gtk and more in CSS.

        Reviewed by Philippe Normand.

        * GNUmakefile.list.am: Added compilation for MediaControlsGtk.cpp
        and MediaControlsGtk.h
        * css/mediaControlsGtk.css: Taken from Chromium and adapted for
        WebKitGtk+.
        * html/shadow/MediaControlsGtk.cpp: Added.
        (WebCore): Added MediaControlsGtk class.
        (WebCore::MediaControlsGtk::MediaControlsGtk): Class constructor
        (WebCore::MediaControls::create): Creates the Gtk+ controls
        components.
        (WebCore::MediaControlsGtk::createControls): Creates the Gtk+
        controls components.
        (WebCore::MediaControlsGtk::initializeControls): Initializes all
        media controls.
        (WebCore::MediaControlsGtk::setMediaController): Sets the media
        controller.
        (WebCore::MediaControlsGtk::reset): Resets the controllers.
        (WebCore::MediaControlsGtk::playbackStarted): Invoked when the
        playback starts
        (WebCore::MediaControlsGtk::updateCurrentTimeDisplay): Updates the
        controls when the current time shall be updated.
        (WebCore::MediaControlsGtk::changedMute): Updates the controls
        then the mute changes.
        (WebCore::MediaControlsGtk::showVolumeSlider): Invoked when the
        volume slider is meant to be shown.
        (WebCore::MediaControlsGtk::createTextTrackDisplay): Creates the
        track display. Though it is not used by us, it needs to be created
        to prevent immediate crashes when loading a video.
        * html/shadow/MediaControlsGtk.h: Added.
        (WebCore): Added the MediaControlsGtk class.
        (MediaControlsGtk): Added the MediaControlsGtk class.
        * platform/gtk/RenderThemeGtk.cpp:
        (WebCore): Added getStockSymbolicIconForWidgetType function
        signature to load symbolic icons.
        (WebCore::supportsFocus): Added media control widgets to support
        focus so that the focus ring is not painted by WebCore.
        (WebCore::RenderThemeGtk::paintMediaButton): Added the symbolic
        icon support. It supports now normal and symbolic icons at the
        same time.
        (WebCore::RenderThemeGtk::paintMediaFullscreenButton): Added the
        symbolic icon support.
        (WebCore::RenderThemeGtk::paintMediaMuteButton): Added the
        symbolic icon support.
        (WebCore::RenderThemeGtk::paintMediaPlayButton): Added the
        symbolic icon support.
        (WebCore::RenderThemeGtk::paintMediaSeekBackButton): Added the
        symbolic icon support.
        (WebCore::RenderThemeGtk::paintMediaSeekForwardButton): Added the
        symbolic icon support.
        (WebCore::borderRadiiFromStyle): Created the radii info from the
        style.
        (WebCore::RenderThemeGtk::paintMediaSliderTrack): Removed the
        background and the Gtk widget support as it is painted with
        CSS. Also paint the time ranges with the CSS style.
        (WebCore::RenderThemeGtk::paintMediaSliderThumb): Paint slider
        thumb according to the CSS parameters.
        (WebCore::RenderThemeGtk::paintMediaVolumeSliderContainer):
        Delegates in the CSS.
        (WebCore::RenderThemeGtk::paintMediaVolumeSliderTrack): Fills the
        track up to the volume level and delegates the border in the CSS.
        (WebCore::RenderThemeGtk::paintMediaVolumeSliderThumb): Delegates
        in the paintMediaSliderThumb method so the thumb is painted the
        same with the CSS parameters.
        (WebCore::RenderThemeGtk::paintMediaCurrentTime): Removed the Gtk
        background to use only CSS.
        * platform/gtk/RenderThemeGtk.h:
        (RenderThemeGtk): Changed paintMediaButton to support the symbolic
        and normal icons at the same time.
        * platform/gtk/RenderThemeGtk2.cpp:
        (WebCore::RenderThemeGtk::adjustSliderThumbSize): Not adjusting
        the thumb size and letting the CSS decide that for media slider.
        (WebCore::getStockSymbolicIconForWidgetType): Implemented as a
        fallback to the normal stock icons.
        * platform/gtk/RenderThemeGtk3.cpp:
        (WebCore):
        (WebCore::RenderThemeGtk::adjustSliderThumbSize): Not adjusting
        the thumb size and letting the CSS decide that for the media
        sliders.
        (WebCore::getStockSymbolicIconForWidgetType): Added this function
        to load symbolic icons. It falls back to normal icons if the
        symbolic is not found.

2013-02-20  Andras Becsi  <andras.becsi@digia.com>

        [Qt] Rename AncestorChainWalker.h to EventPathWalker.h in the project file.

        Unreviewed gardening.

        AncestorChainWalker has been renamed to EventPathWalker in r143422.
        Rename the header in the project file as well so that it shows up in QtCreator.

        No new tests needed.

        * Target.pri:

2013-02-20  Ilya Tikhonovsky  <loislo@chromium.org>

        Web Inspector: fix for frontend closure compile errors.
        https://bugs.webkit.org/show_bug.cgi?id=110329

        Reviewed by Vsevolod Vlasov.

        It has no tests because it has no code changes.

        * inspector/front-end/HeapSnapshot.js:
        (HeapSnapshotMetainfo):
        * inspector/front-end/NativeMemorySnapshotView.js:
        (WebInspector.NativeSnapshotProfileType.prototype.buttonClicked.didReceiveMemorySnapshot):
        (WebInspector.NativeSnapshotProfileType.prototype.buttonClicked):

2013-02-20  Florin Malita  <fmalita@chromium.org>

        Clear SVGPathSeg role on removal.
        https://bugs.webkit.org/show_bug.cgi?id=110058

        Reviewed by Dirk Schulze.

        SVGPathSegListPropertyTearOff::initialize() and SVGPathSegListPropertyTearOff::replaceItem()
        need to clear the context and role for segments being expunged from the list, similarly to
        removeItem(). Otherwise, processIncomingListItemValue() can get confused and attempt to
        remove stale segments.

        Test: svg/dom/SVGPathSegList-crash.html

        * svg/properties/SVGPathSegListPropertyTearOff.cpp:
        (WebCore::SVGPathSegListPropertyTearOff::clearContextAndRoles):
        (WebCore::SVGPathSegListPropertyTearOff::clear):
        (WebCore::SVGPathSegListPropertyTearOff::replaceItem):
        (WebCore):
        * svg/properties/SVGPathSegListPropertyTearOff.h:
        (WebCore::SVGPathSegListPropertyTearOff::initialize):
        (SVGPathSegListPropertyTearOff):

2013-02-20  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143434.
        http://trac.webkit.org/changeset/143434
        https://bugs.webkit.org/show_bug.cgi?id=110326

        added reftest fails on chromium mac 10.6 (Requested by
        toyoshim on #webkit).

        * rendering/RenderFileUploadControl.cpp:
        (WebCore::RenderFileUploadControl::paintObject):

2013-02-19  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Make UISourceCode.path() an array of path segments.
        https://bugs.webkit.org/show_bug.cgi?id=110229

        Reviewed by Pavel Feldman.

        * inspector/front-end/FileSystemProjectDelegate.js:
        (WebInspector.FileSystemProjectDelegate.prototype._filePathForPath):
        (WebInspector.FileSystemProjectDelegate.prototype.innerCallback):
        (WebInspector.FileSystemProjectDelegate.prototype.requestFileContent):
        (WebInspector.FileSystemProjectDelegate.prototype._contentTypeForPath):
        (WebInspector.FileSystemProjectDelegate.prototype.populate.filesLoaded):
        (WebInspector.FileSystemProjectDelegate.prototype.populate):
        * inspector/front-end/SimpleWorkspaceProvider.js:
        (WebInspector.SimpleProjectDelegate.prototype.requestFileContent):
        (WebInspector.SimpleProjectDelegate.prototype.searchInFileContent):
        (WebInspector.SimpleProjectDelegate.prototype.addFile):
        (WebInspector.SimpleProjectDelegate.prototype._ensureUniquePath):
        (WebInspector.SimpleProjectDelegate.prototype.removeFile):
        (WebInspector.SimpleWorkspaceProvider.pathForSplittedURL):
        (WebInspector.SimpleWorkspaceProvider.prototype.addFileByName):
        (WebInspector.SimpleWorkspaceProvider.prototype.removeFileByName):
        * inspector/front-end/UISourceCode.js:
        (WebInspector.UISourceCode.prototype.uri):
        * inspector/front-end/Workspace.js:
        (WebInspector.Project.prototype._fileAdded):
        (WebInspector.Project.prototype._fileRemoved):
        (WebInspector.Project.prototype.uiSourceCode):
        (WebInspector.Workspace.prototype.uiSourceCodeForURL):
        (WebInspector.Workspace.prototype.urlForPath):

2013-02-20  Yury Semikhatsky  <yurys@chromium.org>

        Web Inspector: fix message for non-existent domain warning
        https://bugs.webkit.org/show_bug.cgi?id=110315

        Reviewed by Alexander Pavlov.

        Only send (Heap)Profiler.resetProfiles event if the client has
        requested profile headers before.

        * inspector/InspectorHeapProfilerAgent.cpp:
        (HeapProfilerAgentState):
        (WebCore):
        (WebCore::InspectorHeapProfilerAgent::InspectorHeapProfilerAgent):
        (WebCore::InspectorHeapProfilerAgent::resetFrontendProfiles):
        (WebCore::InspectorHeapProfilerAgent::clearFrontend):
        (WebCore::InspectorHeapProfilerAgent::restore):
        (WebCore::InspectorHeapProfilerAgent::getProfileHeaders):
        * inspector/InspectorHeapProfilerAgent.h:
        (InspectorHeapProfilerAgent):
        * inspector/InspectorProfilerAgent.cpp:
        (ProfilerAgentState):
        (WebCore::InspectorProfilerAgent::InspectorProfilerAgent):
        (WebCore::InspectorProfilerAgent::addProfile):
        (WebCore::InspectorProfilerAgent::disable):
        (WebCore::InspectorProfilerAgent::getProfileHeaders):
        (WebCore):
        (WebCore::InspectorProfilerAgent::resetFrontendProfiles):
        (WebCore::InspectorProfilerAgent::restore):
        * inspector/InspectorProfilerAgent.h:
        (InspectorProfilerAgent):

2013-02-19  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Move workspace specific code from FileMapping to workspace.
        https://bugs.webkit.org/show_bug.cgi?id=110219

        Reviewed by Pavel Feldman.

        Extracted workspace specific code from FileMapping to Workspace.
        This allows to reduce usage of uri and eventually make UISourceCode.path an array of path segments.

        Test: inspector/workspace-mapping.html

        * inspector/front-end/CSSStyleModel.js:
        (WebInspector.CSSStyleModel.prototype.rawLocationToUILocation):
        * inspector/front-end/CompilerScriptMapping.js:
        (WebInspector.CompilerScriptMapping.prototype.rawLocationToUILocation):
        (WebInspector.CompilerScriptMapping.prototype.get addScript.get this):
        (WebInspector.CompilerScriptMapping.prototype.get addScript):
        * inspector/front-end/FileMapping.js:
        (WebInspector.FileMapping):
        (WebInspector.FileMapping.prototype.mappingEntryForURL):
        (WebInspector.FileMapping.prototype.mappingEntryForPath):
        * inspector/front-end/FileSystemMapping.js:
        (WebInspector.FileSystemMapping.prototype.fileSystemPathForPrefix):
        (WebInspector.FileSystemMappingImpl.prototype.addFileSystemMapping):
        (WebInspector.FileSystemMappingImpl.prototype.removeFileSystemMapping):
        (WebInspector.FileSystemMappingImpl.prototype.fileSystemPathForPrefix):
        * inspector/front-end/FileSystemProjectDelegate.js:
        (WebInspector.FileSystemProjectDelegate):
        (WebInspector.FileSystemProjectDelegate.prototype.populate.filesLoaded):
        (WebInspector.FileSystemProjectDelegate.prototype.populate):
        (WebInspector.FileSystemWorkspaceProvider):
        (WebInspector.FileSystemWorkspaceProvider.prototype._fileSystemAdded):
        * inspector/front-end/IsolatedFileSystemManager.js:
        (WebInspector.IsolatedFileSystemManager):
        * inspector/front-end/NetworkUISourceCodeProvider.js:
        (WebInspector.NetworkUISourceCodeProvider):
        (WebInspector.NetworkUISourceCodeProvider.prototype._addFile):
        * inspector/front-end/ResourceScriptMapping.js:
        (WebInspector.ResourceScriptMapping.prototype._workspaceUISourceCodeForScript):
        * inspector/front-end/ResourceUtils.js:
        (WebInspector.displayNameForURL):
        * inspector/front-end/SASSSourceMapping.js:
        (WebInspector.SASSSourceMapping.prototype._reloadCSS):
        (WebInspector.SASSSourceMapping.prototype._bindUISourceCode):
        (WebInspector.SASSSourceMapping.prototype.rawLocationToUILocation):
        * inspector/front-end/ScriptsPanel.js:
        (WebInspector.ScriptsPanel.prototype.canShowAnchorLocation):
        * inspector/front-end/SimpleWorkspaceProvider.js:
        (WebInspector.SimpleWorkspaceProvider.pathForSplittedURL):
        (WebInspector.SimpleWorkspaceProvider.prototype._innerAddFileForURL):
        * inspector/front-end/StylesSourceMapping.js:
        (WebInspector.StylesSourceMapping.prototype.rawLocationToUILocation):
        (WebInspector.StylesSourceMapping.prototype._resourceAdded):
        (WebInspector.StylesSourceMapping.prototype._mainFrameCreatedOrNavigated):
        (WebInspector.StyleContentBinding):
        (WebInspector.StyleContentBinding.prototype._innerStyleSheetChanged):
        * inspector/front-end/Workspace.js:
        (WebInspector.Workspace):
        (WebInspector.Workspace.prototype.hasMappingForURL):
        (WebInspector.Workspace.prototype._fileSystemPathForEntry):
        (WebInspector.Workspace.prototype.uiSourceCodeForURL):
        (WebInspector.Workspace.prototype.urlForPath):
        * inspector/front-end/inspector.js:

2013-02-20  Alexander Pavlov  <apavlov@chromium.org>

        Web Inspector: Introduce SecurityOriginAdded and SecurityOriginRemoved events into ResourceTreeModel
        https://bugs.webkit.org/show_bug.cgi?id=110232

        Reviewed by Vsevolod Vlasov.

        * inspector/front-end/ResourceTreeModel.js:
        (WebInspector.ResourceTreeModel):
        (WebInspector.ResourceTreeModel.prototype._addFrame):
        (WebInspector.ResourceTreeModel.prototype._addSecurityOrigin): Added.
        (WebInspector.ResourceTreeModel.prototype._removeSecurityOrigin): Added.
        (WebInspector.ResourceTreeModel.prototype._handleMainFrameDetached): Added.
        (WebInspector.ResourceTreeModel.prototype._frameNavigated):
        (WebInspector.ResourceTreeModel.prototype._frameDetached):

2013-02-20  Dan Carney  <dcarney@google.com>

        [v8] ScriptValue has dangerous copy semantics
        https://bugs.webkit.org/show_bug.cgi?id=110206

        Reviewed by Kentaro Hara.

        Update ScriptValue to used a SharedPersistent,
        making it impossible to return dead references.

        No new tests. No change in functionality.

        * bindings/v8/ScriptValue.cpp:
        (WebCore::ScriptValue::serialize):
        (WebCore::ScriptValue::getString):
        (WebCore::ScriptValue::toString):
        (WebCore::ScriptValue::toInspectorValue):
        * bindings/v8/ScriptValue.h:
        (WebCore::ScriptValue::ScriptValue):
        (WebCore::ScriptValue::operator=):
        (WebCore::ScriptValue::operator==):
        (WebCore::ScriptValue::isEqual):
        (WebCore::ScriptValue::isFunction):
        (WebCore::ScriptValue::isNull):
        (WebCore::ScriptValue::isUndefined):
        (WebCore::ScriptValue::isObject):
        (WebCore::ScriptValue::hasNoValue):
        (WebCore::ScriptValue::clear):
        (ScriptValue):
        (WebCore::ScriptValue::v8Value):
        (WebCore::ScriptValue::v8ValueRaw):
        * bindings/v8/SharedPersistent.h:
        * bindings/v8/custom/V8InjectedScriptHostCustom.cpp:
        (WebCore::InjectedScriptHost::scriptValueAsNode):
        * bindings/v8/custom/V8MessageEventCustom.cpp:
        (WebCore::V8MessageEvent::dataAttrGetterCustom):

2013-02-20  Andrey Lushnikov  <lushnikov@chromium.org>

        Web Inspector: highlight undefined word in JavaScript
        https://bugs.webkit.org/show_bug.cgi?id=109585

        Reviewed by Vsevolod Vlasov.

        Test enhancement: inspector/syntax-highlight-javascript.html

        Add global object value properties to tokenizer and add a css style
        class to highlight "undefined" with gray color.

        * inspector/front-end/SourceJavaScriptTokenizer.js:
        (WebInspector.SourceJavaScriptTokenizer.prototype.nextToken):
        * inspector/front-end/SourceJavaScriptTokenizer.re2js:
        * inspector/front-end/inspectorSyntaxHighlight.css:
        (.webkit-javascript-undef):

2013-02-20  Mike West  <mkwst@chromium.org>

        Use EventPathWalker rather than parentNode() to normalize event targets in EventHandler.
        https://bugs.webkit.org/show_bug.cgi?id=110037

        Reviewed by Ryosuke Niwa.

        We need to teach EventHandler about Shadow DOM in a few places in order
        to ensure that we properly target events dispatched upon text nodes.
        Rather than naively grabbing the text node's direct parent via
        parentNode(), we need to account for the case in which the text node is
        distributed[1] to an insertion point inside a shadow host.
        EventPathWalker::parent understands these relationships, and should
        be used when dealing with mouse, drag, and touch events.

        [1]: http://www.w3.org/TR/shadow-dom/#dfn-distribution

        * page/EventHandler.cpp:
        (WebCore::EventHandler::handleMouseDraggedEvent):
        (WebCore::EventHandler::handleTouchEvent):
        (WebCore::EventHandler::passGestureEventToWidgetIfPossible):
        (WebCore::EventHandler::updateDragAndDrop):
            Refactor parentNode callsites to use EventPathWalker::parent().

2013-02-20  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: [Regression] Search in ProfilesPanel is broken
        https://bugs.webkit.org/show_bug.cgi?id=110312

        Reviewed by Pavel Feldman.

        * inspector/front-end/CPUProfileView.js:
        (WebInspector.CPUProfileView.prototype.matchesQuery):
        (WebInspector.CPUProfileView.prototype.performSearch):

2013-02-20  Eugene Klyuchnikov  <eustas@chromium.org>

        Web Inspector: View.markAsRoot should never be invoked on attached view.
        https://bugs.webkit.org/show_bug.cgi?id=110224

        Reviewed by Pavel Feldman.

        This will cause CSS loading problems after "show".

        * inspector/front-end/Drawer.js:
        Ensure child view is detached before marked as root.
        * inspector/front-end/View.js:
        (WebInspector.View.prototype.markAsRoot): Added assertion.

2013-02-20  Nils Barth  <nbarth@google.com>

        File upload control doesn't apply CSS vertical padding or border to file name
        https://bugs.webkit.org/show_bug.cgi?id=109011

        Reviewed by Hajime Morrita.

        Test: fast/forms/file/file-vertical-padding-border.html

        * rendering/RenderFileUploadControl.cpp:
            Add borderTop() and paddingTop() when computing position.
        (WebCore::RenderFileUploadControl::paintObject):

2013-02-19  Andrey Adaikin  <aandrey@chromium.org>

        Few methods in WebGLRenderingContext.idl have incorrect signatures
        https://bugs.webkit.org/show_bug.cgi?id=110305

        Reviewed by Kentaro Hara.

        * html/canvas/WebGLRenderingContext.idl:

2013-02-19  Tim Horton  <timothy_horton@apple.com>

        Clarify isInWindow vs. isVisible path through to RenderLayerCompositor
        https://bugs.webkit.org/show_bug.cgi?id=110261
        <rdar://problem/13196122>

        Reviewed by Simon Fraser.

        Remove RenderLayerCompositor::willMoveOffscreen/didMoveOnscreen.
        Add RenderLayerCompositor::setIsInWindow, and pipe in-window changes through from Page::setIsInWindow.
        Adjust a few Document functions that previously called RenderView::didMoveOnscreen/willMoveOffscreen to use setIsInWindow instead, since in-window state changes are occurring when attaching and detaching documents.

        * WebCore.exp.in: Export Page::setIsInWindow.
        * dom/Document.cpp:
        (WebCore::Document::attach): Use setIsInWindow instead of didMoveOnscreen.
        (WebCore::Document::documentWillBecomeInactive): Use setIsInWindow instead of willMoveOffscreen.
        (WebCore::Document::documentDidResumeFromPageCache): Use setIsInWindow instead of didMoveOnscreen.
        * page/FrameView.cpp:
        (WebCore::FrameView::didMoveOnscreen):
        (WebCore::FrameView::willMoveOffscreen):
        RenderView doesn't care about moving on/offscreen, just in-window state.
        (WebCore::FrameView::setIsInWindow): Added. Forward isInWindow changes to our RenderView.
        * page/FrameView.h:
        (FrameView): Add setIsInWindow.
        * page/Page.cpp:
        (WebCore::Page::setIsInWindow): Added. Forward isInWindow changes to the Page's FrameViews.
        * page/Page.h:
        (Page): Add setIsInWindow.
        (WebCore::Page::isInWindow):
        * rendering/RenderLayerCompositor.cpp:
        (WebCore::RenderLayerCompositor::setIsInWindow): Added. Replace willMoveOffscreen/didMoveOnscreen with setIsInWindow,
        since that's the only change we actually care about.
        * rendering/RenderLayerCompositor.h:
        (RenderLayerCompositor): Add setIsInWindow.
        * rendering/RenderView.cpp:
        (WebCore::RenderView::setIsInWindow): Added. Replace willMoveOffscreen/didMoveOnscreen with setIsInWindow,
        since that's the only change RenderLayerCompositor actually cares about.
        * rendering/RenderView.h:
        (RenderView): Add setIsInWindow.

2013-02-19  Eugene Klyuchnikov  <eustas@chromium.org>

        Web Inspector: Cleanup and add JSDocs to SuggestBox
        https://bugs.webkit.org/show_bug.cgi?id=110202

        Reviewed by Pavel Feldman.

        SuggestBox contains some obsolete/unused code and not fully
        covered with JSDocs.

        * inspector/front-end/SuggestBox.js:
        (WebInspector.SuggestBox.prototype.visible):
        Replaced getter with function.
        (WebInspector.SuggestBox.prototype._onScrollOrResize):
        Use camel-case for function names.
        (WebInspector.SuggestBox.prototype._onBoxMouseDown): Ditto.
        (WebInspector.SuggestBox.prototype.updateSuggestions):
        Removed unused code.
        (WebInspector.SuggestBox.prototype.hide): Adopt changes.
        (WebInspector.SuggestBox.prototype._applySuggestion): Ditto.
        * inspector/front-end/TextPrompt.js:
        (WebInspector.TextPrompt.prototype.isSuggestBoxVisible): Ditto.

2013-02-19  Hayato Ito <hayato@chromium.org>

        Calculate EventPath in EventDispatcher's constructor.
        https://bugs.webkit.org/show_bug.cgi?id=109905

        Reviewed by Dimitri Glazkov.

        This patch calculates an EventPath in EventDispatcher's
        constructor and removes EventDispatcher::ensureEventPath().
        We don't have any reason to initialize an EventPath lazily.

        No tests. No change in behavior.

        * dom/EventDispatcher.cpp:
        (WebCore::EventDispatcher::EventDispatcher):
        (WebCore::EventDispatcher::dispatch):
        * dom/EventDispatcher.h:
        (WebCore::EventDispatcher::eventPath):
        (EventDispatcher):
        * dom/FocusEvent.cpp:
        (WebCore::FocusEventDispatchMediator::dispatchEvent):
        (WebCore::BlurEventDispatchMediator::dispatchEvent):
        (WebCore::FocusInEventDispatchMediator::dispatchEvent):
        (WebCore::FocusOutEventDispatchMediator::dispatchEvent):
        * dom/MouseEvent.cpp:
        (WebCore::MouseEventDispatchMediator::dispatchEvent):

2013-02-19  Simon Fraser  <simon.fraser@apple.com>

        Fix TileCache tile size when zoomed on slow-scrolling site
        https://bugs.webkit.org/show_bug.cgi?id=110289

        Reviewed by Tim Horton.
        
        In slow scrolling mode, we use the tile coverage rect as the tile size
        (so a single tile covers the viewport). When zoomed, the tile coverage rect
        shrinks relative to the TileCache, so scale the tile size back up.

        Test: platform/mac-wk2/tiled-drawing/tile-size-slow-zoomed.html

        * platform/graphics/ca/mac/TileCache.mm:
        (WebCore::TileCache::tileSizeForCoverageRect):

2013-02-19  Hayato Ito  <hayato@chromium.org>

        Rename AncestorChainWalker.
        https://bugs.webkit.org/show_bug.cgi?id=110146

        Reviewed by Dimitri Glazkov.

        Rename AncestorChainWalker to EventPathWalker.
        The term of EventPath is used in DOM Core spec.  EventPath was
        already introduced into a EventContext.h in r112055. We should
        spread this term into the Walker class since they share the same
        purpose.

        No new tests, no behavior change.

        * CMakeLists.txt:
        * GNUmakefile.list.am:
        * Target.pri:
        * WebCore.gypi:
        * WebCore.xcodeproj/project.pbxproj:
        * dom/DOMAllInOne.cpp:
        * dom/EventDispatcher.cpp:
        * dom/EventPathWalker.cpp: Renamed from Source/WebCore/dom/AncestorChainWalker.cpp.
        (WebCore):
        (WebCore::EventPathWalker::EventPathWalker):
        (WebCore::EventPathWalker::parent): parent() is now a static function to cover simple use cases.
        (WebCore::EventPathWalker::moveToParent): Renamed from parent().
        * dom/EventPathWalker.h: Renamed from Source/WebCore/dom/AncestorChainWalker.h.
        (WebCore):
        (EventPathWalker):
        (WebCore::EventPathWalker::node):
        (WebCore::EventPathWalker::isVisitingInsertionPointInReprojection): Renamed from isCrossingInsertionPoint().
        * dom/EventRetargeter.cpp:
        (WebCore::EventRetargeter::calculateEventPath):
        (WebCore::EventRetargeter::buildRelatedNodeMap):
        * dom/TreeScope.cpp:
        (WebCore::TreeScope::focusedNode):
        * html/HTMLLIElement.cpp:
        (WebCore::HTMLLIElement::attach):
        * page/EventHandler.cpp:
        (WebCore::EventHandler::updateMouseEventTargetNode):
        (WebCore::EventHandler::handleWheelEvent):

2013-02-19  Dean Jackson  <dino@apple.com>

        Snapshotted plugin label should not be selectable
        https://bugs.webkit.org/show_bug.cgi?id=110286

        Reviewed by Simon Fraser.

        Update the CSS to make it clear that you should click
        on a snapshot (use the finger pointer) and disable
        text selection.

        * css/plugIns.css:
        (embed::-webkit-snapshotted-plugin-content .snapshot-container .snapshot-label):

2013-02-19  Hans Muller  <hmuller@adobe.com>

        [CSS Exclusions] Enable shape-inside support for ellipses
        https://bugs.webkit.org/show_bug.cgi?id=109868

        Reviewed by Dirk Schulze.

        This change is very similar to the one recently made for circles:
        removed the test that disabled ellipse values for shape-inside.
        The remaining support for ellipses, which is based on rounded rectangles
        whose width/height is equal to their radiusX/radiusY, has not changed.

        Test: fast/exclusions/shape-inside/shape-inside-ellipse.html

        * rendering/ExclusionShapeInsideInfo.h:
        (WebCore::ExclusionShapeInsideInfo::isEnabledFor): No longer disallows any BasicShape type.

2013-02-19  Uday Kiran  <udaykiran@motorola.com>

        'round' not implemented in border-image
        https://bugs.webkit.org/show_bug.cgi?id=14185

        Reviewed by David Hyatt.

        Add rendering support for 'round' keyword of border-image-repeat CSS property
        http://dev.w3.org/csswg/css3-background/#border-image-repeat
        Rebased original patch by Benjamin Otte <otte@gnome.org> and made few fixes.

        Test: fast/borders/border-image-02.html

        * platform/graphics/GraphicsContext.cpp:
        (WebCore::GraphicsContext::drawTiledImage):
        * platform/graphics/GraphicsContext.h:
        (GraphicsContext):
        * platform/graphics/Image.cpp:
        (WebCore::Image::drawTiled):
        * platform/graphics/Image.h:
        (Image):
        * rendering/RenderBoxModelObject.cpp:
        (WebCore::RenderBoxModelObject::paintNinePieceImage): For 'round' keyword,
        the image is tiled (repeated) to fill the area. If it does not fill the area
        with a whole number of tiles, the image is rescaled so that it does.

2013-02-19  Conrad Shultz  <conrad_shultz@apple.com>

        Allow UI clients to handle vertical wheel events.
        https://bugs.webkit.org/show_bug.cgi?id=110006

        Reviewed by Tim Horton.

        Add API to allow matching changes in WebKit2 to control rubber-banding behavior at vertical page extrema.
        If rubber-banding is disabled during a scroll event that would otherwise trigger rubber-banding, dispatch
        didNotHandleWheelEvent() to the page UI client.

        * WebCore.exp.in:
        Export new rubber-banding API.

        * page/Page.cpp:
        (WebCore):
        (WebCore::Page::rubberBandsAtBottom):
        Proxy for the corresponding function in ScrollingCoordinator.
        (WebCore::Page::setRubberBandsAtBottom):
        Ditto.
        (WebCore::Page::rubberBandsAtTop):
        Ditto.
        (WebCore::Page::setRubberBandsAtTop):
        Ditto.

        * page/Page.h:
        (Page):
        Declare new rubber-banding API (above).

        * page/scrolling/ScrollingCoordinator.h:
        (WebCore::ScrollingCoordinator::rubberBandsAtBottom):
        Stub API implementation.
        (WebCore::ScrollingCoordinator::setRubberBandsAtBottom):
        Ditto.
        (WebCore::ScrollingCoordinator::rubberBandsAtTop):
        Ditto.
        (WebCore::ScrollingCoordinator::setRubberBandsAtTop):
        Ditto.

        * page/scrolling/ScrollingTree.cpp:
        (WebCore::ScrollingTree::ScrollingTree):
        Initialize new member variables.
        (WebCore::ScrollingTree::setMainFramePinState):
        Set top/bottom pinned states.
        (WebCore::ScrollingTree::rubberBandsAtBottom):
        New accessor function.
        (WebCore::ScrollingTree::setRubberBandsAtBottom):
        New mutator function.
        (WebCore::ScrollingTree::rubberBandsAtTop):
        New accessor function.
        (WebCore::ScrollingTree::setRubberBandsAtTop):
        New mutator function.
        (WebCore::ScrollingTree::willWheelEventStartSwipeGesture):
        Start a vertical swipe event if the frame is pinned at the top or bottom and associated rubber-banding is disabled.

        * page/scrolling/ScrollingTree.h:
        (ScrollingTree):
        Declare new rubber-banding API and associated member variables.

        * page/scrolling/mac/ScrollingCoordinatorMac.h:
        (ScrollingCoordinatorMac):
        Declare API overrides.

        * page/scrolling/mac/ScrollingCoordinatorMac.mm:
        (WebCore::ScrollingCoordinatorMac::rubberBandsAtBottom):
        Method override; proxy to corresponding function in ScrollingTree.
        (WebCore::ScrollingCoordinatorMac::setRubberBandsAtBottom):
        Ditto.
        (WebCore::ScrollingCoordinatorMac::rubberBandsAtTop):
        Ditto.
        (WebCore::ScrollingCoordinatorMac::setRubberBandsAtTop):
        Ditto.

        * page/scrolling/mac/ScrollingTreeScrollingNodeMac.mm:
        (WebCore::ScrollingTreeScrollingNodeMac::pinnedInDirection):
        Remove trailing whitespace.
        (WebCore::ScrollingTreeScrollingNodeMac::updateMainFramePinState):
        Calculate and pass vertical pinning state to ScrollingTree::setMainFramePinState().

2013-02-19  Simon Fraser  <simon.fraser@apple.com>

        Rubber-banding should not affect the visibleRect of the TileCache
        https://bugs.webkit.org/show_bug.cgi?id=110278

        Reviewed by Beth Dakin.
        
        When rubber-banding a slow-scrolling page, or image document, we would constantly re-create
        the bottom tile because of the logic that adapts the tile size to the visible rect when slow
        scrolling.
        
        Avoid that by ensuring that the visibleRect is not affected by rubber-banding. This is done
        via a GraphicsLayerClient function that allows RenderLayerCompositor to provide a custom
        position for the scroll layer. We constrain that scroll position to remove the overhang that
        results from rubber-banding.

        I wasn't able to make a test for this, even with internals.setScrollViewPosition().

        * platform/graphics/GraphicsLayerClient.h:
        (GraphicsLayerClient):
        (WebCore::GraphicsLayerClient::customPositionForVisibleRectComputation):
        * platform/graphics/ca/GraphicsLayerCA.cpp:
        (WebCore::GraphicsLayerCA::computeVisibleRect):
        * rendering/RenderLayerCompositor.cpp:
        (WebCore::RenderLayerCompositor::customPositionForVisibleRectComputation):
        * rendering/RenderLayerCompositor.h:

2013-02-19  Tony Gentilcore  <tonyg@chromium.org>

        Fix crash in preloading scanning base tags with no href attribute for background parser
        https://bugs.webkit.org/show_bug.cgi?id=110276

        Reviewed by Eric Seidel.

        Previously a <base> tag without an href attribute (like the one in fast/dom/HTMLAnchorElement/set-href-attribute-rebase.html)
        would crash the background parser's preload scanner.

        To fix that, we only call stripLeadingAndTrailingHTMLSpaces() if the href attribute is non-null. This matches the main thread parser.

        Along with this, I decided to templatize updatePredictedBaseURL() so that the main and background parser can share the same impl.

        This required making CompactHTMLToken and HTMLToken a little more similar:
        1. Give HTMLToken a getAttributeItem() method.
        2. Move CompactAttribute to CompactHTMLToken::Attribute and make it a struct.

        No new tests because covered by existing tests.

        * html/parser/AtomicHTMLToken.h:
        (WebCore::AtomicHTMLToken::AtomicHTMLToken):
        * html/parser/CompactHTMLToken.cpp:
        (SameSizeAsCompactHTMLToken):
        (WebCore::CompactHTMLToken::CompactHTMLToken):
        (WebCore::CompactHTMLToken::getAttributeItem):
        (WebCore::CompactHTMLToken::isSafeToSendToAnotherThread):
        * html/parser/CompactHTMLToken.h:
        (WebCore::CompactHTMLToken::Attribute::Attribute):
        (Attribute):
        (WebCore::CompactHTMLToken::attributes):
        (CompactHTMLToken):
        (WebCore::CompactHTMLToken::publicIdentifier):
        (WebCore::CompactHTMLToken::systemIdentifier):
        * html/parser/HTMLParserIdioms.h:
        (WebCore):
        (WebCore::stripLeadingAndTrailingHTMLSpaces):
        * html/parser/HTMLPreloadScanner.cpp:
        (WebCore::TokenPreloadScanner::StartTagScanner::processAttributes):
        (WebCore):
        (WebCore::TokenPreloadScanner::updatePredictedBaseURL):
        * html/parser/HTMLPreloadScanner.h:
        * html/parser/HTMLToken.h:
        (WebCore::HTMLToken::getAttributeItem):
        (HTMLToken):

2013-02-19  Mark Lam  <mark.lam@apple.com>

        Introducing AbstractSQLTransaction and AbstractSQLTransactionBackend.
        https://bugs.webkit.org/show_bug.cgi?id=110273.

        Reviewed by Anders Carlsson.

        This is part of the webdatabase refactoring for webkit2.
        - Also changed the frontend and backend to only refer to the
          abstract interface of each other.

        No new tests.

        * Modules/webdatabase/AbstractSQLTransaction.h: Added.
        (AbstractSQLTransaction):
        (WebCore::AbstractSQLTransaction::~AbstractSQLTransaction):
        * Modules/webdatabase/AbstractSQLTransactionBackend.h: Added.
        (AbstractSQLTransactionBackend):
        (WebCore::AbstractSQLTransactionBackend::~AbstractSQLTransactionBackend):
        * Modules/webdatabase/SQLTransaction.cpp:
        (WebCore::SQLTransaction::hasCallback):
        (WebCore::SQLTransaction::hasSuccessCallback):
        (WebCore::SQLTransaction::hasErrorCallback):
        (WebCore::SQLTransaction::setBackend):
        * Modules/webdatabase/SQLTransaction.h:
        (SQLTransaction):
        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::create):
        (WebCore::SQLTransactionBackend::SQLTransactionBackend):
        * Modules/webdatabase/SQLTransactionBackend.h:
        (SQLTransactionBackend):
        * Modules/webdatabase/SQLTransactionStateMachine.h:

2013-02-19  Emil A Eklund  <eae@chromium.org>

        Change computeStickyPositionConstraints to use LayoutBoxExtent for margins
        https://bugs.webkit.org/show_bug.cgi?id=108872

        Reviewed by Levi Weintraub.
        
        Change RenderBoxModelObject::computeStickyPositionConstraints to
        use a LayoutBoxExtent to represent margins.

        No new tests, no change in functionality.

        * platform/graphics/LayoutRect.h:
        (WebCore::LayoutRect::contract):
        Add version contract methods that takes a LayoutBoxExtent object.
        
        * platform/graphics/LayoutSize.h:
        (WebCore::LayoutSize::shrink):
        Add shrink method.
        
        * rendering/RenderBoxModelObject.cpp:
        (WebCore::RenderBoxModelObject::computeStickyPositionConstraints):
        Change to use a LayoutBoxExtent object to represent margins.

2013-02-19  Tony Gentilcore  <tonyg@chromium.org>

        Disable ASSERT(!hasInsertionPoint()) for background parser
        https://bugs.webkit.org/show_bug.cgi?id=110251

        Reviewed by Adam Barth.

        The background parser crashes about 10 layout tests by hitting ASSERT(!hasInsertionPoint()).
        Now, finish() is the thing that closes the HTMLInputStream which removes the insertion point.
        In these tests, a document.open() calls insert() which clears the HTMLInputStream which causes
        there to be an insertion point again.

        With the main thread parser, insert() is called before finish() so the ASSERT passes.
        However, with the threaded parser, finish() is called before insert(), so we fail the ASSERT.

        This patch disables the ASSERT for the background parser because m_input isn't really relevant.
        This causes us to pass the tests. However, there is a risk that now hasInsertionPoint() may be incorrect
        and Document has a non-debug branch that tests hasInsertionPoint().

        No new tests because covered by existing tests.

        * html/parser/HTMLDocumentParser.cpp:
        (WebCore::HTMLDocumentParser::prepareToStopParsing):
        (WebCore::HTMLDocumentParser::attemptToRunDeferredScriptsAndEnd):

2013-02-19  Hans Muller  <hmuller@adobe.com>

        [CSS Exclusions] Enable shape-inside support for ellipses
        https://bugs.webkit.org/show_bug.cgi?id=109868

        Reviewed by Dirk Schulze.

        This change is very similar to the one recently made for circles:
        removed the test that disabled ellipse values for shape-inside.
        The remaining support for ellipses, which is based on rounded rectangles
        whose width/height is equal to their radiusX/radiusY, has not changed.

        Test: fast/exclusions/shape-inside/shape-inside-ellipse.html

        * rendering/ExclusionShapeInsideInfo.h:
        (WebCore::ExclusionShapeInsideInfo::isEnabledFor): No longer disallows any BasicShape type.

2013-02-19  Simon Fraser  <simon.fraser@apple.com>

        Separate constraining for overhang from fixed-position zooming behavior in scrollOffsetForFixedPosition()
        https://bugs.webkit.org/show_bug.cgi?id=110267

        Reviewed by Beth Dakin.

        The static scrollOffsetForFixedPosition() function in ScrollingCoordinator did two things;
        it constrained the scroll position when rubber-banding, and applied the special scaling for
        fixed position when zoomed.
        
        Separate these out so that we can use the rubber-banding constrained elsewhere.

        * page/FrameView.cpp:
        (WebCore::FrameView::scrollOffsetForFixedPosition): The static function is here now.
        * page/FrameView.h:
        * page/scrolling/ScrollingCoordinator.cpp: Code moved to FrameView.
        * page/scrolling/ScrollingCoordinator.h:
        * page/scrolling/mac/ScrollingTreeScrollingNodeMac.mm:
        (WebCore::ScrollingTreeScrollingNodeMac::setScrollLayerPosition): scrollOffsetForFixedPosition()
        is now on FrameView.
        * platform/ScrollableArea.cpp:
        (WebCore::constrainedScrollPosition): Helper to constrain one axis for overhang.
        (WebCore::ScrollableArea::constrainScrollPositionForOverhang): Static function that
        can be called by FrameView::scrollOffsetForFixedPosition().
        * platform/ScrollableArea.h: Static function constrainScrollPositionForOverhang()
        so we can call it from another thread. Also a member fuction of the same name, which takes
        the scrollPosition as input (so we can feed it a layer position in a later patch).

2013-02-19  Tony Gentilcore  <tonyg@chromium.org>

        Fix checkThatTokensAreSafeToSendToAnotherThread() now that the preload scanner is enabled
        https://bugs.webkit.org/show_bug.cgi?id=110258

        Reviewed by Adam Barth.

        We were hitting this ASSERT on numerous tests with the background parser enabled. This copy fixes the assertion.

        No new tests becuase covered by existing tests.

        * html/parser/HTMLResourcePreloader.h:
        (WebCore::PreloadRequest::setCharset):

2013-02-19  Tony Gentilcore  <tonyg@chromium.org>

        Fix typo: inititatorFor->initiatorFor
        https://bugs.webkit.org/show_bug.cgi?id=110260

        Reviewed by Adam Barth.

        No new tests because no changed functionality.

        * html/parser/HTMLPreloadScanner.cpp:
        (WebCore::TokenPreloadScanner::initiatorFor):
        (WebCore::TokenPreloadScanner::StartTagScanner::createPreloadRequest):
        * html/parser/HTMLPreloadScanner.h:

2013-02-19  Tony Chang  <tony@chromium.org>

        Convert 3 settings to use Settings.in
        https://bugs.webkit.org/show_bug.cgi?id=109875

        Reviewed by Ryosuke Niwa.

        Convert mediaEnabled, applicationChromeMode and DOMPasteAllowed to
        use Settings.in. They previously had inconsistently named setters.

        No new tests, this is a refactoring.

        * Source/WebCore/WebCore.exp.in: Remove symbols that are now inlined from exports.
        * Source/WebCore/WebCore.order: Remove symbols that no longer exist.
        * dom/make_names.pl:
        (printConstructorInterior): Rename isMediaEnabled to mediaEnabled.
        (printWrapperFunctions): Rename isMediaEnabled to mediaEnabled.
        * editing/EditorCommand.cpp:
        (WebCore::supportedPaste): Rename isDOMPasteAllowed to DOMPasteAllowed.
        * page/Settings.cpp:
        (WebCore::Settings::Settings): Remove custom code.
        * page/Settings.h:
        (Settings): Remove custom code.
        * page/Settings.in: Add entries for mediaEnabled, applicationChromeMode and DOMPasteAllowed.
        * page/make_settings.pl:
        (setterFunctionName): Expand uppercase rules to include DOM.
        * rendering/RenderTheme.cpp:
        (WebCore::RenderTheme::isDefault): Rename inApplicationChromeMode to applicationChromeMode.
        * rendering/RenderThemeWin.cpp:
        (WebCore::documentIsInApplicationChromeMode): Rename inApplicationChromeMode to applicationChromeMode.

2013-02-19  Julien Chaffraix  <jchaffraix@webkit.org>

        [CSS Grid Layout] Refactor the code in preparation of auto placement support
        https://bugs.webkit.org/show_bug.cgi?id=110244

        Reviewed by Ojan Vafai.

        Test: fast/css-grid-layout/grid-auto-flow-resolution.html

        In order to support auto placement, we need to iterate over the grid items with
        auto row / column several times. This changes makes us do that in a very simple,
        not-yet-conformant way. While touching this code, the distinction between grid-auto-flow
        none and row / column was better drawn (and enforced).

        * rendering/RenderGrid.cpp:
        (WebCore::RenderGrid::resolveGridPositionFromStyle):
        Made it illegal to call resolveGridPositionFromStyle if the grid track is auto and
        grid-auto-flow is not none. This would catch bad use of the function.

        (WebCore::RenderGrid::maximumIndexInDirection):
        Updated to bail out if the grid track is auto. Also improved the comment.

        (WebCore::RenderGrid::placeItemsOnGrid):
        Updated the function to do several iterations. Also handled the grid-auto-flow: none
        case differently as it shouldn't need the extra iteration(s).

2013-02-19  David Hyatt  <hyatt@apple.com>

        [New Multicolumn] REGRESSION: RenderMultiColumnSets broken by the RenderRegion -> RenderBlock subclassing.
        https://bugs.webkit.org/show_bug.cgi?id=110239.

        Reviewed by Simon Fraser.

        Test: fast/multicol/newmulticol/column-rules-fixed-height.html

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::columnRectAt):
        Make sure the columnGap() in the old multicolumn code is always expressed as a LayoutUnit. This was the
        one place where it was still an int.

        * rendering/RenderFlowThread.cpp:
        (WebCore::RenderFlowThread::paintFlowThreadPortionInRegion):
        Rework the painting of flow thread portions to account for the fact that regions paint at an integral
        translation. This means you have to construct clipping around that integral destination. Subpixel layout
        regions did not clip correctly as a result of this issue.

        * rendering/RenderMultiColumnSet.cpp:
        (WebCore::RenderMultiColumnSet::columnRectAt):
        Fix the same bug with columnGap() that the old column code has, i.e., one spot where it was an int.

        (WebCore::RenderMultiColumnSet::paintObject):
        RenderMultiColumnSet should be using paintObject and not paint and it needs to check for visibility
        and phases now that it is a RenderBlock subclass.

        (WebCore::RenderMultiColumnSet::paintColumnRules):
        Fix the bug that Opera guys fixed in the old multi-column code. They didn't patch the new code, so this
        takes care of that.

        * rendering/RenderMultiColumnSet.h:
        (RenderMultiColumnSet):
        Change to use paintObject instead of paint.

2013-02-19  Branimir Lambov  <blambov@google.com>

        Fix 'slice' aspect ratio calculation
        https://bugs.webkit.org/show_bug.cgi?id=99984

        Reviewed by Dirk Schulze.

        Previously the calculation for the 'slice' aspect ratio would incorrectly calculate the
        source rect location based on the destination rect offset. This caused our source rect to be
        incorrect, and sometimes render outside the visible area completely. After this patch
        our implementation matches the implementation of both Gecko and Presto.

        The relevant spec section:
        http://www.w3.org/TR/SVG/single-page.html#coords-PreserveAspectRatioAttribute

        Tests: svg/as-image/image-preserveAspectRatio-all.svg
               svg/filters/feImage-preserveAspectRatio-all.svg

        * svg/SVGPreserveAspectRatio.cpp:
        (WebCore::SVGPreserveAspectRatio::transformRect):

2013-02-19  Kentaro Hara  <haraken@google.com>

        [V8] ScriptRunner::runCompiledScript() should return Handle<Value>() when OOM occurs
        https://bugs.webkit.org/show_bug.cgi?id=110254

        Reviewed by Adam Barth.

        Chromium bug: https://code.google.com/p/chromium/issues/detail?id=176951

        Currently ScriptRunner::runCompiledScript() calls
        ASSERT(script.IsEmpty()) when OOM occurs. The Chromium bug is
        hitting the ASSERT(). The ASSERT() does not make sense at all.
        Instead, we should return an empty handle when OOM occurs.

        No tests. The bug happens only when OOM occurs.

        * bindings/v8/ScriptRunner.cpp:
        (WebCore::ScriptRunner::runCompiledScript):

2013-02-19  Elliott Sprehn  <esprehn@chromium.org>

        Support both MutationObserver and WebKitMutationObserver
        https://bugs.webkit.org/show_bug.cgi?id=109776

        Reviewed by Ojan Vafai.

        We should allow new MutationObserver now that we support parser generated
        mutations. This leaves the old prefixed constructor in until we decide
        people don't depend on it.

        Test: fast/dom/MutationObserver/mutation-observer-prefix.html

        * page/DOMWindow.idl:

2013-02-19  Elliott Sprehn  <esprehn@chromium.org>

        Remove RenderText::updateText
        https://bugs.webkit.org/show_bug.cgi?id=109991

        Reviewed by Eric Seidel.

        There's no reason for the generic RenderText::updateText virtual hook
        anymore now that r143060 made RenderQuote stop setting dirty bits during
        layout since the hook is only used by RenderCounter.

        Instead add updateCounterIfNeeded and make it clear this is a hack for
        counters.

        * rendering/RenderBlockLineLayout.cpp:
        (WebCore::updateCounterIfNeeded): Added, not handles the counter specific hack.
        (WebCore::dirtyLineBoxesForRenderer):
        (WebCore::RenderBlock::LineBreaker::nextSegmentBreak):
        * rendering/RenderCounter.cpp:
        (WebCore::RenderCounter::updateCounter):
        * rendering/RenderCounter.h:
        (RenderCounter):
        * rendering/RenderQuote.cpp:
        (WebCore::RenderQuote::styleDidChange):
        (WebCore::RenderQuote::updateDepth):
        * rendering/RenderQuote.h:
        (RenderQuote):
        * rendering/RenderText.h:
        (RenderText):

2013-02-19  Tony Chang  <tony@chromium.org>

        Border changes on tables with collapsed borders doesn't relayout table cells
        https://bugs.webkit.org/show_bug.cgi?id=109774

        Reviewed by David Hyatt.

        Test: fast/table/border-collapsing/dynamic-border-width-change.html

        Changes to border top and border bottom on table rows also changes the size
        of the table cell causing a relayout to be needed.

        * rendering/RenderTableRow.cpp:
        (WebCore::borderWidthChanged): Also include border top and bottom.
        (WebCore::RenderTableRow::styleDidChange): Remove logical from the helper function name.

2013-02-19  Kentaro Hara  <haraken@chromium.org>

        Unreviewed. Rebaselined run-bindings-tests.

        * bindings/scripts/test/JS/JSTestNamedConstructor.cpp:
        (WebCore::JSTestNamedConstructorNamedConstructor::constructJSTestNamedConstructor):
        * bindings/scripts/test/JS/JSTestObj.cpp:
        (WebCore::jsTestObjPrototypeFunctionMethodWithOptionalStringIsNullString):

2013-02-19  ChangSeok Oh  <changseok.oh@collabora.com>

        [GTK][AC] Implement matrix transform animation with clutter ac backend
        https://bugs.webkit.org/show_bug.cgi?id=109848

        Reviewed by Gustavo Noronha Silva.

        Clutter 1.12 doesn't support additive transform animations yet, so the combination
        of two or more transformations(such as rotation after translation) runs unexpectedly.
        So we use a matrix transformation instead for the case.

        Covered by existing animation tests.

        * platform/graphics/clutter/GraphicsLayerClutter.cpp:
        (WebCore::getValueFunctionNameForTransformOperation):
        (WebCore::GraphicsLayerClutter::createTransformAnimationsFromKeyframes):
        * platform/graphics/clutter/PlatformClutterAnimation.cpp:
        (WebCore::toClutterActorPropertyString): Add actor property "transform"
        (WebCore::clutterMatrixProgress): Handle interpolation between two matrices instead of default clutter_matrix_progress.
        (WebCore):
        (WebCore::PlatformClutterAnimation::supportsAdditiveValueFunction):
        (WebCore::PlatformClutterAnimation::setFromValue): for TransformationMatrix.
        (WebCore::PlatformClutterAnimation::setToValue): ditto.
        (WebCore::PlatformClutterAnimation::addClutterTransitionForProperty):
        (WebCore::PlatformClutterAnimation::addTransformTransition):
        * platform/graphics/clutter/PlatformClutterAnimation.h:
        (PlatformClutterAnimation):
        * platform/graphics/clutter/TransformationMatrixClutter.cpp: Add copy constructor for CoglMatrix.
        (WebCore::TransformationMatrix::TransformationMatrix):
        (WebCore):
        * platform/graphics/transforms/TransformationMatrix.h:
        (TransformationMatrix):

2013-02-19  Kassy Coan  <kassycoan@chromium.org>

        Update FeatureObserver on top level navigation in addition to page destruction.
        https://bugs.webkit.org/show_bug.cgi?id=109874

        Reviewed by Adam Barth.

        No new tests. Only effect is to histogram more frequently.

        * loader/FrameLoader.cpp:
        (WebCore::FrameLoader::dispatchDidCommitLoad):
        * page/FeatureObserver.cpp:
        (WebCore::FeatureObserver::~FeatureObserver):
        (WebCore):
        (WebCore::FeatureObserver::updateMeasurements):
        (WebCore::FeatureObserver::didCommitLoad):
        * page/FeatureObserver.h:
        (FeatureObserver):

2013-02-19  Morten Stenshorne  <mstensho@opera.com>

        Remove unnecessary (and problematic) copy-constructor from LayoutUnit
        https://bugs.webkit.org/show_bug.cgi?id=110121

        This copy constructor does what a default copy constructor would do, so
        it's not necessary. Furthermore, this copy constructor is the only
        reason why LayoutUnit becomes non-POD, and that triggers a gdb bug,
        making it impossible to do things like "print location()" when inside
        some RenderBlock, for instance.

        Gdb bug http://sourceware.org/bugzilla/show_bug.cgi?id=15154 reported.

        Reviewed by Benjamin Poulain.

        No tests. Apart from dealing with buggy debuggers, this is just code cleanup.

        * platform/LayoutUnit.h:

2013-02-19  Emil A Eklund  <eae@chromium.org>

        LayoutUnit::epsilon shouldn't be necessary to place floats
        https://bugs.webkit.org/show_bug.cgi?id=94000

        Reviewed by Levi Weintraub.
        
        Currently, to get float placement correct, we need to have an
        epsilon tolerance in RenderBlock::computeLogicalLocationForFloat
        for the width of the line to fit them on. This really shouldn't
        be necessary, and probably indicates we're losing precision
        elsewhere.
        
        Remove epsilon as it no longer appears to be needed. All layout
        tests pass without it.

        No new tests, covered by existing tests.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::computeLogicalLocationForFloat):

2013-02-19  Tim Volodine  <timvolodine@chromium.org>

        Text Autosizing: prevent oscillation of font sizes during autosizing
        https://bugs.webkit.org/show_bug.cgi?id=108205

        Reviewed by Kenneth Rohde Christiansen.

        On some websites autosized font-sizes oscillate due to layouts caused by
        hovering or incremental page loading (and on other sites font sizes do
        eventually stabilize, but it takes many layouts before they reach a steady
        size). To prevent all these cases, we no longer allow the autosizing
        multiplier to change after it has been set (to a value other than 1).

        This won't always give exactly the same results, but testing on 2000 top
        sites shows that this makes little difference in practice, and it prevents
        these very jarring cases. As a happy side-effect, this speeds up layouts
        as font sizes change less.

        Test: fast/text-autosizing/oscillation-javascript-fontsize-change.html

        * page/FrameView.cpp:
        (WebCore::FrameView::setFrameRect):
        * page/Settings.cpp:
        (WebCore::Settings::setTextAutosizingFontScaleFactor):
        * rendering/TextAutosizer.cpp:
        (WebCore::TextAutosizer::recalculateMultipliers):
        (WebCore):
        (WebCore::TextAutosizer::processContainer):
        * rendering/TextAutosizer.h:
        (TextAutosizer):

2013-02-19  Youenn Fablet  <youennf@gmail.com>

        [EFL][DRT] http/tests/loading/307-after-303-after-post.html times out
        https://bugs.webkit.org/show_bug.cgi?id=93214

        Ensured that GET verb is consistently used for any request
        coming after a redirection that triggers switching to GET.

        Reviewed by Martin Robinson.

        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore::doRedirect):

2013-02-19  Andras Becsi  <andras.becsi@digia.com>

        [Qt] Fix compilation if Qt was configured with -no-rtti
        https://bugs.webkit.org/show_bug.cgi?id=110234

        Reviewed by Noam Rosenthal.

        Availability of dynamic_cast should be checked.

        * platform/graphics/texmap/GraphicsLayerTextureMapper.cpp:
        (WebCore::GraphicsLayerTextureMapper::updateBackingStoreIfNeeded):

2013-02-18  Alexey Proskuryakov  <ap@apple.com>

        Unregistered blob URLs have incorrect MIME type
        https://bugs.webkit.org/show_bug.cgi?id=110166

        Reviewed by Sam Weinig.

        * page/SecurityOrigin.cpp: (WebCore::SecurityOrigin::shouldUseInnerURL): Added a FIXME.

        * platform/network/BlobResourceHandle.cpp: (WebCore::BlobResourceHandle::notifyResponseOnError):
        Pass an accurate MIME type (for a delegate to see).

2013-02-19  Joshua Bell  <jsbell@chromium.org>

        IndexedDB: additional checks on LevelDB decoding
        https://bugs.webkit.org/show_bug.cgi?id=109711

        Reviewed by Tony Chang.

        Watch out for decoding errors caused by corrupted data, and exit various
        decode/compare operations earlier.

        Covered by existing LayoutTests and Chromium's webkit_unit_tests

        * Modules/indexeddb/IDBLevelDBCoding.cpp:
        (WebCore::IDBLevelDBCoding::decodeStringWithLength): Bail if length is negative.
        (WebCore::IDBLevelDBCoding::compareEncodedStringsWithLength): Distinguish error case.
        (WebCore::IDBLevelDBCoding::extractEncodedIDBKey): Bail if length is negative.
        (WebCore::IDBLevelDBCoding::compareEncodedIDBKeys): Distinguish error case.
        (WebCore::IDBLevelDBCoding::compare): Plumb through "ok".
        (WebCore::IDBLevelDBCoding::ObjectStoreDataKey::compare): Ditto.
        (WebCore::IDBLevelDBCoding::ExistsEntryKey::compare): Ditto.
        (WebCore::IDBLevelDBCoding::IndexDataKey::compare): Ditto.
        * Modules/indexeddb/IDBLevelDBCoding.h: Updated method signatures.

2013-02-19  ChangSeok Oh  <changseok.oh@collabora.com>

        [GTK][AC] Implement keyframe animations with clutter ac backend
        https://bugs.webkit.org/show_bug.cgi?id=110057

        Reviewed by Gustavo Noronha Silva.

        This patch brings accelerated keyframe animation with clutter to WebKitGtk+.
        Changes of GraphicsLayerClutter are based on GraphicsLayerCA. But major changes
        of PlatformClutterAnimation are implemented with clutter keyframe transition apis.
        See http://developer.gnome.org/clutter/stable/ClutterKeyframeTransition.html

        Covered by existing animation tests.

        * platform/graphics/clutter/GraphicsLayerClutter.cpp:
        (WebCore::GraphicsLayerClutter::createKeyframeAnimation):
        (WebCore::GraphicsLayerClutter::setTransformAnimationKeyframes):
        (WebCore::GraphicsLayerClutter::setAnimationKeyframes):
        * platform/graphics/clutter/PlatformClutterAnimation.cpp:
        (WebCore::toClutterActorPropertyString):
        (WebCore::PlatformClutterAnimation::PlatformClutterAnimation):
        (WebCore::PlatformClutterAnimation::setTimingFunction):
        (WebCore::PlatformClutterAnimation::setValues):
        (WebCore::PlatformClutterAnimation::setKeyTimes):
        (WebCore::PlatformClutterAnimation::setTimingFunctions):
        (WebCore::PlatformClutterAnimation::addClutterTransitionForProperty):
        (WebCore):
        (WebCore::PlatformClutterAnimation::addClutterKeyframeTransitionForProperty):
        (WebCore::PlatformClutterAnimation::addOpacityTransition):
        (WebCore::PlatformClutterAnimation::addTransformTransition):
        (WebCore::PlatformClutterAnimation::addAnimationForKey):
        (WebCore::PlatformClutterAnimation::removeAnimationForKey):
        * platform/graphics/clutter/PlatformClutterAnimation.h:
        (PlatformClutterAnimation):

2013-02-19  Claudio Saavedra  <csaavedra@igalia.com>

        [harfbuzz] Crash in harfbuzz related code
        https://bugs.webkit.org/show_bug.cgi?id=110145

        Reviewed by Martin Robinson.

        Patch by Behdad Esfahbod <behdad@google.com>

        * platform/graphics/harfbuzz/HarfBuzzShaper.cpp:
        (WebCore::HarfBuzzShaper::shapeHarfBuzzRuns): Ask harfbuzz
        to guess the segment properties.

2013-02-19  Pavel Podivilov  <podivilov@chromium.org>

        Web Inspector: release backtrace object group on each step.
        https://bugs.webkit.org/show_bug.cgi?id=110223

        Reviewed by Pavel Feldman.

        * inspector/InspectorDebuggerAgent.cpp:
        (WebCore):
        (WebCore::InspectorDebuggerAgent::stepOver):
        (WebCore::InspectorDebuggerAgent::stepInto):
        (WebCore::InspectorDebuggerAgent::stepOut):

2013-02-19  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r142975.
        http://trac.webkit.org/changeset/142975
        https://bugs.webkit.org/show_bug.cgi?id=110225

        Introduces hard-to-reproduce crashes upon inspected page
        navigation on Mac (Requested by apavlov on #webkit).

        * dom/DocumentStyleSheetCollection.cpp:
        (WebCore::DocumentStyleSheetCollection::updateActiveStyleSheets):
        * inspector/Inspector.json:
        * inspector/InspectorCSSAgent.cpp:
        (WebCore::InspectorCSSAgent::InspectorCSSAgent):
        (WebCore::InspectorCSSAgent::clearFrontend):
        (WebCore::InspectorCSSAgent::enable):
        (WebCore::InspectorCSSAgent::getAllStyleSheets):
        (WebCore::InspectorCSSAgent::collectStyleSheets):
        (WebCore::InspectorCSSAgent::bindStyleSheet):
        (WebCore::InspectorCSSAgent::viaInspectorStyleSheet):
        (WebCore::InspectorCSSAgent::detectOrigin):
        (WebCore::InspectorCSSAgent::buildObjectForRule):
        * inspector/InspectorCSSAgent.h:
        (InspectorCSSAgent):
        * inspector/InspectorInstrumentation.cpp:
        (WebCore):
        * inspector/InspectorInstrumentation.h:
        (WebCore):
        (InspectorInstrumentation):
        * inspector/front-end/CSSStyleModel.js:
        (WebInspector.CSSStyleModel.prototype.getViaInspectorResourceForRule):
        (WebInspector.CSSStyleModelResourceBinding.prototype.):
        (WebInspector.CSSStyleModelResourceBinding.prototype.requestStyleSheetIdForResource):
        (WebInspector.CSSStyleModelResourceBinding.prototype.requestResourceURLForStyleSheetId):
        (WebInspector.CSSStyleModelResourceBinding.prototype._styleSheetIdForResource):
        (WebInspector.CSSStyleModelResourceBinding.prototype._loadStyleSheetHeaders):
        (WebInspector.CSSStyleModelResourceBinding.prototype.headersLoaded):
        (WebInspector.CSSStyleModelResourceBinding.prototype._requestViaInspectorResource):
        (WebInspector.CSSStyleModelResourceBinding.prototype._getOrCreateInspectorResource):
        (WebInspector.CSSStyleModelResourceBinding.prototype._reset):
        * inspector/front-end/SASSSourceMapping.js:
        (WebInspector.SASSSourceMapping.prototype._styleSheetChanged.callback):
        (WebInspector.SASSSourceMapping.prototype._styleSheetChanged):
        * inspector/front-end/StylesSidebarPane.js:
        (WebInspector.StylePropertiesSection.prototype._createRuleOriginNode.callback):
        (WebInspector.StylePropertiesSection.prototype._createRuleOriginNode):
        * inspector/front-end/StylesSourceMapping.js:
        (WebInspector.StyleContentBinding.prototype.callback):
        (WebInspector.StyleContentBinding.prototype.setStyleContent):
        (WebInspector.StyleContentBinding.prototype.):
        (WebInspector.StyleContentBinding.prototype._innerStyleSheetChanged):

2013-02-19  Julien Chaffraix  <jchaffraix@webkit.org>

        RenderGrid::computedUsedBreadthOfGridTracks can read past m_grid's size
        https://bugs.webkit.org/show_bug.cgi?id=110126

        Reviewed by Ojan Vafai.

        The issue comes from how we store the column information inside m_grid.
        Because m_grid is a Vector of rows, we could lose the column information
        if we had no row, no grid item but some columns defined in CSS. As the
        logic would assume that our row / column size would be greater than what
        the style defines explicitely, we would access past our Vector's boundary.

        The fix is to ensure that we have at least a row so that we can store the
        column information in every case. This fix is overly broad as it also forces
        the grid to have one column, which shouldn't be an issue.

        Test: fast/css-grid-layout/grid-element-empty-row-column.html

        * rendering/RenderGrid.cpp:
        (WebCore::RenderGrid::maximumIndexInDirection):
        Forced this function to return at least one as the maximum index so that
        m_grid has at least one row / column.

        (WebCore::RenderGrid::placeItemsOnGrid):
        Added a ASSERT that m_grid is bigger than the explicit grid-rows / grid-columns.
        Also changed an existing ASSERT to use gridWasPopulated for consistency and changed
        the code not to call gridRowCount as it would ASSERT (we are in the middle of populating
        the grid).

        * rendering/RenderGrid.h:
        (WebCore::RenderGrid::gridWasPopulated):
        Added this helper function.

        (WebCore::RenderGrid::gridColumnCount):
        Replaced a now unneeded branch with an ASSERT. As placeItemsOnGrid should be called
        prior to read m_grid, this change should be fine.

        (WebCore::RenderGrid::gridRowCount):
        Added an ASSERT.

2013-02-19  Sergio Villar Senin  <svillar@igalia.com>

        [Soup] Use synchronous calls to close completely processed streams
        https://bugs.webkit.org/show_bug.cgi?id=107432

        Reviewed by Martin Robinson.

        There is no need to close already processed streams in asynchronous
        calls since they won't block. Using the synchronous call will save
        us some code and unnecessary asynchronous burden. This is kind of
        a code refactor so no new tests needed.

        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore):
        (WebCore::redirectSkipCallback):
        (WebCore::readCallback):

2013-02-19  Andrey Adaikin  <aandrey@chromium.org>

        Web Inspector: [Canvas] use timeline's didBeginFrame for marking frame end calls
        https://bugs.webkit.org/show_bug.cgi?id=110130

        Reviewed by Pavel Feldman.

        In Web Inspector canvas profiler use timeline's didBeginFrame for marking frame end calls instead of an ad-hoc timeout-based solution.

        * inspector/InjectedScriptCanvasModule.cpp:
        (WebCore::InjectedScriptCanvasModule::markFrameEnd):
        (WebCore):
        * inspector/InjectedScriptCanvasModule.h:
        (InjectedScriptCanvasModule):
        * inspector/InjectedScriptCanvasModuleSource.js:
        (.):
        * inspector/InspectorCanvasAgent.cpp:
        (WebCore::InspectorCanvasAgent::hasUninstrumentedCanvases):
        (WebCore::InspectorCanvasAgent::notifyRenderingContextWasWrapped):
        (WebCore::InspectorCanvasAgent::findFramesWithUninstrumentedCanvases):
        (WebCore::InspectorCanvasAgent::frameNavigated):
        (WebCore::InspectorCanvasAgent::didBeginFrame):
        (WebCore):
        * inspector/InspectorCanvasAgent.h:
        (InspectorCanvasAgent):
        * inspector/InspectorController.cpp:
        (WebCore::InspectorController::didBeginFrame):

2013-02-19  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Decouple various file system project implementation parts for better testability and cover with tests.
        https://bugs.webkit.org/show_bug.cgi?id=110204

        Reviewed by Pavel Feldman.

        Extracted FileSystemWorkspaceProvider from IsolatedFileSystemManager to take care of managing workspace projects and projectDelegates.
        Replaced FileMapping.urlForURI with urlForPath method that does not need any information about workspace structure anymore.

        Test: inspector/file-system-project.html

        * inspector/front-end/FileMapping.js:
        (WebInspector.FileMapping.prototype.urlForPath):
        * inspector/front-end/FileSystemProjectDelegate.js:
        (WebInspector.FileSystemProjectDelegate):
        (WebInspector.FileSystemProjectDelegate.prototype.populate.filesLoaded):
        (WebInspector.FileSystemProjectDelegate.prototype.populate):
        (WebInspector.FileSystemWorkspaceProvider):
        (WebInspector.FileSystemWorkspaceProvider.prototype._fileSystemAdded):
        (WebInspector.FileSystemWorkspaceProvider.prototype._fileSystemRemoved):
        * inspector/front-end/IsolatedFileSystem.js:
        (WebInspector.IsolatedFileSystem):
        (WebInspector.IsolatedFileSystem.prototype.name):
        (WebInspector.IsolatedFileSystem.prototype.rootURL):
        * inspector/front-end/IsolatedFileSystemManager.js:
        (WebInspector.IsolatedFileSystemManager):
        (WebInspector.IsolatedFileSystemManager.prototype._innerAddFileSystem):
        (WebInspector.IsolatedFileSystemManager.prototype._fileSystemRemoved):
        (WebInspector.IsolatedFileSystemManager.prototype._isolatedFileSystem):
        (WebInspector.IsolatedFileSystemManager.prototype.requestDOMFileSystem):
        * inspector/front-end/inspector.js:

2013-02-19  Andrey Adaikin  <aandrey@chromium.org>

        Web Inspector: [Canvas] do not replace replay image with spinner icon
        https://bugs.webkit.org/show_bug.cgi?id=110213

        Reviewed by Pavel Feldman.

        Otherwise it's visually hard to see changes in the replay image. Instead show a small spinner icon in the bottom right corner.

        * inspector/front-end/CanvasProfileView.js:
        (WebInspector.CanvasProfileView):
        (WebInspector.CanvasProfileView.prototype._enableWaitIcon):
        * inspector/front-end/canvasProfiler.css:
        (#canvas-replay-image-container):
        (.canvas-debug-info):
        (.canvas-spinner-icon):

2013-02-19  Andrey Adaikin  <aandrey@chromium.org>

        Web Inspector: [Canvas] UI: tweak replay control buttons behavior
        https://bugs.webkit.org/show_bug.cgi?id=110207

        Reviewed by Pavel Feldman.

        New behavior for control buttons in the Canvas profiler.
        - The NextCall button (~StepInto) on a node group should expand it and move into its first child (instead of expanding and moving into the next node group)
        - The NextDrawCall button (~StepOver) should move to a next node that has children (instead of just iterating call group nodes, ignoring frame nodes).
        - The ReplayLast button should select the last expanded node (instead of always selecting last frame group node).

        * inspector/front-end/CanvasProfileView.js:
        (WebInspector.CanvasProfileView.prototype._onReplayStepClick):
        (WebInspector.CanvasProfileView.prototype._onReplayDrawingCallClick):
        (WebInspector.CanvasProfileView.prototype._onReplayLastStepClick):

2013-02-19  Andrei Bucur  <abucur@adobe.com>

        [CSS Regions] Assertion in RenderFlowThread::removeRenderBoxRegionInfo
        https://bugs.webkit.org/show_bug.cgi?id=109914

        Reviewed by David Hyatt.

        This patch moves a part of the invalidation operations inside the RenderFlowThread::invalidateRegions call. The maps
        are cleared anyway at layout time but doing this earlier makes sure the flow thread is in a more consistent state
        (the RenderFlowThread object has both the region chain invalidated and the regions information cleared).

        RenderFlowThread::removeRenderBoxRegionInfo will check if the region chain is invalidated. If true, it means the
        flow thread has a layout scheduled and the regions information is not yet reliable. In this case we just return from the
        function and wait for the layout to cleanup the box information.

        Test: fast/regions/remove-box-info-assert.html

        * rendering/RenderFlowThread.cpp:
        (WebCore::RenderFlowThread::removeRegionFromThread):
        (WebCore::RenderFlowThread::invalidateRegions):
        (WebCore):
        (WebCore::RenderFlowThread::layout):
        (WebCore::RenderFlowThread::removeRenderBoxRegionInfo):
        * rendering/RenderFlowThread.h:
        * rendering/RenderNamedFlowThread.cpp:
        (WebCore::RenderNamedFlowThread::removeRegionFromThread):

2013-02-19  Alberto Garcia  <agarcia@igalia.com>

        Fix build broekn by r142988.
        https://bugs.webkit.org/show_bug.cgi?id=109530

        Unreviewed. Build fix.

        Properly add shortMonthFormat() to the LocaleNone class.

        * platform/text/LocaleNone.cpp:
        (LocaleNone):
        (WebCore::LocaleNone::shortMonthFormat):

2013-02-19  Anton Vayvod  <avayvod@chromium.org>

        [Text Autosizing] Combine narrow descendants of a cluster into groups that should be autosized with the same multiplier.
        https://bugs.webkit.org/show_bug.cgi?id=109825

        Enhancement of the approach introduced in https://bugs.webkit.org/show_bug.cgi?id=109573.
        Instead of using the same text size multiplier for all narrow descendants of any autosizing
        cluster, group the descendants by how much narrower they are than the cluster's
        |blockContainingAllText| and process each group separately with a different multiplier for
        each one.
        For example, we want nested comments on the page to be autosized as a group but separately
        from a sidebar on the same page.

        Reviewed by Kenneth Rohde Christiansen.

        Updated the existing test to verify the patch.

        * rendering/TextAutosizer.cpp:
        (WebCore::TextAutosizer::processClusterInternal):

            Splits the narrow descendants of the autosizing cluster into groups before processing
            each group individually.

        (WebCore::TextAutosizer::getNarrowDescendantsGroupedByWidth):

            Sorts the narrow descendants of the given cluster into groups, combining them by the
            difference between their content widths. If sorted by width, two consecutive nodes
            belong to the same group if their width difference is no greater than 100 CSS units.

        * rendering/TextAutosizer.h:

            New method definitions.

2013-02-18  Ilya Tikhonovsky  <loislo@chromium.org>

        Web Inspector: Native Memory Instrumentation: show user provided name property of the heap snapshot node.
        https://bugs.webkit.org/show_bug.cgi?id=110124

        Reviewed by Yury Semikhatsky.

        Publish userProvidedName into grid node.

        * inspector/front-end/HeapSnapshotGridNodes.js:
        (WebInspector.HeapSnapshotGenericObjectNode):
        (WebInspector.HeapSnapshotGenericObjectNode.prototype._createObjectCell):
        (WebInspector.HeapSnapshotGenericObjectNode.prototype.get data):
        * inspector/front-end/HeapSnapshotProxy.js:
        (WebInspector.HeapSnapshotWorker):
        * inspector/front-end/NativeHeapSnapshot.js:
        (WebInspector.NativeHeapSnapshotNode.prototype.serialize):

2013-02-19  Arpita Bahuguna  <a.bah@samsung.com>

        Caret is not displayed when trying to focus inside a contenteditable element containing an empty block.
        https://bugs.webkit.org/show_bug.cgi?id=108053

        Reviewed by Ryosuke Niwa.

        Test: editing/selection/caret-in-div-containing-empty-block.html

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::localCaretRect):
        When trying to compute the caret rect for the contenteditable div, the
        border and the padding were not considered. Because of this, for the
        given test case, which had a border defined on the containing div, the
        caret was being painted just atop the border, thereby masking it.

        Have modified the code to ensure that the computed caret rect takes
        into account the border and padding (if any) specified on the box, but only
        if the node doesn't have content that shall be skipped for editing.

        We do not add border and padding while computing the caret rect for any
        element that either has no content or has content that shall be skipped
        for editing purposes. This holds true for table elements as well.

        This helps avoid the caret displacement previsouly observed before/after
        any controls placed within the contenteditable box, when considering
        border and padding in computation of the caret rect.

2013-02-19  Mihnea Ovidenie  <mihnea@adobe.com>

        CSSRegions: crash positioned object with inline containing block in flow thread
        https://bugs.webkit.org/show_bug.cgi?id=108307

        Reviewed by David Hyatt.

        The fix for https://bugs.webkit.org/show_bug.cgi?id=69896 allowed positioned blocks work
        with variable width regions. However, the information needed for that is available only
        when the container used for positioning is a block.

        This patch ensures we are using this solution only when the container used for positioning
        is a block. This needs to be revisited when we will extend support for other types of boxes
        as mentioned in RenderBox::renderBoxRegionInfo.

        Test: fast/regions/positioned-object-inline-cb-crash.html

        * rendering/RenderBox.cpp:
        (WebCore::RenderBox::renderBoxRegionInfo):
        (WebCore::RenderBox::containingBlockLogicalWidthForPositioned):
        (WebCore::RenderBox::computePositionedLogicalWidth): Make sure we are using containerBlocks
        that are blocks. Add an assert that the type of containerBlock we are using can have
        computed RenderBoxRegionInfo.
        (WebCore::RenderBox::computePositionedLogicalHeight):
        * rendering/RenderBoxModelObject.h:
        (WebCore::RenderBoxModelObject::canHaveBoxInfoInRegion): This helper method
        will return the boxes that may have computed RenderBoxRegionInfo. Currently,
        returns true for blocks only.

2013-02-19  Ryosuke Niwa  <rniwa@webkit.org>

        Yet anther JSC build fix after r143304.

        * bindings/js/JSDOMBinding.h:
        (WebCore::argumentOrNull):

2013-02-19  Kentaro Hara  <haraken@chromium.org>

        Unreviewed build fix. Fixed warning caused by r143305.

        * bindings/scripts/CodeGeneratorJS.pm:
        (GenerateParametersCheck):
        * bindings/scripts/CodeGeneratorV8.pm:
        (GenerateParametersCheck):

2013-02-19  Kentaro Hara  <haraken@chromium.org>

        Unreviewed build fix after r143304.

        * bindings/js/JSDOMBinding.h:
        (WebCore::argumentOrNull):

2013-02-19  Kentaro Hara  <haraken@chromium.org>

        [V8] Remove redundant usage of MAYBE_MISSING_PARAMETER() macro
        https://bugs.webkit.org/show_bug.cgi?id=109899

        Reviewed by Adam Barth.

        Currently:

        - MAYBE_MISSING_PARAMETER(args, index, DefaultIsUndefined) returns args[index].
        - MAYBE_MISSING_PARAMETER(args, index, DefaultIsNullString) returns Local<Value>()
        if args[index] is missing (i.e. the length of |args| is less than |index|).
        It returns args[index] otherwise.

        No one other than CodeGeneratorV8.pm uses
        MAYBE_MISSING_PARAMETER(args, index, DefaultIsUndefined). Instead, we simply use
        args[index]. We should remove the redundant usage from CodeGeneratorV8.pm too.
        The long-name macro has been making generated code less readable.

        In addition, we can rename MAYBE_MISSING_PARAMETER() to argumentOrNull().

        No tests. No change in behavior.

        * bindings/scripts/CodeGeneratorV8.pm:
        (GenerateParametersCheck):
        * bindings/scripts/test/V8/V8Float64Array.cpp:
        (WebCore::Float64ArrayV8Internal::fooCallback):
        * bindings/scripts/test/V8/V8TestActiveDOMObject.cpp:
        (WebCore::TestActiveDOMObjectV8Internal::excitingFunctionCallback):
        (WebCore::TestActiveDOMObjectV8Internal::postMessageCallback):
        * bindings/scripts/test/V8/V8TestCustomNamedGetter.cpp:
        (WebCore::TestCustomNamedGetterV8Internal::anotherFunctionCallback):
        * bindings/scripts/test/V8/V8TestEventTarget.cpp:
        (WebCore::TestEventTargetV8Internal::itemCallback):
        (WebCore::TestEventTargetV8Internal::dispatchEventCallback):
        * bindings/scripts/test/V8/V8TestInterface.cpp:
        (WebCore::TestInterfaceV8Internal::supplementalMethod2Callback):
        (WebCore::V8TestInterface::constructorCallback):
        * bindings/scripts/test/V8/V8TestMediaQueryListListener.cpp:
        (WebCore::TestMediaQueryListListenerV8Internal::methodCallback):
        * bindings/scripts/test/V8/V8TestNamedConstructor.cpp:
        (WebCore::V8TestNamedConstructorConstructorCallback):
        * bindings/scripts/test/V8/V8TestObj.cpp:
        (WebCore::TestObjV8Internal::voidMethodWithArgsCallback):
        (WebCore::TestObjV8Internal::longMethodWithArgsCallback):
        (WebCore::TestObjV8Internal::objMethodWithArgsCallback):
        (WebCore::TestObjV8Internal::methodWithSequenceArgCallback):
        (WebCore::TestObjV8Internal::methodReturningSequenceCallback):
        (WebCore::TestObjV8Internal::methodThatRequiresAllArgsAndThrowsCallback):
        (WebCore::TestObjV8Internal::optionsObjectCallback):
        (WebCore::TestObjV8Internal::methodWithOptionalArgCallback):
        (WebCore::TestObjV8Internal::methodWithNonOptionalArgAndOptionalArgCallback):
        (WebCore::TestObjV8Internal::methodWithNonOptionalArgAndTwoOptionalArgsCallback):
        (WebCore::TestObjV8Internal::methodWithOptionalStringCallback):
        (WebCore::TestObjV8Internal::methodWithOptionalStringIsUndefinedCallback):
        (WebCore::TestObjV8Internal::methodWithOptionalStringIsNullStringCallback):
        (WebCore::TestObjV8Internal::methodWithNonCallbackArgAndCallbackArgCallback):
        (WebCore::TestObjV8Internal::overloadedMethod1Callback):
        (WebCore::TestObjV8Internal::overloadedMethod2Callback):
        (WebCore::TestObjV8Internal::overloadedMethod3Callback):
        (WebCore::TestObjV8Internal::overloadedMethod4Callback):
        (WebCore::TestObjV8Internal::overloadedMethod6Callback):
        (WebCore::TestObjV8Internal::overloadedMethod7Callback):
        (WebCore::TestObjV8Internal::overloadedMethod8Callback):
        (WebCore::TestObjV8Internal::overloadedMethod9Callback):
        (WebCore::TestObjV8Internal::overloadedMethod10Callback):
        (WebCore::TestObjV8Internal::overloadedMethod11Callback):
        (WebCore::TestObjV8Internal::classMethodWithOptionalCallback):
        (WebCore::TestObjV8Internal::overloadedMethod12Callback):
        (WebCore::TestObjV8Internal::enabledAtRuntimeMethod1Callback):
        (WebCore::TestObjV8Internal::enabledAtRuntimeMethod2Callback):
        (WebCore::TestObjV8Internal::enabledPerContextMethod1Callback):
        (WebCore::TestObjV8Internal::enabledPerContextMethod2Callback):
        (WebCore::TestObjV8Internal::stringArrayFunctionCallback):
        (WebCore::TestObjV8Internal::domStringListFunctionCallback):
        (WebCore::TestObjV8Internal::convert1Callback):
        (WebCore::TestObjV8Internal::convert2Callback):
        (WebCore::TestObjV8Internal::convert4Callback):
        (WebCore::TestObjV8Internal::convert5Callback):
        (WebCore::TestObjV8Internal::strictFunctionCallback):
        (WebCore::TestObjV8Internal::variadicStringMethodCallback):
        (WebCore::TestObjV8Internal::variadicDoubleMethodCallback):
        (WebCore::TestObjV8Internal::variadicNodeMethodCallback):
        * bindings/scripts/test/V8/V8TestOverloadedConstructors.cpp:
        (WebCore::V8TestOverloadedConstructors::constructor1Callback):
        (WebCore::V8TestOverloadedConstructors::constructor2Callback):
        (WebCore::V8TestOverloadedConstructors::constructor3Callback):
        (WebCore::V8TestOverloadedConstructors::constructor4Callback):
        * bindings/scripts/test/V8/V8TestSerializedScriptValueInterface.cpp:
        (WebCore::V8TestSerializedScriptValueInterface::constructorCallback):
        * bindings/scripts/test/V8/V8TestTypedefs.cpp:
        (WebCore::TestTypedefsV8Internal::funcCallback):
        (WebCore::TestTypedefsV8Internal::setShadowCallback):
        (WebCore::TestTypedefsV8Internal::methodWithSequenceArgCallback):
        (WebCore::TestTypedefsV8Internal::nullableArrayArgCallback):
        (WebCore::TestTypedefsV8Internal::stringArrayFunctionCallback):
        (WebCore::TestTypedefsV8Internal::stringArrayFunction2Callback):
        (WebCore::V8TestTypedefs::constructorCallback):
        * bindings/v8/V8BindingMacros.h:
        (WebCore):
        * bindings/v8/custom/V8HistoryCustom.cpp:
        (WebCore::V8History::pushStateCallbackCustom):
        (WebCore::V8History::replaceStateCallbackCustom):

2013-02-19  Kentaro Hara  <haraken@chromium.org>

        [JSC] MAYBE_MISSING_PARAMETER(..., DefaultIsNullString) macro is redundant
        https://bugs.webkit.org/show_bug.cgi?id=109902

        Reviewed by Adam Barth.

        Currently:

        - MAYBE_MISSING_PARAMETER(exec, index, DefaultIsUndefined)
          returns exec->argument(index).
        - MAYBE_MISSING_PARAMETER(exec, index, DefaultIsNullString)
          returns JSValue() if exec->argument(index) is missing
          (i.e. the length of the argument is less than index).
          It returns exec->argument(index) otherwise.

        No one other than CodeGeneratorJS.pm uses
        MAYBE_MISSING_PARAMETER(exec, index, DefaultIsUndefined).
        Instead, we simply use exec->argument(index). We should remove
        the redundant usage in CodeGeneratorJS.pm too. The long-name macro
        has been making generated code less readable.

        In addition, we can rename MAYBE_MISSING_PARAMETER() to argumentOrNull().

        c.f. corresponding V8 bug: https://bugs.webkit.org/show_bug.cgi?id=109899

        No tests. No change in behavior.

        * bindings/js/JSDOMBinding.h:
        (WebCore):
        * bindings/scripts/CodeGeneratorJS.pm:
        (GenerateParametersCheck):
        * bindings/scripts/test/JS/JSFloat64Array.cpp:
        (WebCore::jsFloat64ArrayPrototypeFunctionFoo):
        * bindings/scripts/test/JS/JSTestActiveDOMObject.cpp:
        (WebCore::jsTestActiveDOMObjectPrototypeFunctionExcitingFunction):
        (WebCore::jsTestActiveDOMObjectPrototypeFunctionPostMessage):
        * bindings/scripts/test/JS/JSTestCustomNamedGetter.cpp:
        (WebCore::jsTestCustomNamedGetterPrototypeFunctionAnotherFunction):
        * bindings/scripts/test/JS/JSTestEventTarget.cpp:
        (WebCore::jsTestEventTargetPrototypeFunctionItem):
        (WebCore::jsTestEventTargetPrototypeFunctionDispatchEvent):
        * bindings/scripts/test/JS/JSTestInterface.cpp:
        (WebCore::JSTestInterfaceConstructor::constructJSTestInterface):
        (WebCore::jsTestInterfacePrototypeFunctionSupplementalMethod2):
        * bindings/scripts/test/JS/JSTestMediaQueryListListener.cpp:
        (WebCore::jsTestMediaQueryListListenerPrototypeFunctionMethod):
        * bindings/scripts/test/JS/JSTestNamedConstructor.cpp:
        (WebCore::JSTestNamedConstructorNamedConstructor::constructJSTestNamedConstructor):
        * bindings/scripts/test/JS/JSTestObj.cpp:
        (WebCore::jsTestObjPrototypeFunctionVoidMethodWithArgs):
        (WebCore::jsTestObjPrototypeFunctionLongMethodWithArgs):
        (WebCore::jsTestObjPrototypeFunctionObjMethodWithArgs):
        (WebCore::jsTestObjPrototypeFunctionMethodWithSequenceArg):
        (WebCore::jsTestObjPrototypeFunctionMethodReturningSequence):
        (WebCore::jsTestObjPrototypeFunctionMethodThatRequiresAllArgsAndThrows):
        (WebCore::jsTestObjPrototypeFunctionSerializedValue):
        (WebCore::jsTestObjPrototypeFunctionOptionsObject):
        (WebCore::jsTestObjPrototypeFunctionMethodWithOptionalArg):
        (WebCore::jsTestObjPrototypeFunctionMethodWithNonOptionalArgAndOptionalArg):
        (WebCore::jsTestObjPrototypeFunctionMethodWithNonOptionalArgAndTwoOptionalArgs):
        (WebCore::jsTestObjPrototypeFunctionMethodWithOptionalString):
        (WebCore::jsTestObjPrototypeFunctionMethodWithOptionalStringIsUndefined):
        (WebCore::jsTestObjPrototypeFunctionMethodWithOptionalStringIsNullString):
        (WebCore::jsTestObjPrototypeFunctionMethodWithNonCallbackArgAndCallbackArg):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod1):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod2):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod3):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod4):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod6):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod7):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod8):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod9):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod10):
        (WebCore::jsTestObjPrototypeFunctionOverloadedMethod11):
        (WebCore::jsTestObjConstructorFunctionClassMethodWithOptional):
        (WebCore::jsTestObjConstructorFunctionOverloadedMethod11):
        (WebCore::jsTestObjConstructorFunctionOverloadedMethod12):
        (WebCore::jsTestObjPrototypeFunctionMethodWithUnsignedLongSequence):
        (WebCore::jsTestObjPrototypeFunctionStringArrayFunction):
        (WebCore::jsTestObjPrototypeFunctionDomStringListFunction):
        (WebCore::jsTestObjPrototypeFunctionConvert1):
        (WebCore::jsTestObjPrototypeFunctionConvert2):
        (WebCore::jsTestObjPrototypeFunctionConvert4):
        (WebCore::jsTestObjPrototypeFunctionConvert5):
        (WebCore::jsTestObjPrototypeFunctionStrictFunction):
        (WebCore::jsTestObjPrototypeFunctionVariadicStringMethod):
        (WebCore::jsTestObjPrototypeFunctionVariadicDoubleMethod):
        (WebCore::jsTestObjPrototypeFunctionVariadicNodeMethod):
        * bindings/scripts/test/JS/JSTestOverloadedConstructors.cpp:
        (WebCore::JSTestOverloadedConstructorsConstructor::constructJSTestOverloadedConstructors1):
        (WebCore::JSTestOverloadedConstructorsConstructor::constructJSTestOverloadedConstructors2):
        (WebCore::JSTestOverloadedConstructorsConstructor::constructJSTestOverloadedConstructors3):
        (WebCore::JSTestOverloadedConstructorsConstructor::constructJSTestOverloadedConstructors4):
        * bindings/scripts/test/JS/JSTestSerializedScriptValueInterface.cpp:
        (WebCore::JSTestSerializedScriptValueInterfaceConstructor::constructJSTestSerializedScriptValueInterface):
        (WebCore::jsTestSerializedScriptValueInterfacePrototypeFunctionAcceptTransferList):
        (WebCore::jsTestSerializedScriptValueInterfacePrototypeFunctionMultiTransferList):
        * bindings/scripts/test/JS/JSTestTypedefs.cpp:
        (WebCore::JSTestTypedefsConstructor::constructJSTestTypedefs):
        (WebCore::jsTestTypedefsPrototypeFunctionFunc):
        (WebCore::jsTestTypedefsPrototypeFunctionMultiTransferList):
        (WebCore::jsTestTypedefsPrototypeFunctionSetShadow):
        (WebCore::jsTestTypedefsPrototypeFunctionMethodWithSequenceArg):
        (WebCore::jsTestTypedefsPrototypeFunctionNullableArrayArg):
        (WebCore::jsTestTypedefsPrototypeFunctionStringArrayFunction):
        (WebCore::jsTestTypedefsPrototypeFunctionStringArrayFunction2):

2013-02-18  Hayato Ito  <hayato@chromium.org>

        Make EventDispatcher take an Event object in its constructor.
        https://bugs.webkit.org/show_bug.cgi?id=109898

        Reviewed by Dimitri Glazkov.

        Re-landing r143145, which caused a crash when deltaX and deltaY of a PlatformWheelEvent are both zero.

        Fixed a crash by early exiting in EventDispatcher::dispatchEvent(Node*, PassRefPtr<EventDispatcher*>)
        if mediator's event() returns null.

        Also Added a layout test to catch this kind of crash in the future.

        Test: fast/events/platform-wheelevent-with-delta-zero-crash.html

        * dom/EventDispatchMediator.cpp:
        (WebCore::EventDispatchMediator::dispatchEvent):
        * dom/EventDispatcher.cpp:
        (WebCore::EventDispatcher::dispatchEvent):
        (WebCore::EventDispatcher::EventDispatcher):
        (WebCore::EventDispatcher::ensureEventPath):
        (WebCore::EventDispatcher::dispatchSimulatedClick):
        (WebCore::EventDispatcher::dispatch):
        (WebCore::EventDispatcher::dispatchEventPreProcess):
        (WebCore::EventDispatcher::dispatchEventAtCapturing):
        (WebCore::EventDispatcher::dispatchEventAtTarget):
        (WebCore::EventDispatcher::dispatchEventAtBubbling):
        (WebCore::EventDispatcher::dispatchEventPostProcess):
        * dom/EventDispatcher.h:
        (EventDispatcher):
        (WebCore::EventDispatcher::node):
        (WebCore::EventDispatcher::event):
        * dom/FocusEvent.cpp:
        (WebCore::FocusEventDispatchMediator::dispatchEvent):
        (WebCore::BlurEventDispatchMediator::dispatchEvent):
        (WebCore::FocusInEventDispatchMediator::dispatchEvent):
        (WebCore::FocusOutEventDispatchMediator::dispatchEvent):
        * dom/GestureEvent.cpp:
        (WebCore::GestureEventDispatchMediator::dispatchEvent):
        * dom/MouseEvent.cpp:
        (WebCore::MouseEventDispatchMediator::dispatchEvent):
        * dom/WheelEvent.cpp:
        (WebCore::WheelEventDispatchMediator::dispatchEvent):
        Assert event() rather than an early exit since this code path should be hit only when event() is non-null.

2013-02-18  Takashi Sakamoto  <tasak@google.com>

        :before/:after pseudo elements do not always apply to the proper element
        https://bugs.webkit.org/show_bug.cgi?id=93925

        Reviewed by Dimitri Glazkov.

        Disable sharing a style with siblings if :after or :before pseudo style
        is unique.

        Test: fast/css/before-after-pseudo-class.html

        * css/StyleResolver.cpp:
        (WebCore::StyleResolver::canShareStyleWithElement):
        Added a new condition, hasUniquePseudoStyle.
        * rendering/style/RenderStyle.cpp:
        (WebCore::RenderStyle::hasUniquePseudoStyle):
        Added to check whether any pseudo style has unique bit or not.
        (WebCore):
        * rendering/style/RenderStyle.h:

2013-02-18  Andy Estes  <aestes@apple.com>

        Focusing a new frame (via window.focus()) should blur the active element in the current frame
        https://bugs.webkit.org/show_bug.cgi?id=110172

        Reviewed by Ryosuke Niwa.

        When a change in the focused node crosses a frame boundary, WebKit
        doesn't always succeed in blurring the old focused node before focusing
        the new one.

        Each document remembers its focused node, and a Page-scoped
        FocusController remembers the focused frame. If a new focused node is
        in a different frame than the focused frame, FocusController tells the
        old frame's document to clear its focused node before focusing the new
        one (and remembering the new frame).

        Unfortunately, web content can confuse FocusController by calling
        window.focus() at the wrong time. Since window.focus() changes
        FocusController's focused frame without focusing a new node,
        FocusController won't think that a frame boundary is being crossed if a
        node in this frame is later focused. Therefore it won't clear the old
        frame's focused node (it won't even know which frame contained the old
        focused node), causing at least two bugs:

        1) The node in the old frame will not receive a blur event.
        2) Calling document.activeElement on the main frame will return the
           previously focused node, but the HTML5 spec says it should return
           the frame owner element if a subframe has focus.

        Fix both of these bugs by explicitly clearing the current frame's
        focused node if window.focus() changes the focused frame. This fix
        carries some compatibility risk by changing a long-standing behavior
        of the engine (we've had this bug since the beginning of the project,
        AFAICT). On the upside, it matches the behavior of both Firefox and IE,
        matches what HTML5 says about subframe focus, and fixes at least one
        well-known enterprise web app.

        Tests: fast/dom/HTMLDocument/active-element-frames.html
               fast/frames/frame-focus-blurs-active-element.html

        * page/DOMWindow.cpp:
        (WebCore::DOMWindow::focus): If the frame being focused is not the same
        as the currently focused frame, clear the currently focused frame's
        focused node.

2013-02-18  Simon Fraser  <simon.fraser@apple.com>

        Clean up the boolean argument to visibleContentRect
        https://bugs.webkit.org/show_bug.cgi?id=110167

        Reviewed by Simon Fraser.

        Replace the boolean argument to visibleContentRect() with
        an enum.

        No behavior change.

        * WebCore.exp.in:
        * dom/Document.cpp:
        (WebCore::Document::viewportSize):
        * inspector/InspectorOverlay.cpp:
        (WebCore::InspectorOverlay::update):
        * page/DOMWindow.cpp:
        (WebCore::DOMWindow::innerHeight):
        (WebCore::DOMWindow::innerWidth):
        * page/FrameView.cpp:
        (WebCore::FrameView::calculateScrollbarModesForLayout):
        (WebCore::FrameView::layout):
        (WebCore::FrameView::performPostLayoutTasks):
        (WebCore::FrameView::windowClipRect):
        * page/SpatialNavigation.cpp:
        (WebCore::canScrollInDirection):
        * platform/ScrollView.cpp:
        (WebCore::ScrollView::unscaledVisibleContentSize):
        (WebCore::ScrollView::visibleContentRect):
        (WebCore::ScrollView::layoutSize):
        (WebCore::ScrollView::updateScrollbars):
        (WebCore::ScrollView::paint):
        * platform/ScrollView.h:
        * platform/ScrollableArea.cpp:
        (WebCore::ScrollableArea::visibleContentRect):
        * platform/ScrollableArea.h:
        * rendering/RenderDialog.cpp:
        (WebCore::RenderDialog::layout):
        * rendering/RenderLayer.cpp:
        (WebCore::RenderLayer::maximumScrollPosition):
        (WebCore::RenderLayer::visibleContentRect):
        * rendering/RenderLayer.h:
        * rendering/RenderLayerCompositor.cpp:
        (WebCore::RenderLayerCompositor::frameViewDidChangeSize):
        (WebCore::RenderLayerCompositor::updateRootLayerPosition):

2013-02-18  Ryosuke Niwa  <rniwa@webkit.org>

        That didn't work either. Just make it public. This is why I hate nested classes. They just don't work.

        * rendering/RenderBlock.h:
        (RenderBlock):

2013-02-18  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix. Apparently Visual Studio still has a lot of bugs with respect to nested classes.
        Work around it by directly instantiating the class inside createFloatingObjects.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::createFloatingObjects): Directly instantiate FloatingObjects.
        * rendering/RenderBlock.h:
        (RenderBlock): Moved the declaration of createFloatingObjects up.
        (FloatingObjects::FloatingObjects):

2013-02-18  Ryosuke Niwa  <rniwa@webkit.org>

        Merge handleSpecialChild into layoutBlockChildren
        https://bugs.webkit.org/show_bug.cgi?id=110165

        Reviewed by Darin Adler.

        Merge handleSpecialChild, handlePositionedChild, and handleFloatingChild into layoutBlockChildren
        to make the semantics of the code clear and to get rid of the outdated comment about how there are
        four types of four types of special children.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::layoutBlockChildren):
        * rendering/RenderBlock.h:
        (RenderBlock):

2013-02-18  Ryosuke Niwa  <rniwa@webkit.org>

        Encapsulate FloatingObject's constructor inside create
        https://bugs.webkit.org/show_bug.cgi?id=110169

        Reviewed by Darin Adler.

        Added FloatingObject::create and made FloatingObject's constructor private.
        Also added RenderBlock::ensureFloatingObjects to help lazily creating FloatingObjects.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::insertFloatingObject):
        (WebCore::RenderBlock::addOverhangingFloats):
        (WebCore::RenderBlock::addIntrudingFloats):
        (WebCore::RenderBlock::ensureFloatingObjects):
        (WebCore::RenderBlock::FloatingObjects::create):
        (WebCore::RenderBlock::FloatingObjects::FloatingObjects):
        * rendering/RenderBlock.h:
        (FloatingObjects):
        (RenderBlock):

2013-02-18  Anders Carlsson  <andersca@apple.com>

        Add a DefaultHash for RefPtr<SecurityOrigin>
        https://bugs.webkit.org/show_bug.cgi?id=110170

        Reviewed by Andreas Kling.

        Remove all explicit uses of SecurityOriginHash.

        * Modules/webdatabase/DatabaseTracker.h:
        * Modules/webdatabase/OriginQuotaManager.h:
        * loader/appcache/ApplicationCacheStorage.cpp:
        (WebCore::ApplicationCacheStorage::getOriginsWithCache):
        * loader/cache/MemoryCache.h:
        * page/SecurityOriginHash.h:
        * storage/StorageNamespaceImpl.h:
        (StorageNamespaceImpl):

2013-02-18  David Hyatt  <hyatt@apple.com>

        Padding and border changes don't trigger the relayout of children in some cases.
        https://bugs.webkit.org/show_bug.cgi?id=109639.

        Reviewed by Ryosuke Niwa.

        The fix for this bug was way too general and involved putting code into RenderBox. Since
        RenderBox makes no assumptions about what kind of layout system might derive from it, it
        was incorrect to just mark all children as needing layout whenever borders and padding
        changed widths.
        
        This patch takes the two cases handled by the original code and makes them more
        specialized down in subclasses, i.e., RenderBlock and RenderTableRow. RenderBlock has
        been refined to only check if children aren't inline and to also not invalidate
        floats or irrelevant positioned objects that might not even have this block as their
        containing block.
        
        The RenderTableRow code is specialized to only care about collapsing borders and
        to only check borders rather than padding. It also requires that a child be a cell
        in order to do the invalidation.

        Covered by existing tests, since this is just specializing the code to more precisely
        cover the test cases that have already been written.

        Longer term, it should be layout code that figures this stuff out rather than style
        change code, but that involves more dramatic changes that can wait.

        Test: fast/block/positioning/border-change-relayout-test.html

        * rendering/RenderBlock.cpp:
        (WebCore::borderOrPaddingLogicalWidthChanged):
        (WebCore):
        (WebCore::RenderBlock::styleDidChange):
        * rendering/RenderBox.cpp:
        (WebCore):
        (WebCore::RenderBox::styleDidChange):
        * rendering/RenderTableRow.cpp:
        (WebCore::borderLogicalWidthChanged):
        (WebCore):
        (WebCore::RenderTableRow::styleDidChange):

2013-02-18  Mark Lam  <mark.lam@apple.com>

        Small follow up to r143271: Fix SQLTransaction leak.
        https://bugs.webkit.org/show_bug.cgi?id=110052.

        Reviewed by Geoffrey Garen.

        Applied Geoff's suggestion nullify m_frontend sooner for greater
        code clarity. Also added some comments about m_frontend.

        No new tests.

        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::doCleanup):
        * Modules/webdatabase/SQLTransactionBackend.h:
        (SQLTransactionBackend):

2013-02-18  Geoffrey Garen  <ggaren@apple.com>

        Shrank the SourceProvider cache
        https://bugs.webkit.org/show_bug.cgi?id=110158

        Reviewed by Oliver Hunt.

        Test: fast/js/regress/nested-function-parsing.html

        No need to keep statistics on cache size, since we're going to throw it
        away no matter what.

        * WebCore.order:
        * bindings/js/CachedScriptSourceProvider.h:
        (CachedScriptSourceProvider):
        (WebCore::CachedScriptSourceProvider::CachedScriptSourceProvider):
        * loader/cache/CachedScript.cpp:
        (WebCore::CachedScript::destroyDecodedData):
        (WebCore):
        (WebCore::CachedScript::reportMemoryUsage):
        * loader/cache/CachedScript.h:
        (CachedScript):

2013-02-18  peavo@outlook.com  <peavo@outlook.com>

        [Curl] The function cookiesForDOM() does not behave correctly.
        https://bugs.webkit.org/show_bug.cgi?id=109923

        Reviewed by Brent Fulgham.

        The cookiesForDOM() function should return a list of matching cookies, both persistent and session cookies.

        * platform/network/curl/CookieJarCurl.cpp:
        (WebCore::readCurlCookieToken): Added function to read next token from Curl cookie string.
        (WebCore::addMatchingCurlCookie): Added function to add matching cookies to cookie list.
        (WebCore::setCookiesFromDOM): Add domain and path from url to cookie if not already set.
        (WebCore::cookiesForDOM): Return a list of matching cookies, both session and persistent cookies.

2013-02-17  Mark Lam  <mark.lam@apple.com>

        Fix SQLTransaction leak.
        https://bugs.webkit.org/show_bug.cgi?id=110052.

        Reviewed by Geoffrey Garen.

        With https://bugs.webkit.org/show_bug.cgi?id=104750, there is now a circular
        reference between SQLTransaction and its backend. The clean up process needs
        to be fixed to explicitly break this reference cycle.

        The 5 phases of the SQLTransaction (and backend) phases and their clean up
        actions are:

        Phase 1. After Birth, before scheduling
        - During shutdown, DatabaseThread::databaseThread() calls
          DatabaseBackendAsync::close(). DatabaseBackendAsync::close() iterates
          DatabaseBackendAsync::m_transactionQueue and calls
          SQLtransactionBackend::notifyDatabaseThreadIsShuttingDown() on each
          transaction there.

        Phase 2. After scheduling, before state AcquireLock
        - ~DatabaseTask() calls SQLtransactionBackend's
          notifyDatabaseThreadIsShuttingDown().

        Phase 3. After state AcquireLock, before "lockAcquired"
        - During shutdown, DatabaseThread::databaseThread() calls
          SQLTransactionCoordinator::shutdown(), which calls
          SQLTransactionBackend::notifyDatabaseThreadIsShuttingDown().

        Phase 4: After "lockAcquired", before state CleanupAndTerminate
        - Same as Phase 3.

        Phase 5: After state CleanupAndTerminate
        - state CleanupAndTerminate calls SQLTransactionBackend::doCleanup().

        See comment at the top of SQLTransactionBackend.cpp for more details.

        Other supporting changes:
        - Moved Database::close() to the DatabaseBackendAsync.
        - Moved the "if already cleaned up" check from SQLTransactionBackend's
          notifyDatabaseThreadIsShuttingDown() to doCleanup().
        - Added a check to prevent SQLTransactionCoordinator's releaseLock()
          from running when it's shutting down.

        No new tests.

        * Modules/webdatabase/Database.cpp:
        * Modules/webdatabase/Database.h:
        * Modules/webdatabase/DatabaseBackendAsync.cpp:
        (WebCore::DatabaseBackendAsync::close): Move from Database.cpp.
        * Modules/webdatabase/DatabaseBackendAsync.h:
        * Modules/webdatabase/DatabaseTask.cpp:
        (WebCore::DatabaseBackendAsync::DatabaseTransactionTask::DatabaseTransactionTask):
        (WebCore::DatabaseBackendAsync::DatabaseTransactionTask::~DatabaseTransactionTask):
        (WebCore::DatabaseBackendAsync::DatabaseTransactionTask::doPerformTask):
        * Modules/webdatabase/DatabaseTask.h:
        (DatabaseBackendAsync::DatabaseTransactionTask):
        * Modules/webdatabase/DatabaseThread.cpp:
        (WebCore::DatabaseThread::databaseThread):
        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::doCleanup):
        (WebCore::SQLTransactionBackend::notifyDatabaseThreadIsShuttingDown):
        (WebCore::SQLTransactionBackend::cleanupAndTerminate):
        * Modules/webdatabase/SQLTransactionCoordinator.cpp:
        (WebCore::SQLTransactionCoordinator::SQLTransactionCoordinator):
        (WebCore::SQLTransactionCoordinator::acquireLock):
        (WebCore::SQLTransactionCoordinator::releaseLock):
        (WebCore::SQLTransactionCoordinator::shutdown):
        * Modules/webdatabase/SQLTransactionCoordinator.h:
        (SQLTransactionCoordinator):

2013-02-18  David Kilzer  <ddkilzer@apple.com>

        Fix WebCore Xcode project

        * WebCore.xcodeproj/project.pbxproj: Fix path for CDMPrivate.h.

2013-02-18  Julien Chaffraix  <jchaffraix@webkit.org>

        [CSS Grid Layout] Refactor grid position resolution code to support an internal grid representation
        https://bugs.webkit.org/show_bug.cgi?id=109718

        Reviewed by Ojan Vafai.

        In order to support auto placement (where we can't infer a grid item's position from its style),
        we need to have 2 code paths:
        - One that places the elements on the grid representation.
        - One that reuse the grid representation to return the position.

        This code path implements this split so that we can add auto placement in a follow-up patch(es).
        Also in order to avoid a O(n^2) behavior [walking over our grid to find a grid item's position],
        the cached position code path needed an efficient way to find the grid items -> position mapping.

        Refactoring, covered by existing tests.

        * rendering/RenderGrid.cpp:
        (WebCore::RenderGrid::cachedGridCoordinate):
        (WebCore::RenderGrid::resolveGridPositionFromStyle):
        These methods implements the above split. The first one
        reuses our cached information whereas the other one is
        used to build the cache.

        (WebCore::RenderGrid::computeIntrinsicLogicalWidths):
        (WebCore::RenderGrid::layoutGridItems):
        Added some code to clear the grid items' position.

        (WebCore::RenderGrid::findChildLogicalPosition):
        (WebCore::RenderGrid::logicalContentHeightForChild):
        Updated these functions to use cachedGridPosition.

        (WebCore::RenderGrid::maximumIndexInDirection):
        Added a comment about why we don't use cachedGridPosition.

        (WebCore::RenderGrid::insertItemIntoGrid):
        Added this helper function to insert into the grid and
        cache the position in the reverse lookup map.

        (WebCore::RenderGrid::placeItemsOnGrid):
        Updated to call insertItemIntoGrid. Also added an ASSERT
        similar to m_grid.

        (WebCore::RenderGrid::clearGrid):
        Added this helper function to clear our grid structure.

        * rendering/RenderGrid.h:
        (GridCoordinate):
        (WebCore::RenderGrid::GridCoordinate::GridCoordinate):
        Added this POD to hold the coordinates in our reverse map.

2013-02-18  Stephen Chenney  <schenney@chromium.org>

        feFlood incorrectly applied color-interpolation-filters
        https://bugs.webkit.org/show_bug.cgi?id=109985

        Reviewed by Dirk Schulze.

        The SVG spec defines the color-interpolation-filters property for all
        filter effect elements in order to control cases where a color is
        based on some arithmetic computation on other colors. For example,
        when computing gradients or blending colors. feFlood simply fills a
        region with the given color, and that given color is always defined to
        be in sRGB space, so the feFlood result should always be sRGB.

        The new behavior matches both Opera and Firefox.

        Tests: svg/filters/feFlood-color-interpolation-expected.svg
               svg/filters/feFlood-color-interpolation.svg

        * platform/graphics/filters/FEFlood.cpp:
        (WebCore::FEFlood::platformApplySoftware): Force the color mode to be
        sRGB before returning.

2013-02-18  Mark Lam  <mark.lam@apple.com>

        Introduced AbstractSQLStatement and AbstractSQLStatementBackend.
        https://bugs.webkit.org/show_bug.cgi?id=110148.

        Reviewed by Geoff Garen.

        This is part of the webdatabase refactoring for webkit2.
        - Also changed the frontend and backend to only refer to the
          abstract interface of each other.

        No new tests.

        * GNUmakefile.list.am:
        * Modules/webdatabase/AbstractSQLStatement.h: Added.
        (AbstractSQLStatement):
        (WebCore::AbstractSQLStatement::~AbstractSQLStatement):
        * Modules/webdatabase/AbstractSQLStatementBackend.h: Added.
        (AbstractSQLStatementBackend):
        (WebCore::AbstractSQLStatementBackend::~AbstractSQLStatementBackend):
        * Modules/webdatabase/SQLStatement.cpp:
        (WebCore::SQLStatement::setBackend):
        * Modules/webdatabase/SQLStatement.h:
        (SQLStatement):
        * Modules/webdatabase/SQLStatementBackend.cpp:
        (WebCore::SQLStatementBackend::create):
        (WebCore::SQLStatementBackend::SQLStatementBackend):
        (WebCore::SQLStatementBackend::frontend):
        * Modules/webdatabase/SQLStatementBackend.h:
        (SQLStatementBackend):
        * Modules/webdatabase/SQLTransaction.cpp:
        (WebCore::SQLTransaction::deliverStatementCallback):
        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::currentStatement):
        (WebCore::SQLTransactionBackend::executeSQL):
        * Modules/webdatabase/SQLTransactionBackend.h:
        (SQLTransactionBackend):
        * Target.pri:
        * WebCore.gypi:
        * WebCore.vcproj/WebCore.vcproj:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * WebCore.xcodeproj/project.pbxproj:

2013-02-18  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX (r143230): Fix renamed header and implementation of -[WebAccessibilityObjectWrapper accessibilityPostedNotification:]
        <http://webkit.org/b/110077>

        Fixes the following build failures:

            AccessibilityObjectIOS.mm:35:9: fatal error: 'AccessibilityObjectWrapperIOS.h' file not found
            #import "AccessibilityObjectWrapperIOS.h"
                    ^
            1 error generated.

            WebAccessibilityObjectWrapperIOS.mm:2051:35: error: use of undeclared identifier 'notificationString'; did you mean 'notificationType'?
                if (AXNotificationCallback && notificationString)
                                              ^~~~~~~~~~~~~~~~~~
                                              notificationType
            WebAccessibilityObjectWrapperIOS.mm:2049:81: note: 'notificationType' declared here
            - (void)accessibilityPostedNotification:(WebCore::AXObjectCache::AXNotification)notificationType
                                                                                            ^
            WebAccessibilityObjectWrapperIOS.mm:2052:38: error: use of undeclared identifier 'notificationString'; did you mean 'notificationType'?
                    AXNotificationCallback(self, notificationString, AXPostedNotificationContext);
                                                 ^~~~~~~~~~~~~~~~~~
                                                 notificationType
            WebAccessibilityObjectWrapperIOS.mm:2049:81: note: 'notificationType' declared here
            - (void)accessibilityPostedNotification:(WebCore::AXObjectCache::AXNotification)notificationType
                                                                                            ^
            WebAccessibilityObjectWrapperIOS.mm:2052:38: error: cannot initialize a parameter of type 'NSString *' with an lvalue of type 'WebCore::AXObjectCache::AXNotification'
                    AXNotificationCallback(self, notificationString, AXPostedNotificationContext);
                                                 ^~~~~~~~~~~~~~~~~~
            WebAccessibilityObjectWrapperIOS.mm:2049:81: error: conflicting parameter types in implementation of 'accessibilityPostedNotification:': 'NSString *' vs 'WebCore::AXObjectCache::AXNotification' [-Werror,-Wmismatched-parameter-types]
            - (void)accessibilityPostedNotification:(WebCore::AXObjectCache::AXNotification)notificationType
                                                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^
            WebAccessibilityObjectWrapperBase.h:48:53: note: previous definition is here
            - (void)accessibilityPostedNotification:(NSString *)notificationName;
                                                     ~~~~~~~~~~ ^
            4 errors generated.

        * accessibility/ios/AccessibilityObjectIOS.mm: Fix name of
        included header.
        * accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:
        (-[WebAccessibilityObjectWrapper accessibilityPostedNotification:]):
        Fix implementation to match declaration.

        * accessibility/ios/WebAccessibilityObjectWrapperIOS.h:
        * accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:
        * accessibility/ios/AXObjectCacheIOS.mm:
        - Clean up #endif comments.

2013-02-18  Jer Noble  <jer.noble@apple.com>

        EME: Add a CDMPrivate implementation using AVFoundation.
        https://bugs.webkit.org/show_bug.cgi?id=109739

        Reviewed by Eric Carlson.

        Add a CDMPrivate implementation using AVFoundation, similar to the EME v1 implementation
        in MediaPlayerPrivateAVFoundationObjC. This requires passing the AVAssetResourceLoadingRequest
        from the MediaPlayerPrivateAVFoundationObjC instance to CDMSessionAVFoundation. To do so
        without adding platform-specific API to MediaPlayer, add a static map from MediaPlayer ->
        MediaPlayerPrivateAVFoundationObjC instances to be used to vend the AVAssetResourceLoadingRequest
        to CDMSessionAVFoundation.

        * Modules/encryptedmedia/CDM.cpp:
        (WebCore::installedCDMFactories): Add the factory for CDMPrivateAVFoundation.
        * Modules/encryptedmedia/CDM.h:
        * Modules/encryptedmedia/CDMPrivateAVFoundation.h: Added.
        (WebCore::CDMPrivateAVFoundation::create): Simple factory method.
        (WebCore::CDMPrivateAVFoundation::~CDMPrivateAVFoundation): Simple virtual destructor.
        (WebCore::CDMPrivateAVFoundation::cdm): Simple getter.
        (WebCore::CDMPrivateAVFoundation::CDMPrivateAVFoundation): Simple constructor.
        * Modules/encryptedmedia/CDMPrivateAVFoundation.mm: Added.
        (WebCore::CDMSessionAVFoundation::~CDMSessionAVFoundation): Simple destructor.
        (WebCore::CDMPrivateAVFoundation::supportsKeySytem): Check whether the given key system is supported.
        (WebCore::CDMPrivateAVFoundation::supportsMIMEType): Check whether the given MIME type is supported.
        (WebCore::CDMPrivateAVFoundation::createSession): Return a new CDMSessionAVFoundation.
        (WebCore::CDMSessionAVFoundation::CDMSessionAVFoundation): Simple constructor.
        (WebCore::CDMSessionAVFoundation::generateKeyRequest): Retrieve the AVAssetResourceLoadingRequest
            from the MediaPlayer, and use it to generate a key request.
        (WebCore::CDMSessionAVFoundation::releaseKeys): No-op.
        (WebCore::CDMSessionAVFoundation::update): Add the passed in key to the AVAssetResourceLoadingRequest.
        * WebCore.xcodeproj/project.pbxproj:
        * platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.h:
        * platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm:
        (WebCore::playerToPrivateMap): Lazily instantiate static map.
        (WebCore::MediaPlayerPrivateAVFoundationObjC::MediaPlayerPrivateAVFoundationObjC): Register with the playerToPrivateMap.
        (WebCore::MediaPlayerPrivateAVFoundationObjC::~MediaPlayerPrivateAVFoundationObjC): Unregister from same.
        (WebCore::MediaPlayerPrivateAVFoundationObjC::shouldWaitForLoadingOfResource): Also send keyNeeded event in ENCRYPTED_MEDIA_V2.
        (WebCore::MediaPlayerPrivateAVFoundationObjC::extractKeyURIKeyIDAndCertificateFromInitData): Convert this 
            method from file-static to class static.
        (WebCore::MediaPlayerPrivateAVFoundationObjC::takeRequestForPlayerAndKeyURI): Pull the AVAssetResourceLoadingRequest
            from m_keyURIToRequestMap and return it, if present.

2013-02-18  Philip Rogers  <pdr@google.com>

        Fix scaling of tiled SVG backgrounds on high-dpi displays
        https://bugs.webkit.org/show_bug.cgi?id=110047

        Reviewed by Dirk Schulze.

        This patch fixes the scaling of SVG when used for drawing patterns. Tiled/patterend SVG
        images are first drawn into an image buffer and then the image buffer is used to stamp
        out tiles. Because it is a raster source, the size of the image buffer needs to
        be scaled to the final resolution of the device. After scaling the image buffer, the
        source rect and pattern transforms need to be adjusted so they align in device pixel
        coordinates. This adjustment was not done before this patch, causing pixelated rendering.

        Additionally, a FIXME has been added due to webkit.org/b/110065 and the image buffer
        has been manually scaled (using "zoomedAndScaledContainerRect") instead of relying
        on the ImageBuffer's resolutionScale parameter.

        Test: svg/as-background-image/tiled-background-image.html

        * svg/graphics/SVGImage.cpp:
        (WebCore::SVGImage::drawPatternForContainer):

            Note that fixing the FIXME does not change that the source rect and transform need
            to be adjusted for page scale.

2013-02-18  David Hyatt  <hyatt@apple.com>

        Make seamless iframes paginate properly in their enclosing document's pagination context.
        https://bugs.webkit.org/show_bug.cgi?id=106125
        <rdar://problem/12922720> Text in iframe is clipped while printing

        Reviewed by Simon Fraser.

        Added new tests in fast/multicol and fast/region.

        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::clampToStartAndEndRegions):
        Don't clamp when the RenderView is the containing block of an object in a RenderFlowThread.

        * rendering/RenderObject.cpp:
        (WebCore::RenderObject::containerForRepaint):
        Don't attempt any repaint container antics when we're in a seamless iframe, since the ancestor
        document will actually do the handoff into the flow thread.

        * rendering/RenderView.cpp:
        (WebCore::enclosingSeamlessRenderer):
        Heper function to test for an enclosing seamless iframe.
        
        (WebCore::RenderView::addChild):
        Subclass addChild on RenderView to properly set the inRenderFlowThread state for a seamless
        child document so thta it will check regions.

        (WebCore::RenderView::initializeLayoutState):
        New helper method for setting up the initial layout state of a RenderView. If inside a seamless
        paginated ancestor, set up the appropriate pagination information so the child document
        knows about it. This method will expand to inherit info about line grids and exclusions eventually
        also.

        (WebCore::RenderView::layout):
        Now calls initializeLayoutState to set up the layout state.

        * rendering/RenderView.h:
        (WebCore::RenderView::pageLogicalHeight):
        (WebCore::RenderView::setPageLogicalHeight):
        (RenderView):
        Fix the type of the page logical height methods to be LayoutUnit instead of unsigned.

2013-02-18  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143145.
        http://trac.webkit.org/changeset/143145
        https://bugs.webkit.org/show_bug.cgi?id=110143

        Causes frequent crashes. (Requested by eric_carlson on
        #webkit).

        * dom/EventDispatchMediator.cpp:
        (WebCore::EventDispatchMediator::dispatchEvent):
        * dom/EventDispatcher.cpp:
        (WebCore::EventDispatcher::dispatchEvent):
        (WebCore::EventDispatcher::EventDispatcher):
        (WebCore::EventDispatcher::ensureEventPath):
        (WebCore::EventDispatcher::dispatchSimulatedClick):
        (WebCore::EventDispatcher::dispatchEventPreProcess):
        (WebCore::EventDispatcher::dispatchEventAtCapturing):
        (WebCore::EventDispatcher::dispatchEventAtTarget):
        (WebCore::EventDispatcher::dispatchEventAtBubbling):
        (WebCore::EventDispatcher::dispatchEventPostProcess):
        * dom/EventDispatcher.h:
        (EventDispatcher):
        (WebCore::EventDispatcher::node):
        (WebCore):
        * dom/FocusEvent.cpp:
        (WebCore::FocusEventDispatchMediator::dispatchEvent):
        (WebCore::BlurEventDispatchMediator::dispatchEvent):
        (WebCore::FocusInEventDispatchMediator::dispatchEvent):
        (WebCore::FocusOutEventDispatchMediator::dispatchEvent):
        * dom/GestureEvent.cpp:
        (WebCore::GestureEventDispatchMediator::dispatchEvent):
        * dom/MouseEvent.cpp:
        (WebCore::MouseEventDispatchMediator::dispatchEvent):

2013-02-18  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [Soup] Free cookies explicitly in loops instead of using GOwnPtr
        https://bugs.webkit.org/show_bug.cgi?id=110103

        Reviewed by Martin Robinson.

        Free cookies explicitly in loops instead of using GOwnPtr for this.
        Until now, the code was mixing both styles. This patch makes the
        code consistent one way. Adopting list items with GOwnPtr for the
        sole purpose to free them makes the freeing less obvious and may
        lead to mistakes if someone refactors the code and calls "break;"
        to abort loop iteration.

        No new tests, no behavior change.

        * platform/network/soup/CookieJarSoup.cpp:
        (WebCore::getRawCookies):
        (WebCore::deleteCookie):
        (WebCore::getHostnamesWithCookies):

2013-02-18  Joseph Pecoraro  <pecoraro@apple.com>

        [JSC]: ASSERT in KURL(ParsedURLStringTag) under sourceMapURLForScript
        https://bugs.webkit.org/show_bug.cgi?id=109987

        Reviewed by Pavel Feldman.

        Improved an existing test to cover this.

        * bindings/js/ScriptDebugServer.cpp:
        (WebCore::ScriptDebugServer::dispatchDidParseSource):
        Remove the sourceURL parsing and script.url replacement from the JSC
        implementation of ScriptDebugServer. The WebCore inspector code that
        this was added for already does this, at a more appropriate time.

2013-02-18  Mike West  <mkwst@chromium.org>

        compareDocumentPosition reports disconnected nodes as following each other
        https://bugs.webkit.org/show_bug.cgi?id=108274

        Reviewed by Dimitri Glazkov.

        jQuery has had to implement their own sorting mechanism in Sizzle[1] due
        to Node::compareDocumentPosition always reporting disconnected nodes
        as following each other. According to spec[2], we should instead be
        indicating that the result is (a) disconnected, (b) implementation
        specific, and (c) deterministically ordered.

        [1]: https://github.com/jquery/sizzle/commit/1c8aec91284af8d8c14447976235d5dd72b0d75e
        [2]: http://dom.spec.whatwg.org/#dom-node-comparedocumentposition

        Test: fast/dom/compare-document-position-disconnected-nodes.html

        * dom/Node.cpp:
        (WebCore::Node::compareDocumentPosition):
            After walking the parentNode chain of both Nodes, compare the root.
            If the Nodes don't share a root, they're in distinct trees, and
            should return as described above. We determine which element
            "preceeds" the other in an arbitrary fashion via pointer comparison.

2013-02-18  Andrey Adaikin  <aandrey@chromium.org>

        Web Inspector: [Canvas] fix replay log grouping by frames
        https://bugs.webkit.org/show_bug.cgi?id=110122

        Reviewed by Pavel Feldman.

        Bug: log grouping by frames did not work if a frame end call is not a draw call.
        Drive-by: Last draw call group may not contain a draw call. In this case merge it into the previous group.

        * inspector/front-end/CanvasProfileView.js:
        (WebInspector.CanvasProfileView.prototype._appendCallNode):
        (WebInspector.CanvasProfileView.prototype._maybeMergeLastDrawCallGroups):

2013-02-18  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [Soup] Superfluous HashMap check in SocketStreamHandleSoup::getHandleFromId()
        https://bugs.webkit.org/show_bug.cgi?id=110107

        Reviewed by Martin Robinson.

        Remove Superfluous HashMap::contains() call in SocketStreamHandleSoup::getHandleFromId()
        as HashMap::get() will already return 0 in this case anyway.

        No new tests, no behavior change.

        * platform/network/soup/SocketStreamHandleSoup.cpp:
        (WebCore):
        (WebCore::getHandleFromId):

2013-02-18  Zan Dobersek  <zdobersek@igalia.com>

        Stop placing std::isfinite and std::signbit inside the global scope
        https://bugs.webkit.org/show_bug.cgi?id=109817

        Reviewed by Darin Adler.

        Prefix calls to the isfinite and signbit methods with std:: as the two
        methods are no longer being imported into the global scope.

        No new tests as there's no change in functionality.

        * bindings/js/JSCanvasRenderingContext2DCustom.cpp:
        (WebCore::JSCanvasRenderingContext2D::setWebkitLineDash):
        * bindings/js/JSDOMBinding.cpp:
        (WebCore::jsDateOrNull):
        * bindings/js/JSDOMBinding.h:
        (WebCore::finiteInt32Value):
        * bindings/v8/V8Binding.h:
        (WebCore::v8DateOrNull):
        * css/CSSPrimitiveValue.cpp:
        (WebCore::CSSPrimitiveValue::CSSPrimitiveValue):
        * html/BaseDateAndTimeInputType.cpp:
        (WebCore::BaseDateAndTimeInputType::parseToNumber):
        * html/HTMLInputElement.cpp:
        (WebCore::HTMLInputElement::setValueAsNumber):
        * html/HTMLMeterElement.cpp:
        (WebCore::HTMLMeterElement::setMin):
        (WebCore::HTMLMeterElement::setMax):
        (WebCore::HTMLMeterElement::setValue):
        (WebCore::HTMLMeterElement::setLow):
        (WebCore::HTMLMeterElement::setHigh):
        (WebCore::HTMLMeterElement::setOptimum):
        * html/HTMLProgressElement.cpp:
        (WebCore::HTMLProgressElement::value):
        (WebCore::HTMLProgressElement::setValue):
        (WebCore::HTMLProgressElement::max):
        (WebCore::HTMLProgressElement::setMax):
        * html/MonthInputType.cpp:
        (WebCore::MonthInputType::valueAsDate):
        (WebCore::MonthInputType::defaultValueForStepUp):
        (WebCore::MonthInputType::parseToNumber):
        * html/NumberInputType.cpp:
        (WebCore::NumberInputType::typeMismatchFor):
        (WebCore::NumberInputType::sanitizeValue):
        (WebCore::NumberInputType::hasBadInput):
        * html/RangeInputType.cpp:
        (WebCore::RangeInputType::typeMismatchFor):
        * html/TimeInputType.cpp:
        (WebCore::TimeInputType::defaultValueForStepUp):
        * html/canvas/CanvasPathMethods.cpp:
        (WebCore::CanvasPathMethods::moveTo):
        (WebCore::CanvasPathMethods::lineTo):
        (WebCore::CanvasPathMethods::quadraticCurveTo):
        (WebCore::CanvasPathMethods::bezierCurveTo):
        (WebCore::CanvasPathMethods::arcTo):
        (WebCore::CanvasPathMethods::arc):
        (WebCore::CanvasPathMethods::rect):
        * html/canvas/CanvasRenderingContext2D.cpp:
        (WebCore::CanvasRenderingContext2D::setLineWidth):
        (WebCore::CanvasRenderingContext2D::setMiterLimit):
        (WebCore::CanvasRenderingContext2D::setShadowOffsetX):
        (WebCore::CanvasRenderingContext2D::setShadowOffsetY):
        (WebCore::CanvasRenderingContext2D::setShadowBlur):
        (WebCore::lineDashSequenceIsValid):
        (WebCore::CanvasRenderingContext2D::setLineDashOffset):
        (WebCore::CanvasRenderingContext2D::scale):
        (WebCore::CanvasRenderingContext2D::rotate):
        (WebCore::CanvasRenderingContext2D::translate):
        (WebCore::CanvasRenderingContext2D::transform):
        (WebCore::CanvasRenderingContext2D::setTransform):
        (WebCore::validateRectForCanvas):
        (WebCore::CanvasRenderingContext2D::isPointInPath):
        (WebCore::CanvasRenderingContext2D::isPointInStroke):
        (WebCore::CanvasRenderingContext2D::drawImage):
        (WebCore::CanvasRenderingContext2D::createLinearGradient):
        (WebCore::CanvasRenderingContext2D::createRadialGradient):
        (WebCore::CanvasRenderingContext2D::createImageData):
        (WebCore::CanvasRenderingContext2D::getImageData):
        (WebCore::CanvasRenderingContext2D::putImageData):
        (WebCore::CanvasRenderingContext2D::drawTextInternal):
        * html/parser/HTMLParserIdioms.cpp:
        (WebCore::parseToDoubleForNumberType):
        * html/shadow/MediaControlElements.cpp:
        (WebCore::MediaControlTimelineElement::setDuration):
        * html/shadow/MediaControls.cpp:
        (WebCore::MediaControls::reset):
        * html/shadow/MediaControlsApple.cpp:
        (WebCore::MediaControlsApple::reset):
        * html/shadow/MediaControlsBlackBerry.cpp:
        (WebCore::MediaControlFullscreenTimelineElement::setDuration):
        (WebCore::MediaControlsBlackBerry::reset):
        * inspector/InspectorValues.cpp:
        (WebCore::InspectorBasicValue::writeJSON):
        * loader/cache/CachedResource.cpp:
        (WebCore::CachedResource::currentAge):
        (WebCore::CachedResource::freshnessLifetime):
        * page/DOMWindow.cpp:
        (WebCore::DOMWindow::adjustWindowRect):
        * platform/DateComponents.cpp:
        (WebCore::DateComponents::setMillisecondsSinceEpochForDate):
        (WebCore::DateComponents::setMillisecondsSinceEpochForDateTime):
        (WebCore::DateComponents::setMillisecondsSinceEpochForMonth):
        (WebCore::DateComponents::setMillisecondsSinceMidnight):
        (WebCore::DateComponents::setMonthsSinceEpoch):
        (WebCore::DateComponents::setMillisecondsSinceEpochForWeek):
        * platform/Decimal.cpp:
        (WebCore::Decimal::fromDouble):
        * platform/FileSystem.h:
        (WebCore::isValidFileTime):
        * platform/LocalizedStrings.cpp:
        (WebCore::localizedMediaTimeDescription):
        * platform/graphics/cairo/CairoUtilities.cpp:
        (WebCore::drawPatternToCairoContext):
        * platform/graphics/cairo/PathCairo.cpp:
        (WebCore::Path::addArc):
        (WebCore::Path::contains):
        * platform/graphics/cg/PathCG.cpp:
        (WebCore::Path::addArc):
        * platform/graphics/gstreamer/FullscreenVideoControllerGStreamer.cpp:
        (WebCore::FullscreenVideoControllerGStreamer::timeToString):
        * platform/graphics/openvg/PathOpenVG.cpp:
        (WebCore::Path::addArc):
        * platform/graphics/skia/SkiaUtils.h:
        (WebCore::WebCoreFloatToSkScalar):
        (WebCore::WebCoreDoubleToSkScalar):
        * platform/graphics/win/MediaPlayerPrivateQuickTimeVisualContext.cpp:
        (WebCore::MediaPlayerPrivateQuickTimeVisualContext::maxTimeSeekable):
        * platform/gtk/LocalizedStringsGtk.cpp:
        (WebCore::localizedMediaTimeDescription):
        * platform/mac/WebVideoFullscreenHUDWindowController.mm:
        (timeToString):
        * platform/network/ResourceResponseBase.cpp:
        (WebCore::parseDateValueInHeader):
        * platform/qt/LocalizedStringsQt.cpp:
        (WebCore::localizedMediaTimeDescription):
        * rendering/RenderFlexibleBox.cpp:
        (WebCore::RenderFlexibleBox::resolveFlexibleLengths):
        * rendering/RenderMediaControlsChromium.cpp:
        (WebCore::formatChromiumMediaControlsTime):
        * rendering/RenderTheme.cpp:
        (WebCore::RenderTheme::formatMediaControlsTime):
        * rendering/style/RenderStyle.cpp:
        (WebCore::RenderStyle::setFontSize):
        * svg/SVGPathParser.cpp:
        (WebCore::SVGPathParser::decomposeArcToCubic):
        * xml/XPathFunctions.cpp:
        (WebCore::XPath::FunRound::round):
        * xml/XPathValue.cpp:
        (WebCore::XPath::Value::toString):

2013-02-18  Chris Fleizach  <cfleizach@apple.com>

        AX: Make iOS wrapper use the WebAccessibilityObjectBase wrapper
        https://bugs.webkit.org/show_bug.cgi?id=110077

        Reviewed by David Kilzer.

        Make the iOS wrapper a subclass of the shared wrapper so that iOS can re-use code from the Mac.
        Rename the iOS file to reflect the class name.

        * WebCore.xcodeproj/project.pbxproj:
        * accessibility/ios/AXObjectCacheIOS.mm:
        (WebCore::AXObjectCache::attachWrapper):
        (WebCore::AXObjectCache::postPlatformNotification):
        * accessibility/ios/AccessibilityObjectWrapperIOS.h: Removed.
        * accessibility/ios/AccessibilityObjectWrapperIOS.mm: Removed.
        * accessibility/ios/WebAccessibilityObjectWrapperIOS.h: Copied from Source/WebCore/accessibility/ios/AccessibilityObjectWrapperIOS.h.
        * accessibility/ios/WebAccessibilityObjectWrapperIOS.mm: Copied from Source/WebCore/accessibility/ios/AccessibilityObjectWrapperIOS.mm.
        (-[WebAccessibilityObjectWrapper initWithAccessibilityObject:]):
        (-[WebAccessibilityObjectWrapper attachmentView]):
        (-[WebAccessibilityObjectWrapper accessibilityPostedNotification:WebCore::AXObjectCache::]):

2013-02-18  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143210.
        http://trac.webkit.org/changeset/143210
        https://bugs.webkit.org/show_bug.cgi?id=110128

        Still causing some test timeouts (Requested by anttik on
        #webkit).

        * platform/SharedTimer.h:
        (SharedTimer):
        (WebCore):
        (WebCore::MainThreadSharedTimer::stop):
        * platform/ThreadTimers.cpp:
        (WebCore::ThreadTimers::fireTimersInNestedEventLoop):
        * platform/mac/SharedTimerMac.mm:
        (WebCore):
        (WebCore::PowerObserver::restartSharedTimer):
        (WebCore::setSharedTimerFireInterval):
        (WebCore::stopSharedTimer):

2013-02-18  Vladislav Kaznacheev  <kaznacheev@chromium.org>

        Web Inspector: Disable hiding the debugger when it is below the source code
        https://bugs.webkit.org/show_bug.cgi?id=110106

        Reviewed by Pavel Feldman.

        When the "Split horizontally" option is checked in the Sources panel the button responsible for the sidebar
        visibility is hidden and the sidebar is force-shown. Also set the "Split sidebar" option default to true.

        No new tests.

        * inspector/front-end/ScriptsPanel.js:
        (WebInspector.ScriptsPanel):
        * inspector/front-end/scriptsPanel.css:
        (.split-view-horizontal #scripts-debug-sidebar-resizer-widget):

2013-02-18  Bear Travis  <betravis@adobe.com>

        [CSS Exclusions] Support outside-shape layout for shape-inside property
        https://bugs.webkit.org/show_bug.cgi?id=102571

        Reviewed by David Hyatt.

        A shape-inside value of 'outside-shape' should resolve to the value of
        the shape-outside property for layout. This patch introduces a helper
        method to resolve shape-inside in RenderStyle, and replaces calls to
        RenderStyle::shapeInside() when the resolved (layout) value should be
        used.

        Test: fast/exclusions/shape-inside/shape-inside-outside-shape.html

        * rendering/ExclusionShapeInfo.cpp:
        (WebCore::::computedShape): Use the resolved shape-inside getter.
        * rendering/ExclusionShapeInsideInfo.h:
        (WebCore::ExclusionShapeInsideInfo::isEnabledFor): Ditto.
        (WebCore::ExclusionShapeInsideInfo::ExclusionShapeInsideInfo): Ditto.
        * rendering/RenderBlock.cpp:
        (WebCore::RenderBlock::styleDidChange): Ditto.
        (WebCore::RenderBlock::exclusionShapeInsideInfo): Ditto.
        * rendering/style/RenderStyle.h: Add the resolved shape inside getter.

2013-02-18  Pavel Feldman  <pfeldman@chromium.org>

        Web Inspector: hide vertical-sidebar-split in dock-to-right mode behind single experimental flag.
        https://bugs.webkit.org/show_bug.cgi?id=110119

        Reviewed by Vsevolod Vlasov.

        Removed context menus, made it toggle automatically upon dock orientation change.

        * inspector/front-end/DockController.js:
        (WebInspector.DockController.prototype._toggleDockState):
        * inspector/front-end/ElementsPanel.js:
        (WebInspector.ElementsPanel):
        (WebInspector.ElementsPanel.prototype._sidebarContextMenuEventFired):
        (WebInspector.ElementsPanel.prototype._dockSideChanged):
        (WebInspector.ElementsPanel.prototype._setVerticalSplit):
        * inspector/front-end/ScriptsPanel.js:
        (WebInspector.ScriptsPanel):
        (WebInspector.ScriptsPanel.prototype._appendUISourceCodeItems):
        (WebInspector.ScriptsPanel.prototype._dockSideChanged):
        * inspector/front-end/Settings.js:
        (WebInspector.ExperimentsSettings):
        * inspector/front-end/inspector.css:
        * inspector/front-end/scriptsPanel.css:
        (#scripts-sidebar-stack-pane):
        (div.sidebar-pane-stack#scripts-debug-sidebar-contents):
        * inspector/front-end/tabbedPane.css:
        (.tabbed-pane):

2013-02-18  ChangSeok Oh  <shivamidow@gmail.com>

        [GTK] Fix nits for configuration
        https://bugs.webkit.org/show_bug.cgi?id=110083

        Reviewed by Martin Robinson.

        Remove trailing white space. It has caused annoying warning while configuration.

        No new tests since no funtionality change.

        * GNUmakefile.list.am:

2013-02-18  Kondapally Kalyan  <kalyan.kondapally@intel.com>

        [WebGL][EFL] Refactor GraphicsContext3DPrivate to add support for SharedContext.
        https://bugs.webkit.org/show_bug.cgi?id=109988

        Reviewed by Kenneth Rohde Christiansen.

        Covered by existing WebGL tests.

        This patch refactors PlatformContext and GraphicsContext3DPrivate to
        add support for Shared Context. This would help share GL resources
        between transport surface and offscreen surface without having to worry
        about the context state. So far, we used the same drawable as transport
        surface and offscreen surface. After this patch we use pixmap surface as
        offscreen surface and use shared context to render texture content to
        transport surface. This would also align as to how shared surface is implemented
        on EFL and Qt ports.

        * platform/graphics/efl/GraphicsContext3DEfl.cpp:
        (WebCore::GraphicsContext3D::GraphicsContext3D):
        * platform/graphics/efl/GraphicsContext3DPrivate.cpp:
        (WebCore::GraphicsContext3DPrivate::GraphicsContext3DPrivate):
        (WebCore):
        (WebCore::GraphicsContext3DPrivate::initialize):
        (WebCore::GraphicsContext3DPrivate::makeSharedContextCurrent):
        (WebCore::GraphicsContext3DPrivate::copyToGraphicsSurface):
        * platform/graphics/efl/GraphicsContext3DPrivate.h:
        (GraphicsContext3DPrivate):
        * platform/graphics/opengl/GLPlatformContext.cpp:
        (WebCore::GLPlatformContext::initialize):
        * platform/graphics/opengl/GLPlatformContext.h:
        Needed changes to take shared context into use.

        * platform/graphics/opengl/GLPlatformSurface.cpp:
        (WebCore::GLPlatformSurface::createOffScreenSurface):
        (WebCore::GLPlatformSurface::updateContents):
        * platform/graphics/opengl/GLPlatformSurface.h:
        (GLPlatformSurface):
        * platform/graphics/surfaces/glx/GLXConfigSelector.h:
        (WebCore::GLXConfigSelector::GLXConfigSelector):
        (WebCore::GLXConfigSelector::visualInfo):
        (WebCore::GLXConfigSelector::pixmapContextConfig):
        (GLXConfigSelector):
        (WebCore::GLXConfigSelector::reset):
        * platform/graphics/surfaces/glx/GLXContext.cpp:
        Added support to query configiration supporting
        pixmap surface.

        (WebCore::GLXOffScreenContext::initialize):
        * platform/graphics/surfaces/glx/GLXContext.h:
        (GLXOffScreenContext):
        * platform/graphics/surfaces/glx/GLXSurface.cpp:
        (WebCore::GLXTransportSurface::GLXTransportSurface):
        (WebCore::GLXTransportSurface::swapBuffers):
        (WebCore::GLXOffScreenSurface::GLXOffScreenSurface):
        (WebCore::GLXOffScreenSurface::~GLXOffScreenSurface):
        (WebCore::GLXOffScreenSurface::initialize):
        (WebCore::GLXOffScreenSurface::configuration):
        (WebCore::GLXOffScreenSurface::destroy):
        (WebCore::GLXOffScreenSurface::freeResources):
        (WebCore::GLXOffScreenSurface::setGeometry):
        Renamed GLXPBuffer surface as GLXOffScreenSurface.

        * platform/graphics/surfaces/glx/GLXSurface.h:
        (GLXTransportSurface):
        (GLXOffScreenSurface):
        * platform/graphics/surfaces/glx/GraphicsSurfaceGLX.cpp:
        (WebCore::GraphicsSurfacePrivate::createSurface):
        * platform/graphics/surfaces/glx/X11Helper.cpp:
        (WebCore::X11Helper::createPixmap):
        (WebCore):
        (WebCore::X11Helper::destroyPixmap):
        (WebCore::X11Helper::createOffScreenWindow):
        * platform/graphics/surfaces/glx/X11Helper.h:
        (X11Helper):
        Added functions to create and destroy pixmap.

2013-02-18  Ilya Tikhonovsky  <loislo@chromium.org>

        Web Inspector: Native Memory Instrumentation: Generate meta information for HeapSnapshot parser.
        https://bugs.webkit.org/show_bug.cgi?id=110104

        Reviewed by Yury Semikhatsky.

        The format of Native heap snapshot is slightly different so it should provide its own meta information.


        * inspector/HeapGraphSerializer.cpp:
        (WebCore::HeapGraphSerializer::HeapGraphSerializer):
        (WebCore::HeapGraphSerializer::finish):
        (WebCore::HeapGraphSerializer::reportMemoryUsage):
        (WebCore::HeapGraphSerializer::registerTypeString):
        (WebCore):
        * inspector/HeapGraphSerializer.h:
        (HeapGraphSerializer):
        * inspector/Inspector.json:
        * inspector/InspectorMemoryAgent.cpp:
        (WebCore::InspectorMemoryAgent::getProcessMemoryDistribution):
        (WebCore::InspectorMemoryAgent::getProcessMemoryDistributionImpl):
        * inspector/InspectorMemoryAgent.h:
        (InspectorMemoryAgent):
        * inspector/front-end/HeapSnapshot.js:
        (WebInspector.HeapSnapshot.prototype._buildPostOrderIndex):
        * inspector/front-end/NativeHeapSnapshot.js:
        (WebInspector.NativeHeapSnapshot):

2013-02-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Force single header includes in GObject DOM bindings
        https://bugs.webkit.org/show_bug.cgi?id=104676

        Reviewed by Xan Lopez.

        Only including <webkitdom/webkitdom.h> should be allowed from
        apps.

        * bindings/scripts/CodeGeneratorGObject.pm:
        (GenerateHeader):
        * bindings/scripts/gobject-generate-headers.pl:
        * bindings/scripts/test/GObject/WebKitDOMFloat64Array.h:
        * bindings/scripts/test/GObject/WebKitDOMTestActiveDOMObject.h:
        * bindings/scripts/test/GObject/WebKitDOMTestCallback.h:
        * bindings/scripts/test/GObject/WebKitDOMTestCustomNamedGetter.h:
        * bindings/scripts/test/GObject/WebKitDOMTestEventConstructor.h:
        * bindings/scripts/test/GObject/WebKitDOMTestEventTarget.h:
        * bindings/scripts/test/GObject/WebKitDOMTestException.h:
        * bindings/scripts/test/GObject/WebKitDOMTestInterface.h:
        * bindings/scripts/test/GObject/WebKitDOMTestMediaQueryListListener.h:
        * bindings/scripts/test/GObject/WebKitDOMTestNamedConstructor.h:
        * bindings/scripts/test/GObject/WebKitDOMTestNode.h:
        * bindings/scripts/test/GObject/WebKitDOMTestObj.h:
        * bindings/scripts/test/GObject/WebKitDOMTestOverloadedConstructors.h:
        * bindings/scripts/test/GObject/WebKitDOMTestSerializedScriptValueInterface.h:

2013-02-16  Antti Koivisto  <antti@apple.com>

        Reschedule shared CFRunLoopTimer instead of reconstructing it
        https://bugs.webkit.org/show_bug.cgi?id=109765

        Reviewed by Andreas Kling.

        Using CFRunLoopTimerSetNextFireDate is over 2x faster than deleting and reconstructing timers.

        * platform/SharedTimer.h:
        (WebCore::SharedTimer::willEnterNestedEventLoop):
        (WebCore):
        (MainThreadSharedTimer):
        (WebCore::MainThreadSharedTimer::willEnterNestedEventLoop):
        * platform/ThreadTimers.cpp:
        (WebCore::ThreadTimers::fireTimersInNestedEventLoop):
        * platform/mac/SharedTimerMac.mm:
        (WebCore):
        (WebCore::PowerObserver::clearSharedTimer):
        (WebCore::ensurePowerObserver):
        (WebCore::sharedTimer):
        (WebCore::reinsertSharedTimer):
        
            Before entering nested runloop (used for inspector debugger mostly) reconstruct and reinsert the timer. For some reason
            the timer doesn't fire otherwise.

        (WebCore::setSharedTimerFireInterval):
        (WebCore::stopSharedTimer):

2013-02-18  Alexander Pavlov  <apavlov@chromium.org>

        Web Inspector: [Resources] Only remember the tree element selection if explicitly made by user
        https://bugs.webkit.org/show_bug.cgi?id=110105

        Reviewed by Pavel Feldman.

        This change instructs the Resources panel to remember the selected tree element only if it has been
        selected by the user (not automatically, like selecting a parent when its child is removed).
        All onselect() overrides pass the selectedByUser argument value
        to BaseStorageTreeElement.prototype.onselect.
        Drive-by: Use === comparisons everywhere.

        * inspector/front-end/ResourcesPanel.js:
        (WebInspector.ResourcesPanel.prototype._reset): Do not detach [immutable] category views.
        (WebInspector.BaseStorageTreeElement.prototype.onselect): Remember itemURL on user gesture only.
        (WebInspector.StorageCategoryTreeElement.prototype.onselect):
        (WebInspector.FrameTreeElement.prototype.onselect):
        (WebInspector.FrameResourceTreeElement.prototype.onselect):
        (WebInspector.DatabaseTreeElement.prototype.onselect):
        (WebInspector.DatabaseTableTreeElement.prototype.onselect):
        (WebInspector.IDBDatabaseTreeElement.prototype.onselect):
        (WebInspector.IDBObjectStoreTreeElement.prototype.onselect):
        (WebInspector.IDBIndexTreeElement.prototype.onselect):
        (WebInspector.DOMStorageTreeElement):
        (WebInspector.DOMStorageTreeElement.prototype.onselect):
        (WebInspector.CookieTreeElement.prototype.onselect):
        (WebInspector.ApplicationCacheManifestTreeElement.prototype.onselect):
        (WebInspector.ApplicationCacheFrameTreeElement.prototype.onselect):
        (WebInspector.FileSystemTreeElement.prototype.onselect):
        (WebInspector.FileSystemTreeElement.prototype.clear):
        (WebInspector.ResourcesSearchController.prototype.nextSearchResult):

2013-02-18  Vladislav Kaznacheev  <kaznacheev@chromium.org>

        Web Inspector: Color picker should not be available in Computed Styles pane
        https://bugs.webkit.org/show_bug.cgi?id=109697

        Reviewed by Pavel Feldman.

        Refactored PropertiesSection and TreeElement inheritors in StylesSidebarPane.js for cleaner separation
        of read-only and editable properties.

        * inspector/front-end/StylesSidebarPane.js:
        (WebInspector.StylePropertiesSection.prototype.onpopulate):
        (WebInspector.StylePropertiesSection.prototype.addNewBlankProperty):
        (WebInspector.ComputedStylePropertiesSection):
        (WebInspector.ComputedStylePropertiesSection.prototype.onpopulate):
        (WebInspector.BlankStylePropertiesSection):
        (WebInspector.StylePropertyTreeElementBase):
        (WebInspector.StylePropertyTreeElementBase.prototype.node):
        (WebInspector.StylePropertyTreeElementBase.prototype.editablePane):
        (WebInspector.StylePropertyTreeElementBase.prototype.onattach):
        (WebInspector.StylePropertyTreeElementBase.prototype.updateTitle.linkifyURL):
        (WebInspector.StylePropertyTreeElementBase.prototype.updateTitle.):
        (WebInspector.StylePropertyTreeElementBase.prototype):
        (.event):
        (.isRevert):

2013-02-18  Andrey Adaikin  <aandrey@chromium.org>

        Web Inspector: [Canvas] group replay log calls by frames
        https://bugs.webkit.org/show_bug.cgi?id=110101

        Reviewed by Pavel Feldman.

        Group canvas replay log by frames, then by draw calls.

        * inspector/InjectedScriptCanvasModuleSource.js:
        (.):
        * inspector/Inspector.json:
        * inspector/front-end/CanvasProfileView.js:
        (WebInspector.CanvasProfileView):
        (WebInspector.CanvasProfileView.prototype.dispose):
        (WebInspector.CanvasProfileView.prototype._appendCallNode):
        (WebInspector.CanvasProfileView.prototype._appendDrawCallGroup):

2013-02-18  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [Soup] CookieJarSoup::deleteCookie() should stop looking for the cookie after it is removed
        https://bugs.webkit.org/show_bug.cgi?id=110100

        Reviewed by Kenneth Rohde Christiansen.

        CookieJarSoup::deleteCookie() retrieves the list of cookies that apply to a given URL, then
        iterates through the cookies to find the one with the right name and delete it. However, the
        current implementation keeps on comparing cookie names after the cookie was removed. This
        patch introduces a "wasDeleted" boolean to stop comparing cookie names after the cookie was
        deleted. Note that we cannot break as soon as the cookie is found as we need to keep iterating
        so that the cookies get freed by GOwnPtr.

        No new tests, no behavior change.

        * platform/network/soup/CookieJarSoup.cpp:
        (WebCore::deleteCookie):

2013-02-18  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Create separate project for each domain for UISourceCode based on browser resources.
        https://bugs.webkit.org/show_bug.cgi?id=109691

        Reviewed by Pavel Feldman.

        Separate project of certain type is now created for each domain.
        UISourceCode path represents a path in the project now.
        UISourceCode uri is now calculated based on project id and path.
        It is also possible to calculate path based on projectId and URI, which is used for uiSourceCodeForURI() methods.

        * inspector/front-end/FileSystemProjectDelegate.js:
        (WebInspector.FileSystemProjectDelegate.prototype._filePathForPath):
        (WebInspector.FileSystemProjectDelegate.prototype.setFileContent):
        (WebInspector.FileSystemProjectDelegate.prototype._populate.filesLoaded):
        (WebInspector.FileSystemProjectDelegate.prototype._populate):
        (WebInspector.FileSystemProjectDelegate.prototype._removeFile):
        * inspector/front-end/ScriptSnippetModel.js:
        (WebInspector.ScriptSnippetModel.prototype._addScriptSnippet):
        * inspector/front-end/SimpleWorkspaceProvider.js:
        (WebInspector.SimpleProjectDelegate):
        (WebInspector.SimpleProjectDelegate.projectId):
        (WebInspector.SimpleProjectDelegate.prototype.id):
        (WebInspector.SimpleProjectDelegate.prototype.displayName):
        (WebInspector.SimpleProjectDelegate.prototype.addFile):
        (WebInspector.SimpleWorkspaceProvider):
        (WebInspector.SimpleWorkspaceProvider.splitURL):
        (WebInspector.SimpleWorkspaceProvider._pathForSplittedURL):
        (WebInspector.SimpleWorkspaceProvider.uriForURL):
        (WebInspector.SimpleWorkspaceProvider.prototype._projectDelegate):
        (WebInspector.SimpleWorkspaceProvider.prototype._innerAddFileForURL):
        (WebInspector.SimpleWorkspaceProvider.prototype.addFileByName):
        (WebInspector.SimpleWorkspaceProvider.prototype._innerAddFile):
        (WebInspector.SimpleWorkspaceProvider.prototype.removeFileByName):
        (WebInspector.SimpleWorkspaceProvider.prototype.reset):
        * inspector/front-end/UISourceCode.js:
        (WebInspector.UISourceCode.uri):
        (WebInspector.UISourceCode.path):
        (WebInspector.UISourceCode.prototype.uri):
        * inspector/front-end/Workspace.js:
        (WebInspector.Project.prototype._fileAdded):
        (WebInspector.Project.prototype._fileRemoved):
        (WebInspector.Project.prototype.uiSourceCodeForURI):

2013-02-18  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [EFL] Rebaseline failure media tests after r142947
        https://bugs.webkit.org/show_bug.cgi?id=109904

        Reviewed by Kenneth Rohde Christiansen.

        * css/mediaControlsEfl.css: Align time text vertically.
        (audio::-webkit-media-controls-current-time-display, video::-webkit-media-controls-current-time-display):

2013-02-18  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Extract FileSystemUtils from FileSystemProjectDelegate as IsolatedFileSystem class.
        https://bugs.webkit.org/show_bug.cgi?id=110086

        Reviewed by Pavel Feldman.

        Extracted IsolatedFileSystem class that could be mocked for tests now.
        Renamed IsolatedFileSystemModel to IsolatedFileSystemManager.

        * WebCore.gypi:
        * WebCore.vcproj/WebCore.vcproj:
        * inspector/compile-front-end.py:
        * inspector/front-end/FileSystemProjectDelegate.js:
        (WebInspector.FileSystemProjectDelegate):
        (WebInspector.FileSystemProjectDelegate.prototype.id):
        (WebInspector.FileSystemProjectDelegate.prototype.displayName):
        (WebInspector.FileSystemProjectDelegate.prototype.setFileContent):
        (WebInspector.FileSystemProjectDelegate.prototype._populate.filesLoaded):
        (WebInspector.FileSystemProjectDelegate.prototype._populate):
        * inspector/front-end/IsolatedFileSystem.js: Added.
        (WebInspector.IsolatedFileSystem):
        (WebInspector.IsolatedFileSystem.errorMessage):
        (WebInspector.IsolatedFileSystem.prototype.id):
        (WebInspector.IsolatedFileSystem.prototype.path):
        (WebInspector.IsolatedFileSystem.prototype._requestFileSystem):
        (WebInspector.IsolatedFileSystem.prototype.fileSystemLoaded):
        (WebInspector.IsolatedFileSystem.prototype.innerCallback):
        (WebInspector.IsolatedFileSystem.prototype.requestFilesRecursive):
        (WebInspector.IsolatedFileSystem.prototype.fileEntryLoaded):
        (WebInspector.IsolatedFileSystem.prototype.fileLoaded):
        (WebInspector.IsolatedFileSystem.prototype.readerLoadEnd):
        (WebInspector.IsolatedFileSystem.prototype.errorHandler):
        (WebInspector.IsolatedFileSystem.prototype.requestFileContent):
        (WebInspector.IsolatedFileSystem.prototype.fileWriterCreated.fileTruncated):
        (WebInspector.IsolatedFileSystem.prototype.fileWriterCreated):
        (WebInspector.IsolatedFileSystem.prototype.writerEnd):
        (WebInspector.IsolatedFileSystem.prototype.setFileContent):
        (WebInspector.IsolatedFileSystem.prototype.):
        (WebInspector.IsolatedFileSystem.prototype.toArray):
        (WebInspector.IsolatedFileSystem.prototype._readDirectory):
        (WebInspector.IsolatedFileSystem.prototype._requestEntries):
        * inspector/front-end/IsolatedFileSystemManager.js: Renamed from Source/WebCore/inspector/front-end/IsolatedFileSystemModel.js.
        (WebInspector.IsolatedFileSystemManager):
        (WebInspector.IsolatedFileSystemManager.prototype.mapping):
        (WebInspector.IsolatedFileSystemManager.prototype.supportsFileSystems):
        (WebInspector.IsolatedFileSystemManager.prototype._requestFileSystems):
        (WebInspector.IsolatedFileSystemManager.prototype.addFileSystem):
        (WebInspector.IsolatedFileSystemManager.prototype.removeFileSystem):
        (WebInspector.IsolatedFileSystemManager.prototype._fileSystemsLoaded):
        (WebInspector.IsolatedFileSystemManager.prototype._innerAddFileSystem):
        (WebInspector.IsolatedFileSystemManager.prototype._fileSystemPaths):
        (WebInspector.IsolatedFileSystemManager.prototype._processPendingFileSystemRequests):
        (WebInspector.IsolatedFileSystemManager.prototype._fileSystemAdded):
        (WebInspector.IsolatedFileSystemManager.prototype._fileSystemRemoved):
        (WebInspector.IsolatedFileSystemManager.prototype._isolatedFileSystem):
        (WebInspector.IsolatedFileSystemManager.prototype.requestDOMFileSystem):
        (WebInspector.IsolatedFileSystemDispatcher):
        (WebInspector.IsolatedFileSystemDispatcher.prototype.fileSystemsLoaded):
        (WebInspector.IsolatedFileSystemDispatcher.prototype.fileSystemRemoved):
        (WebInspector.IsolatedFileSystemDispatcher.prototype.fileSystemAdded):
        * inspector/front-end/SettingsScreen.js:
        (WebInspector.WorkspaceSettingsTab.prototype._createFileSystemsEditor):
        (WebInspector.WorkspaceSettingsTab.prototype._addFileSystemRow.removeFileSystemClicked):
        (WebInspector.WorkspaceSettingsTab.prototype._addFileSystemClicked):
        * inspector/front-end/WebKit.qrc:
        * inspector/front-end/inspector.html:
        * inspector/front-end/inspector.js:

2013-02-18  Huang Dongsung  <luxtella@company100.net>

        [EFL][WK2] compositing/layer-creation/fixed-position-out-of-view-scaled.html is flaky
        https://bugs.webkit.org/show_bug.cgi?id=110059

        Reviewed by Kenneth Rohde Christiansen.

        Remove the ASSERT check in TextureMapperLayer. This assertion seems
        valid because CoordinatedGraphicsScene::adjustPositionForFixedLayers() calls
        TextureMapperLayer::setScrollPositionDeltaIfNeeded() when the graphics
        layer is a fixed position layer. However, the assertion can be failed
        because it is possible that TextureMapperLayer is a non-fixed position
        layer when the graphics layer that holds the TextureMapperLayer is a
        fixed position layer. When CoordinatedGraphicsScene flushes,
        TextureMapperLayer becomes a fixed position layer.

        No new tests. No change in behavior.

        * platform/graphics/texmap/TextureMapperLayer.cpp:
        (WebCore::TextureMapperLayer::setScrollPositionDeltaIfNeeded):

2013-02-18  Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        [WK2][EFL] Unified text checker implementation
        https://bugs.webkit.org/show_bug.cgi?id=107682

        Reviewed by Anders Carlsson.

        No new tests, covered by editing/spelling tests.

        * platform/text/TextChecking.h:
        (WebCore):
        Enabling unified text checker feature for WebKit-EFL.

2013-02-18  Nico Weber  <thakis@chromium.org>

        [chromium/clang] Remove -Wno-return-type-c-linkage
        https://bugs.webkit.org/show_bug.cgi?id=110098

        Reviewed by Jochen Eisinger.

        The one instance where this triggered was removed in
        http://trac.webkit.org/changeset/141184 . A clang that has this
        warning landed in chromium r182694, so it should be safe to turn
        the warning on now.

        * WebCore.gyp/WebCore.gyp:

2013-02-18  Pavel Feldman  <pfeldman@chromium.org>

        Web Inspector: provide basic console.table implementation (no [,columns] support)
        https://bugs.webkit.org/show_bug.cgi?id=109453

        Reviewed by Vsevolod Vlasov.

        Test: inspector/console/console-format-table.html

        Using console preview infrastructure to support console.table.

        * English.lproj/localizedStrings.js:
        * inspector/ConsoleAPITypes.h:
        * inspector/ConsoleMessage.cpp:
        (WebCore::messageTypeValue):
        (WebCore::ConsoleMessage::addToFrontend):
        * inspector/InjectedScript.cpp:
        (WebCore::InjectedScript::wrapObject):
        (WebCore):
        (WebCore::InjectedScript::wrapTable):
        * inspector/InjectedScript.h:
        (InjectedScript):
        * inspector/InjectedScriptSource.js:
        (.):
        * inspector/Inspector.json:
        * inspector/InspectorDOMAgent.cpp:
        (WebCore::InspectorDOMAgent::buildObjectForEventListener):
        * inspector/front-end/ConsoleMessage.js:
        (WebInspector.ConsoleMessageImpl):
        (WebInspector.ConsoleMessageImpl.prototype.willHide):
        (WebInspector.ConsoleMessageImpl.prototype._format):
        (WebInspector.ConsoleMessageImpl.prototype._appendObjectPreview):
        (WebInspector.ConsoleMessageImpl.prototype._renderPropertyPreview):
        (WebInspector.ConsoleMessageImpl.prototype._formatParameterAsTable):
        * inspector/front-end/ConsoleModel.js:
        * inspector/front-end/ConsoleView.js:
        (WebInspector.ConsoleView.prototype._appendConsoleMessage):
        (WebInspector.ConsoleView.prototype._consoleCleared):
        (WebInspector.ConsoleView.prototype._updateMessageList):
        (WebInspector.ConsoleCommand.prototype.wasShown):
        (WebInspector.ConsoleCommand.prototype.willHide):
        (WebInspector.ConsoleGroup.prototype.addMessage):
        * inspector/front-end/DataGrid.js:
        (.sortDataGrid.comparator):
        (.sortDataGrid):
        (WebInspector.DataGrid.createSortableDataGrid):
        (WebInspector.DataGrid.prototype.renderInline):
        * inspector/front-end/DatabaseQueryView.js:
        (WebInspector.DatabaseQueryView.prototype._queryFinished):
        * inspector/front-end/dataGrid.css:
        (.data-grid.inline):
        (.data-grid.inline td.corner):
        * inspector/front-end/resourcesPanel.css:
        (.storage-view > .data-grid):
        * page/Console.cpp:
        (WebCore::Console::table):
        (WebCore):
        * page/Console.h:
        (Console):
        * page/Console.idl:

2013-02-18  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: JavaScriptSourceFrame should inherit UISourceCodeFrame
        https://bugs.webkit.org/show_bug.cgi?id=110091

        Reviewed by Pavel Feldman.

        Removed duplicated code from JavaScriptSourceFrame and made it inherit UISourceCodeFrame.

        * inspector/front-end/JavaScriptSourceFrame.js:
        (WebInspector.JavaScriptSourceFrame):
        (WebInspector.JavaScriptSourceFrame.prototype.onUISourceCodeContentChanged):
        (WebInspector.JavaScriptSourceFrame.prototype.populateTextAreaContextMenu):
        * inspector/front-end/ScriptsPanel.js:
        * inspector/front-end/UISourceCodeFrame.js:
        (WebInspector.UISourceCodeFrame.prototype.canEditSource):
        (WebInspector.UISourceCodeFrame.prototype.onTextChanged):
        (WebInspector.UISourceCodeFrame.prototype._onFormattedChanged):
        (WebInspector.UISourceCodeFrame.prototype.onUISourceCodeContentChanged):
        (WebInspector.UISourceCodeFrame.prototype._innerSetContent):

2013-02-18  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Remove unused _files field in FileSystemProjectDelegate
        https://bugs.webkit.org/show_bug.cgi?id=110082

        Reviewed by Pavel Feldman.

        * inspector/front-end/FileSystemProjectDelegate.js:
        (WebInspector.FileSystemProjectDelegate):
        (WebInspector.FileSystemProjectDelegate.prototype._addFile):
        (WebInspector.FileSystemProjectDelegate.prototype._removeFile):

2013-02-18  Pavel Feldman  <pfeldman@chromium.org>

        Web Inspector: allow 0 as a formatted parameter in console message.
        https://bugs.webkit.org/show_bug.cgi?id=110096

        Reviewed by Vsevolod Vlasov.

        * inspector/front-end/ConsoleMessage.js:
        (WebInspector.ConsoleMessageImpl.prototype.append):
        (WebInspector.ConsoleMessageImpl.prototype._formatWithSubstitutionString):

2013-02-18  Ilya Tikhonovsky  <loislo@chromium.org>

        Unreviewed speculative fix for Chromium Mac.

        * WebCore.gypi:

2013-02-13  Ilya Tikhonovsky  <loislo@chromium.org>

        Web Inspector: Native Memory Instrumentation: reportLeaf method doesn't report the leaf node properly.
        https://bugs.webkit.org/show_bug.cgi?id=109554

        In some cases leaves have no pointer so with the old schema we can't generate nodeId for them because we
        can't insert 0 into hashmap. It happens when we call addPrivateBuffer method.

        Drive by fix: I introduced a client interface for the HeapGraphSerializer.
        It helps me to do the tests for the serializer.

        Reviewed by Yury Semikhatsky.

        It is covered by newly added tests in TestWebKitAPI.

        * inspector/HeapGraphSerializer.cpp:
        (WebCore::HeapGraphSerializer::HeapGraphSerializer):
        (WebCore::HeapGraphSerializer::pushUpdate):
        (WebCore::HeapGraphSerializer::reportNode):
        (WebCore::HeapGraphSerializer::toNodeId):
        (WebCore::HeapGraphSerializer::addRootNode):
        * inspector/HeapGraphSerializer.h:
        (HeapGraphSerializer):
        (Client):
        (WebCore::HeapGraphSerializer::Client::~Client):
        * inspector/InspectorMemoryAgent.cpp:
        (WebCore):
        (WebCore::InspectorMemoryAgent::getProcessMemoryDistributionImpl):

2013-02-18  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143100.
        http://trac.webkit.org/changeset/143100
        https://bugs.webkit.org/show_bug.cgi?id=110088

        Breaks file system support in workspace. (Requested by vsevik
        on #webkit).

        * inspector/front-end/ScriptSnippetModel.js:
        (WebInspector.ScriptSnippetModel.prototype._addScriptSnippet):
        * inspector/front-end/SimpleWorkspaceProvider.js:
        (WebInspector.SimpleProjectDelegate):
        (WebInspector.SimpleProjectDelegate.prototype.id):
        (WebInspector.SimpleProjectDelegate.prototype.displayName):
        (WebInspector.SimpleProjectDelegate.prototype.addFile):
        (WebInspector.SimpleWorkspaceProvider):
        (WebInspector.SimpleWorkspaceProvider.uriForURL):
        (WebInspector.SimpleWorkspaceProvider.prototype._innerAddFileForURL):
        (WebInspector.SimpleWorkspaceProvider.prototype.removeFile):
        (WebInspector.SimpleWorkspaceProvider.prototype.reset):
        * inspector/front-end/UISourceCode.js:
        (WebInspector.UISourceCode.prototype.uri):
        * inspector/front-end/Workspace.js:
        (WebInspector.Project.prototype._fileAdded):
        (WebInspector.Project.prototype._fileRemoved):
        (WebInspector.Project.prototype.uiSourceCodeForURI):
        (WebInspector.Workspace.prototype.projectForUISourceCode):

2013-02-15  Eugene Klyuchnikov  <eustas@chromium.org>

        Web Inspector: Introduce ProfilesPanelDescriptor.
        https://bugs.webkit.org/show_bug.cgi?id=109906

        Reviewed by Pavel Feldman.

        Some constants/methods should be accesible before ProfilesPanel
        is instantiated.

        Extracted methods to check if profile is "user-initiated" and what is
        its index.

        Also profile URL regexp moved to ProfilesPanelDescriptor.

        * inspector/front-end/ProfilesPanelDescriptor.js: Added.
        * WebCore.gypi: Added ProfilesPanelDescriptor.js
        * WebCore.vcproj/WebCore.vcproj: Ditto.
        * inspector/compile-front-end.py: Ditto.
        * inspector/front-end/WebKit.qrc: Ditto.
        * inspector/front-end/inspector.html: Ditto.
        * inspector/front-end/HeapSnapshotView.js: Adopted changes.
        * inspector/front-end/ProfilesPanel.js: Ditto.
        * inspector/front-end/externs.js: Ditto.
        * inspector/front-end/inspector.js: Ditto.

2013-02-17  Dimitri Glazkov  <dglazkov@chromium.org>

        Stop passing around SelectorChecker in SelectorQuery, now that it's stack-allocated.
        https://bugs.webkit.org/show_bug.cgi?id=110038

        Reviewed by Andreas Kling.

        No functional changes, covered by existing tests.

        * dom/SelectorQuery.cpp:
        (WebCore::SelectorDataList::matches): Moved instantiation of SelectorChecker in here.
        (WebCore::SelectorDataList::queryAll): Got rid of unneeded SelectorChecker arg.
        (WebCore::SelectorDataList::queryFirst): Ditto.
        (WebCore::SelectorDataList::execute): Moved instantiation of SelectorChecker in here.
        (WebCore::SelectorQuery::matches): Removed instantiation of SelectorChecker here.
        (WebCore::SelectorQuery::queryAll): Ditto.
        (WebCore::SelectorQuery::queryFirst): Ditto.
        * dom/SelectorQuery.h:
        (WebCore): Tweaked headers to make SelectorChecker just an implementation detail.
        (SelectorDataList): Tweaked decls to remove SelectorChecker args.

2013-02-17  Dimitri Glazkov  <dglazkov@chromium.org>

        Stop passing around SelectorChecker in ContentSelectorQuery.
        https://bugs.webkit.org/show_bug.cgi?id=110041

        Now that SelectorChecker has no interesting state, we can simplify ContentSelectorQuery and get rid of a class.

        Reviewed by Andreas Kling.

        No functional changes, covered by existing tests.

        * html/shadow/ContentSelectorQuery.cpp:
        (WebCore::ContentSelectorDataList::checkContentSelector): Zapped ContentSelectorChecker and moved its only remaining method here.
        (WebCore::ContentSelectorDataList::matches): Removed SelectorChecker argument.
        (WebCore::ContentSelectorQuery::ContentSelectorQuery): Removed an unnecessary member.
        (WebCore::ContentSelectorQuery::matches): Removed unnecessary argument.
        * html/shadow/ContentSelectorQuery.h:
        (WebCore): Cleaned up the file.
        (ContentSelectorDataList): Updated decls.
        (ContentSelectorQuery): Ditto.

2013-02-17  Mike West  <mkwst@chromium.org>

        WheelEvent should not target text nodes.
        https://bugs.webkit.org/show_bug.cgi?id=109939

        Reviewed by Darin Adler.

        WheelEvent, like other mouse events, should not target text nodes.
        EventHandler correctly handles other mouse events by retargeting
        events to text nodes' parents; this patch adds that logic to the
        WheelEvent handler.

        This should allow jQuery to stop working around WebKit's behavior[1].

        [1]: https://github.com/jquery/jquery/commit/c61150427fc8ccc8e884df8f221a6c9bb5477929

        Test: fast/events/wheelevent-in-text-node.html

        * page/EventHandler.cpp:
        (WebCore::EventHandler::handleWheelEvent):
            If a WheelEvent's hit test lands on a text node, retarget the
            event to the text node's parent. Do this before latching the node.

2013-02-17  Filip Pizlo  <fpizlo@apple.com>

        Move all Structure out-of-line inline methods to StructureInlines.h
        https://bugs.webkit.org/show_bug.cgi?id=110024

        Rubber stamped by Sam Weinig.

        No new tests because no new behavior. Just rewiring includes.

        * ForwardingHeaders/parser/SourceProviderCache.h: Added.
        * loader/cache/CachedScript.cpp:

2013-02-17  Hayato Ito  <hayato@chromium.org>

        Make EventDispatcher take an Event object in its constructor.
        https://bugs.webkit.org/show_bug.cgi?id=109898

        Reviewed by Dimitri Glazkov.

        That makes EventDispatcher more RAII-like so that we can calculate
        an EventPath in its constructor.  I'll remove
        EventDispatcher::ensureEventPath() in a following patch.

        No tests. No change in behavior.

        * dom/EventDispatchMediator.cpp:
        (WebCore::EventDispatchMediator::dispatchEvent):
        * dom/EventDispatcher.cpp:
        (WebCore::EventDispatcher::dispatchEvent):
        (WebCore::EventDispatcher::EventDispatcher):
        (WebCore::EventDispatcher::ensureEventPath):
        (WebCore::EventDispatcher::dispatchSimulatedClick):
        (WebCore::EventDispatcher::dispatch):
        (WebCore::EventDispatcher::dispatchEventPreProcess):
        (WebCore::EventDispatcher::dispatchEventAtCapturing):
        (WebCore::EventDispatcher::dispatchEventAtTarget):
        (WebCore::EventDispatcher::dispatchEventAtBubbling):
        (WebCore::EventDispatcher::dispatchEventPostProcess):
        * dom/EventDispatcher.h:
        (EventDispatcher):
        (WebCore::EventDispatcher::node):
        (WebCore::EventDispatcher::event):
        * dom/FocusEvent.cpp:
        (WebCore::FocusEventDispatchMediator::dispatchEvent):
        (WebCore::BlurEventDispatchMediator::dispatchEvent):
        (WebCore::FocusInEventDispatchMediator::dispatchEvent):
        (WebCore::FocusOutEventDispatchMediator::dispatchEvent):
        * dom/GestureEvent.cpp:
        (WebCore::GestureEventDispatchMediator::dispatchEvent):
        * dom/MouseEvent.cpp:
        (WebCore::MouseEventDispatchMediator::dispatchEvent):

2013-02-17  Philip Rogers  <pdr@google.com>

        Fix non-root SVG viewport under zoom
        https://bugs.webkit.org/show_bug.cgi?id=99453

        Reviewed by Dirk Schulze.

        The root SVG element handles zoom differently than other SVG nodes because it needs
        to translate between CSS (where zoom is applied to all units) and SVG (where zoom is only
        applied at the top level). A good description of this difference can be found here:
        http://trac.webkit.org/browser/trunk/Source/WebCore/css/StyleResolver.cpp?rev=142855#L2598

        SVG elements can appear as children in the SVG tree as well, and in this mode
        SVGSVGElement should not consider the current zoom level. This patch fixes a bug
        where non-root viewport calculations were removing zoom.

        Test: svg/custom/symbol-zoom.html

        * svg/SVGSVGElement.cpp:
        (WebCore::SVGSVGElement::currentViewportSize):
            This change removes the unnecessary zoom calculation for non-root nodes. This is similar
            to how zoom is handled elsewhere, e.g., SVGSVGElement::localCoordinateSpaceTransform.

2013-02-17  Chris Fleizach  <cfleizach@apple.com>

        AX: Upstream iOS Accessibility files
        https://bugs.webkit.org/show_bug.cgi?id=110071

        Reviewed by David Kilzer.

        Upstream the iOS Accessibility files for WebCore. 

        * WebCore.xcodeproj/project.pbxproj:
        * accessibility/ios: Added.
        * accessibility/ios/AXObjectCacheIOS.mm: Added.
        (WebCore):
        (WebCore::AXObjectCache::detachWrapper):
        (WebCore::AXObjectCache::attachWrapper):
        (WebCore::AXObjectCache::postPlatformNotification):
        (WebCore::AXObjectCache::nodeTextChangePlatformNotification):
        (WebCore::AXObjectCache::frameLoadingEventPlatformNotification):
        (WebCore::AXObjectCache::handleFocusedUIElementChanged):
        (WebCore::AXObjectCache::handleScrolledToAnchor):
        * accessibility/ios/AccessibilityObjectIOS.mm: Added.
        (-[WAKView accessibilityIsIgnored]):
        (WebCore):
        (WebCore::AccessibilityObject::detachFromParent):
        (WebCore::AccessibilityObject::overrideAttachmentParent):
        (WebCore::AccessibilityObject::accessibilityPasswordFieldLength):
        (WebCore::AccessibilityObject::accessibilityIgnoreAttachment):
        (WebCore::AccessibilityObject::accessibilityPlatformIncludesObject):
        * accessibility/ios/AccessibilityObjectWrapperIOS.h: Added.
        (WAKView):
        * accessibility/ios/AccessibilityObjectWrapperIOS.mm: Added.
        (AccessibilityUnignoredAncestor):
        (-[WebAccessibilityTextMarker initWithTextMarker:cache:]):
        (-[WebAccessibilityTextMarker initWithData:cache:]):
        (-[WebAccessibilityTextMarker initWithData:accessibilityObject:]):
        (+[WebAccessibilityTextMarker textMarkerWithVisiblePosition:cache:]):
        (-[WebAccessibilityTextMarker dataRepresentation]):
        (-[WebAccessibilityTextMarker visiblePosition]):
        (-[WebAccessibilityTextMarker description]):
        (-[WebAccessibilityObjectWrapper initWithAccessibilityObject:]):
        (-[WebAccessibilityObjectWrapper detach]):
        (-[WebAccessibilityObjectWrapper dealloc]):
        (-[WebAccessibilityObjectWrapper _prepareAccessibilityCall]):
        (-[WebAccessibilityObjectWrapper accessibilityObject]):
        (-[WebAccessibilityObjectWrapper accessibilityCanFuzzyHitTest]):
        (-[WebAccessibilityObjectWrapper accessibilityPostProcessHitTest:]):
        (-[WebAccessibilityObjectWrapper accessibilityHitTest:]):
        (-[WebAccessibilityObjectWrapper accessibilityElementCount]):
        (-[WebAccessibilityObjectWrapper accessibilityElementAtIndex:]):
        (-[WebAccessibilityObjectWrapper indexOfAccessibilityElement:]):
        (-[WebAccessibilityObjectWrapper accessibilityLanguage]):
        (-[WebAccessibilityObjectWrapper _accessibilityIsLandmarkRole:]):
        (-[WebAccessibilityObjectWrapper _accessibilityListAncestor]):
        (-[WebAccessibilityObjectWrapper _accessibilityLandmarkAncestor]):
        (-[WebAccessibilityObjectWrapper _accessibilityTableAncestor]):
        (-[WebAccessibilityObjectWrapper _accessibilityTraitsFromAncestors]):
        (-[WebAccessibilityObjectWrapper accessibilityTraits]):
        (-[WebAccessibilityObjectWrapper determineIsAccessibilityElement]):
        (-[WebAccessibilityObjectWrapper isAccessibilityElement]):
        (-[WebAccessibilityObjectWrapper stringValueShouldBeUsedInLabel]):
        (-[WebAccessibilityObjectWrapper accessibilityLabel]):
        (-[WebAccessibilityObjectWrapper tableCellParent]):
        (-[WebAccessibilityObjectWrapper tableParent]):
        (-[WebAccessibilityObjectWrapper accessibilityTitleElement]):
        (-[WebAccessibilityObjectWrapper accessibilityHeaderElements]):
        (-[WebAccessibilityObjectWrapper accessibilityElementForRow:andColumn:]):
        (-[WebAccessibilityObjectWrapper accessibilityRowRange]):
        (-[WebAccessibilityObjectWrapper accessibilityColumnRange]):
        (-[WebAccessibilityObjectWrapper accessibilityPlaceholderValue]):
        (-[WebAccessibilityObjectWrapper accessibilityValue]):
        (-[WebAccessibilityObjectWrapper accessibilityIsComboBox]):
        (-[WebAccessibilityObjectWrapper accessibilityHint]):
        (-[WebAccessibilityObjectWrapper accessibilityURL]):
        (-[WebAccessibilityObjectWrapper _convertIntRectToScreenCoordinates:]):
        (-[WebAccessibilityObjectWrapper accessibilityElementRect]):
        (-[WebAccessibilityObjectWrapper accessibilityActivationPoint]):
        (-[WebAccessibilityObjectWrapper accessibilityFrame]):
        (-[WebAccessibilityObjectWrapper containsUnnaturallySegmentedChildren]):
        (-[WebAccessibilityObjectWrapper accessibilityContainer]):
        (-[WebAccessibilityObjectWrapper accessibilityFocusedUIElement]):
        (-[WebAccessibilityObjectWrapper _accessibilityWebDocumentView]):
        (-[WebAccessibilityObjectWrapper _accessibilityNextElementsWithCount:]):
        (-[WebAccessibilityObjectWrapper _accessibilityPreviousElementsWithCount:]):
        (-[WebAccessibilityObjectWrapper accessibilityRequired]):
        (-[WebAccessibilityObjectWrapper accessibilityFlowToElements]):
        (-[WebAccessibilityObjectWrapper accessibilityLinkedElement]):
        (-[WebAccessibilityObjectWrapper isAttachment]):
        (-[WebAccessibilityObjectWrapper _accessibilityActivate]):
        (-[WebAccessibilityObjectWrapper attachmentView]):
        (rendererForView):
        (-[WebAccessibilityObjectWrapper _accessibilityParentForSubview:]):
        (-[WebAccessibilityObjectWrapper postFocusChangeNotification]):
        (-[WebAccessibilityObjectWrapper postSelectedTextChangeNotification]):
        (-[WebAccessibilityObjectWrapper postLayoutChangeNotification]):
        (-[WebAccessibilityObjectWrapper postLiveRegionChangeNotification]):
        (-[WebAccessibilityObjectWrapper postLoadCompleteNotification]):
        (-[WebAccessibilityObjectWrapper postChildrenChangedNotification]):
        (-[WebAccessibilityObjectWrapper postInvalidStatusChangedNotification]):
        (-[WebAccessibilityObjectWrapper accessibilityElementDidBecomeFocused]):
        (-[WebAccessibilityObjectWrapper accessibilityModifySelection:increase:]):
        (-[WebAccessibilityObjectWrapper accessibilityIncreaseSelection:]):
        (-[WebAccessibilityObjectWrapper accessibilityDecreaseSelection:]):
        (-[WebAccessibilityObjectWrapper accessibilityMoveSelectionToMarker:]):
        (-[WebAccessibilityObjectWrapper accessibilityIncrement]):
        (-[WebAccessibilityObjectWrapper accessibilityDecrement]):
        (-[WebAccessibilityObjectWrapper _addAccessibilityObject:toTextMarkerArray:]):
        (-[WebAccessibilityObjectWrapper stringForTextMarkers:]):
        (blockquoteLevel):
        (AXAttributeStringSetBlockquoteLevel):
        (AXAttributeStringSetHeadingLevel):
        (AXAttributeStringSetFont):
        (AXAttributeStringSetNumber):
        (AXAttributeStringSetStyle):
        (AXAttributedStringAppendText):
        (-[WebAccessibilityObjectWrapper arrayOfTextForTextMarkers:attributed:]):
        (-[WebAccessibilityObjectWrapper _convertToNSRange:]):
        (-[WebAccessibilityObjectWrapper _convertToDOMRange:]):
        (-[WebAccessibilityObjectWrapper positionForTextMarker:]):
        (-[WebAccessibilityObjectWrapper textMarkerRange]):
        (-[WebAccessibilityObjectWrapper elementTextRange]):
        (-[WebAccessibilityObjectWrapper accessibilityObjectForTextMarker:]):
        (-[WebAccessibilityObjectWrapper textMarkerRangeForSelection]):
        (-[WebAccessibilityObjectWrapper textMarkerForPosition:]):
        (-[WebAccessibilityObjectWrapper _stringForRange:attributed:]):
        (-[WebAccessibilityObjectWrapper stringForRange:]):
        (-[WebAccessibilityObjectWrapper attributedStringForRange:]):
        (-[WebAccessibilityObjectWrapper elementsForRange:]):
        (-[WebAccessibilityObjectWrapper selectionRangeString]):
        (-[WebAccessibilityObjectWrapper selectedTextMarker]):
        (-[WebAccessibilityObjectWrapper lineEndMarkerForMarker:]):
        (-[WebAccessibilityObjectWrapper lineStartMarkerForMarker:]):
        (-[WebAccessibilityObjectWrapper nextMarkerForMarker:]):
        (-[WebAccessibilityObjectWrapper previousMarkerForMarker:]):
        (-[WebAccessibilityObjectWrapper frameForTextMarkers:]):
        (-[WebAccessibilityObjectWrapper textMarkerForPoint:]):
        (-[WebAccessibilityObjectWrapper accessibilityIdentifier]):
        (-[WebAccessibilityObjectWrapper accessibilitySpeechHint]):
        (-[WebAccessibilityObjectWrapper accessibilityARIAIsBusy]):
        (-[WebAccessibilityObjectWrapper accessibilityARIALiveRegionStatus]):
        (-[WebAccessibilityObjectWrapper accessibilityARIARelevantStatus]):
        (-[WebAccessibilityObjectWrapper accessibilityARIALiveRegionIsAtomic]):
        (-[WebAccessibilityObjectWrapper accessibilityInvalidStatus]):
        (-[WebAccessibilityObjectWrapper accessibilityMathRootIndexObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathRadicandObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathNumeratorObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathDenominatorObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathBaseObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathSubscriptObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathSuperscriptObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathUnderObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathOverObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathFencedOpenString]):
        (-[WebAccessibilityObjectWrapper accessibilityMathFencedCloseString]):
        (-[WebAccessibilityObjectWrapper accessibilityIsMathTopObject]):
        (-[WebAccessibilityObjectWrapper accessibilityMathType]):
        (-[WebAccessibilityObjectWrapper accessibilitySetPostedNotificationCallback:withContext:]):
        (-[WebAccessibilityObjectWrapper accessibilityPostedNotification:WebCore::AXObjectCache::]):
        (-[WebAccessibilityObjectWrapper description]):

2013-02-17  Chris Fleizach  <cfleizach@apple.com>

        AX: rename WebAccessibilityObjectWrapper to WebAccessibilityObjectWrapperBase
        https://bugs.webkit.org/show_bug.cgi?id=110061

        Reviewed by David Kilzer.

        Rename the base accessibility wrapper class so that the iOS class can share the same name.

        * WebCore.xcodeproj/project.pbxproj:
        * accessibility/mac/AXObjectCacheMac.mm:
        (WebCore::AXObjectCache::attachWrapper):
        * accessibility/mac/WebAccessibilityObjectWrapper.h: Replaced with Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapperMac.h.
        * accessibility/mac/WebAccessibilityObjectWrapper.mm: Replaced with Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapperMac.mm.
        * accessibility/mac/WebAccessibilityObjectWrapperBase.h: Copied from Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapper.h.
        * accessibility/mac/WebAccessibilityObjectWrapperBase.mm: Copied from Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapper.mm.
        * accessibility/mac/WebAccessibilityObjectWrapperMac.h: Removed.
        * accessibility/mac/WebAccessibilityObjectWrapperMac.mm: Removed.

2013-02-17  Andreas Kling  <akling@apple.com>

        REGRESSION(r143125): ~5% performance hit on Chromium's intl2 page cycler.
        <http://webkit.org/b/108835>

        Reviewed by Ojan Vafai.

        Streamline the case where GlyphPage has a per-glyph SimpleFontData* lookup table to allow
        taking earlier branches on pages with lots of mixed-font text.
        We accomplish this by explicitly storing a null SimpleFontData* for glyph #0 in the per-glyph
        lookup table instead of relying on "if (!glyph)" checks in getters.

        This is a speculative optimization, I can't get stable enough numbers locally to tell if this
        will resolve the issue on the bots.

        * platform/graphics/GlyphPage.h:
        (WebCore::GlyphPage::glyphDataForIndex):
        (WebCore::GlyphPage::fontDataForCharacter):
        (WebCore::GlyphPage::setGlyphDataForIndex):

2013-02-17  Chris Fleizach  <cfleizach@apple.com>

        WebSpeech: plumb through a method to generate fake speech jobs for testing
        https://bugs.webkit.org/show_bug.cgi?id=107351

        Reviewed by Adam Barth.

        We can't reliably use the platforms synthesizer to test speech synthesis internals.
        This patch adds an Internals method to enable a mock synthesizer, which is inherits
        from the PlatformSpeechSythesizer.

        The fake synthesizer goes through all the motions of a real synthesizer but doesn't do anything.
        A bunch of changes were needed here to make PlatformSpeechSynthesizer subclassable so that the
        right virtual are used.

        The Mock synthesizer only lives in WebCoreTestSupport. Because PlatformSpeechSynthesizer uses
        a RetainPtr, I needed to make WebCoreTestSupport link CoreFoundation

2013-02-17  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Unreviewed buildfix for !USE(LIBXML) builds after r143112.

        * xml/parser/XMLDocumentParserQt.cpp:
        (WebCore::XMLDocumentParser::XMLDocumentParser):

2013-02-17  Andreas Kling  <akling@apple.com>

        Optimize GlyphPage for case where all glyphs are available in the same font.
        <http://webkit.org/b/108835>
        <rdar://problem/13157042>

        Reviewed by Antti Koivisto.

        Let GlyphPage begin optimistically assuming that all its glyphs will be represented in
        the same SimpleFontData*. In this (very common) case, only keep a single SimpleFontData*.

        If glyphs from multiple fonts are mixed in one page, an array of per-glyph SimpleFontData*
        is allocated transparently.

        This was landed before with some bogus branch prediction hints and didn't fare well on
        page cyclers (intl2 specifically.) These have been removed this time around, and will
        hopefully be regression-free.

        4.98 MB progression on Membuster3.

        * platform/graphics/GlyphPageTreeNode.cpp:
        (WebCore::GlyphPageTreeNode::initializePage):
        * platform/graphics/GlyphPage.h:
        (WebCore::GlyphPage::createUninitialized):
        (WebCore::GlyphPage::createZeroedSystemFallbackPage):
        (WebCore::GlyphPage::createCopiedSystemFallbackPage):

            There are now three ways of constructing a GlyphPage, two of them are only used for
            creating system fallback pages.

        (WebCore::GlyphPage::setGlyphDataForIndex):

            Hold off creating a SimpleFontData* array until we're sure there are two different
            SimpleFontData* backing the glyphs in this page.
            We don't store font data for glyph #0, instead we let the getters always return null for it.

        (WebCore::GlyphPage::~GlyphPage):

            Free the SimpleFontData* array if needed.

        (WebCore::GlyphPage::glyphDataForCharacter):
        (WebCore::GlyphPage::glyphDataForIndex):
        (WebCore::GlyphPage::fontDataForCharacter):

            The font data for glyph #0 is always a null pointer now.

        (WebCore::GlyphPage::clearForFontData):

            Updated for new storage format.

        * rendering/svg/SVGTextRunRenderingContext.cpp:
        (WebCore::SVGTextRunRenderingContext::glyphDataForCharacter):

            Fix bug where non-zero glyph was temporarily associated with null font data,
            which triggered the new assertion in setGlyphDataForIndex().

2013-02-16  Andreas Kling  <akling@apple.com>

        Remove multi-threading gunk from WebKit2's PluginInfoStore.
        <http://webkit.org/b/110046>

        Reviewed by Alexey Proskuryakov.

        Remove now-unused code for making deep (isolated) copies of WebCore plugin structures.

        * plugins/PluginData.h:
        (MimeClassInfo):
        (PluginInfo):

2013-02-16  Alexey Proskuryakov  <ap@apple.com>

        Identifier generated twice in FrameLoader::loadResourceSynchronously()
        https://bugs.webkit.org/show_bug.cgi?id=110022

        Reviewed by Darin Adler.

        * loader/FrameLoader.cpp: (WebCore::FrameLoader::loadResourceSynchronously):
        Fix an apparent refactoring mistake.

2013-02-16  Andreas Kling  <akling@apple.com>

        [JSC] Remove custom mark function for NamedNodeMap.
        <http://webkit.org/b/110029>

        Reviewed by Darin Adler.

        NamedNodeMap refs and unrefs its Element owner, so there's no need for the wrapper to keep the Element alive.

        Covered by fast/dom/Attr/access-after-element-destruction.html

        * bindings/js/JSNamedNodeMapCustom.cpp:
        * dom/NamedNodeMap.idl:

2013-02-16  Peter Nelson  <peter@peterdn.com>

        REGRESSION(r143076): Crash when calling removeNamedItem or removeNamedItemNS with a non-existent attribute of newly created element.
        <http://webkit.org/b/110019>

        Reviewed by Andreas Kling.

        Now checks Element::hasAttributes() before calling Element::getAttributeItemIndex().

        Test: http/tests/misc/acid3.html

        * dom/NamedNodeMap.cpp:
        (WebCore::NamedNodeMap::removeNamedItem):
        (WebCore::NamedNodeMap::removeNamedItemNS):

2013-02-16  Andreas Kling  <akling@apple.com>

        Element: Devirtualize attribute synchronization functions.
        <http://webkit.org/b/110033>

        Reviewed by Darin Adler.

        Devirtualize the functions that perform re-serialization of lazy attributes and give
        them "synchronize"-style names:

            - SVGElement::synchronizeAnimatedSVGAttribute()
            - StyledElement::synchronizeStyleAttributeInternal()

        * dom/Element.cpp:
        (WebCore::Element::synchronizeAllAttributes):
        (WebCore::Element::synchronizeAttribute):
        * dom/Element.h:
        * dom/StyledElement.cpp:
        (WebCore::StyledElement::synchronizeStyleAttribute):
        * dom/StyledElement.h:
        (StyledElement):
        * rendering/svg/RenderSVGResourceGradient.cpp:
        (WebCore::RenderSVGResourceGradient::applyResource):
        * rendering/svg/RenderSVGResourcePattern.cpp:
        (WebCore::RenderSVGResourcePattern::buildPattern):
        * svg/SVGElement.cpp:
        (WebCore::SVGElement::synchronizeAnimatedSVGAttribute):
        * svg/SVGElement.h:
        (SVGElement):

2013-02-16  Andreas Kling  <akling@apple.com>

        Element: Avoid unrelated attribute synchronization on other attribute access.
        <http://webkit.org/b/110025>

        Reviewed by Darin Adler.

        We've been extremely trigger happy with re-serializing the style attribute (and SVG animatables)
        whenever any Element attribute API was used. This patch narrows this down to (almost always)
        only synchronizing an attribute when someone specifically wants to read/update it.

        Also removed two more confusing ElementData accessors:

            - Element::elementDataWithSynchronizedAttributes()
            - Element::ensureElementDataWithSynchronizedAttributes()

        * dom/Element.h:
        * dom/Element.cpp:
        (WebCore::Element::hasAttributes):
        (WebCore::Element::hasEquivalentAttributes):
        (WebCore::Element::cloneAttributesFromElement):
        (WebCore::Element::synchronizeAllAttributes):

            Renamed updateInvalidAttributes() to synchronizeAllAttributes().
            This function should only be used when we need every single attribute to be up-to-date.

        (WebCore::Element::synchronizeAttribute):

            Broke out logic for synchronizing a specific attribute, given either a full QualifiedName
            or a localName.

        (WebCore::Element::setSynchronizedLazyAttribute):

            Don't call ensureUniqueElementData() indisciminately here. This avoids converting the attribute
            storage when re-serializing the inline style yields the same CSS text that was already in the
            style attribute.

        (WebCore::Element::hasAttribute):
        (WebCore::Element::hasAttributeNS):
        (WebCore::Element::getAttribute):
        (WebCore::Element::getAttributeNode):
        (WebCore::Element::getAttributeNodeNS):
        (WebCore::Element::setAttribute):
        (WebCore::Element::setAttributeNode):
        (WebCore::Element::removeAttributeNode):

            Only synchronize the attribute in question.

        * dom/Node.cpp:
        (WebCore::Node::compareDocumentPosition):

            Call synchronizeAllAttributes() when comparing two Attr nodes on the same Element instead
            of relying on the side-effects of another function doing this.

2013-02-16  Seokju Kwon  <seokju.kwon@gmail.com>

        Fix build warnings after r139853
        https://bugs.webkit.org/show_bug.cgi?id=109929

        Reviewed by Alexey Proskuryakov.

        Use UNUSED_PARAM macro to fix build warning -Wunused-parameter
        when INSPECTOR is disabled.

        No new tests, no behavior change.

        * inspector/InspectorInstrumentation.h:
        (WebCore::InspectorInstrumentation::frameStartedLoading):
        (WebCore::InspectorInstrumentation::frameStoppedLoading):
        (WebCore::InspectorInstrumentation::frameScheduledNavigation):
        (WebCore::InspectorInstrumentation::frameClearedScheduledNavigation):

2013-02-16  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r142734.
        http://trac.webkit.org/changeset/142734
        https://bugs.webkit.org/show_bug.cgi?id=110018

        "Triggered crashes on lots of websites" (Requested by ggaren
        on #webkit).

        * bindings/js/JSLocationCustom.cpp:
        (WebCore::JSLocation::getOwnPropertySlotDelegate):

2013-02-16  Robert Hogan  <robert@webkit.org>

        percentage top value of position:relative element not calculated using parent's min-height unless height set
        https://bugs.webkit.org/show_bug.cgi?id=14762

        Reviewed by Julien Chaffraix.

        Percentage height "is calculated with respect to the height of the generated box's containing block" says  
        http://www.w3.org/TR/CSS21/visudet.html#the-height-property and "If the height of the containing block is not 
        specified explicitly (i.e., it depends on content height), and this element is not absolutely positioned, the
        value computes to 'auto'." So when calculating the used height of a replaced element do not crawl through ancestor 
        blocks except when traversing anonymous blocks. Ensure that anonymous table cells are not skipped through though.

        http://www.w3.org/TR/CSS21/tables.html#height-layout adds "In CSS 2.1, the height of a cell box is the minimum 
        height required by the content." This height is decided by allowing table cells to report their height as auto.
        It's not clear why http://trac.webkit.org/changeset/91242 decided it should no longer do this - doing so caused
        us to regress in our rendering of computed-image-width-with-percent-height-inside-table-cell-and-fixed-ancestor.html.

        Tests: fast/block/percent-top-parent-respects-min-height.html
               fast/replaced/computed-image-width-with-percent-height-and-fixed-ancestor-vertical-lr.html
               fast/replaced/computed-image-width-with-percent-height-and-fixed-ancestor.html
               fast/replaced/computed-image-width-with-percent-height-inside-table-cell-and-fixed-ancestor-vertical-lr.html
               fast/replaced/computed-image-width-with-percent-height-inside-table-cell-and-fixed-ancestor.html

        * rendering/RenderBoxModelObject.cpp:
        (WebCore::RenderBoxModelObject::hasAutoHeightOrContainingBlockWithAutoHeight):
        (WebCore):
        (WebCore::RenderBoxModelObject::relativePositionOffset):
        * rendering/RenderBoxModelObject.h:
        (RenderBoxModelObject):
        * rendering/RenderReplaced.cpp:
        (WebCore::RenderReplaced::hasReplacedLogicalHeight):

2013-02-16  Stephen White  <senorblanco@chromium.org>

        [skia] FEOffset should have a Skia implementation.
        https://bugs.webkit.org/show_bug.cgi?id=109831

        Reviewed by James Robinson.

        Covered by css3/filters/effect-reference.html and -hw.html.

        * WebCore.gypi:
        * platform/graphics/filters/FEOffset.h:  Implement createImageFilter()
        for the Skia path.
        * platform/graphics/filters/skia/FEOffsetSkia.cpp: Added.
        (WebCore::FEOffset::createImageFilter):
        Instantiate an SkOffsetImageFilter when building the Skia DAG.

2013-02-16  Vsevolod Vlasov  <vsevik@chromium.org>

        Web Inspector: Create separate project for each domain for UISourceCode based on browser resources.
        https://bugs.webkit.org/show_bug.cgi?id=109691

        Reviewed by Pavel Feldman.

        Separate project of certain type is now created for each domain.
        UISourceCode path represents a path in the project now.
        UISourceCode uri is now calculated based on project id and path.
        It is also possible to calculate path based on projectId and URI, which is used for uiSourceCodeForURI() methods.

        * inspector/front-end/ScriptSnippetModel.js:
        (WebInspector.ScriptSnippetModel.prototype._addScriptSnippet):
        * inspector/front-end/SimpleWorkspaceProvider.js:
        (WebInspector.SimpleProjectDelegate):
        (WebInspector.SimpleProjectDelegate.projectId):
        (WebInspector.SimpleProjectDelegate.prototype.id):
        (WebInspector.SimpleProjectDelegate.prototype.displayName):
        (WebInspector.SimpleProjectDelegate.prototype.addFile):
        (WebInspector.SimpleWorkspaceProvider):
        (WebInspector.SimpleWorkspaceProvider.splitURL):
        (WebInspector.SimpleWorkspaceProvider._pathForSplittedURL):
        (WebInspector.SimpleWorkspaceProvider.uriForURL):
        (WebInspector.SimpleWorkspaceProvider.prototype._projectDelegate):
        (WebInspector.SimpleWorkspaceProvider.prototype._innerAddFileForURL):
        (WebInspector.SimpleWorkspaceProvider.prototype.addFileByName):
        (WebInspector.SimpleWorkspaceProvider.prototype._innerAddFile):
        (WebInspector.SimpleWorkspaceProvider.prototype.removeFileByName):
        (WebInspector.SimpleWorkspaceProvider.prototype.reset):
        * inspector/front-end/UISourceCode.js:
        (WebInspector.UISourceCode.uri):
        (WebInspector.UISourceCode.path):
        (WebInspector.UISourceCode.prototype.uri):
        * inspector/front-end/Workspace.js:
        (WebInspector.Project.prototype._fileAdded):
        (WebInspector.Project.prototype._fileRemoved):
        (WebInspector.Project.prototype.uiSourceCodeForURI):

2013-02-15  Chris Fleizach  <cfleizach@apple.com>

        AX: Split WebAccessibilityObjectWrapper so code can be shared with iOS
        https://bugs.webkit.org/show_bug.cgi?id=109849

        Reviewed by David Kilzer.

        Split up the WebAccessibilityObjectWrapper so that iOS can share more 
        code with MacOS. I imagine over time, more code will move into this base class,
        but for now this will be a good start.

        A base class called WebAccessibilityObjectWrapper now exists, and Mac has a subclass
        of that. iOS will be able to do the same.

        * WebCore.xcodeproj/project.pbxproj:
        * accessibility/mac/AXObjectCacheMac.mm:
        (WebCore::AXObjectCache::attachWrapper):
        * accessibility/mac/WebAccessibilityObjectWrapper.h:
        * accessibility/mac/WebAccessibilityObjectWrapper.mm:
        (-[WebAccessibilityObjectWrapper detach]):
        (-[WebAccessibilityObjectWrapper attachmentView]):
        (-[WebAccessibilityObjectWrapper accessibilityObject]):
        (-[WebAccessibilityObjectWrapper accessibilityPostedNotification:]):
        (-[WebAccessibilityObjectWrapper titleTagShouldBeUsedInDescriptionField]):
        (-[WebAccessibilityObjectWrapper accessibilityTitle]):
        (-[WebAccessibilityObjectWrapper accessibilityDescription]):
        (-[WebAccessibilityObjectWrapper accessibilityHelpText]):
        * accessibility/mac/WebAccessibilityObjectWrapperMac.h: Added.
        * accessibility/mac/WebAccessibilityObjectWrapperMac.mm: Added.
        (std):
        (-[WebAccessibilityObjectWrapperMac detach]):
        (-[WebAccessibilityObjectWrapperMac attachmentView]):
        (CFAutoreleaseHelper):
        (AXObjectIsTextMarker):
        (AXObjectIsTextMarkerRange):
        (AXTextMarkerRange):
        (AXTextMarkerRangeStart):
        (AXTextMarkerRangeEnd):
        (SearchKeyEntry):
        (createAccessibilitySearchKeyMap):
        (accessibilitySearchKeyForString):
        (textMarkerForVisiblePosition):
        (-[WebAccessibilityObjectWrapperMac textMarkerForVisiblePosition:]):
        (visiblePositionForTextMarker):
        (-[WebAccessibilityObjectWrapperMac visiblePositionForTextMarker:]):
        (visiblePositionForStartOfTextMarkerRange):
        (visiblePositionForEndOfTextMarkerRange):
        (textMarkerRangeFromMarkers):
        (AXAttributedStringRangeIsValid):
        (AXAttributeStringSetFont):
        (CreateCGColorIfDifferent):
        (AXAttributeStringSetColor):
        (AXAttributeStringSetNumber):
        (AXAttributeStringSetStyle):
        (AXAttributeStringSetBlockquoteLevel):
        (AXAttributeStringSetSpelling):
        (AXAttributeStringSetHeadingLevel):
        (AXAttributeStringSetElement):
        (AXAttributedStringAppendText):
        (nsStringForReplacedNode):
        (-[WebAccessibilityObjectWrapperMac doAXAttributedStringForTextMarkerRange:]):
        (textMarkerRangeFromVisiblePositions):
        (-[WebAccessibilityObjectWrapperMac textMarkerRangeFromVisiblePositions:endPosition:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityActionNames]):
        (-[WebAccessibilityObjectWrapperMac additionalAccessibilityAttributeNames]):
        (-[WebAccessibilityObjectWrapperMac accessibilityAttributeNames]):
        (-[WebAccessibilityObjectWrapperMac visiblePositionRangeForTextMarkerRange:]):
        (-[WebAccessibilityObjectWrapperMac renderWidgetChildren]):
        (-[WebAccessibilityObjectWrapperMac remoteAccessibilityParentObject]):
        (convertToVector):
        (convertToNSArray):
        (-[WebAccessibilityObjectWrapperMac textMarkerRangeForSelection]):
        (-[WebAccessibilityObjectWrapperMac position]):
        (createAccessibilityRoleMap):
        (roleValueToNSString):
        (-[WebAccessibilityObjectWrapperMac role]):
        (-[WebAccessibilityObjectWrapperMac subrole]):
        (-[WebAccessibilityObjectWrapperMac roleDescription]):
        (-[WebAccessibilityObjectWrapperMac scrollViewParent]):
        (-[WebAccessibilityObjectWrapperMac titleTagShouldBeUsedInDescriptionField]):
        (-[WebAccessibilityObjectWrapperMac accessibilityTitle]):
        (-[WebAccessibilityObjectWrapperMac accessibilityDescription]):
        (-[WebAccessibilityObjectWrapperMac accessibilityHelpText]):
        (-[WebAccessibilityObjectWrapperMac accessibilityAttributeValue:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityFocusedUIElement]):
        (-[WebAccessibilityObjectWrapperMac accessibilityHitTest:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityIsAttributeSettable:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityIsIgnored]):
        (-[WebAccessibilityObjectWrapperMac accessibilityParameterizedAttributeNames]):
        (-[WebAccessibilityObjectWrapperMac accessibilityPerformPressAction]):
        (-[WebAccessibilityObjectWrapperMac accessibilityPerformIncrementAction]):
        (-[WebAccessibilityObjectWrapperMac accessibilityPerformDecrementAction]):
        (-[WebAccessibilityObjectWrapperMac accessibilityPerformShowMenuAction]):
        (-[WebAccessibilityObjectWrapperMac accessibilityShowContextMenu]):
        (-[WebAccessibilityObjectWrapperMac accessibilityPerformAction:]):
        (-[WebAccessibilityObjectWrapperMac accessibilitySetValue:forAttribute:]):
        (rendererForView):
        (-[WebAccessibilityObjectWrapperMac _accessibilityParentForSubview:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityActionDescription:]):
        (-[WebAccessibilityObjectWrapperMac doAXAttributedStringForRange:]):
        (-[WebAccessibilityObjectWrapperMac _convertToNSRange:]):
        (-[WebAccessibilityObjectWrapperMac _indexForTextMarker:]):
        (-[WebAccessibilityObjectWrapperMac _textMarkerForIndex:]):
        (-[WebAccessibilityObjectWrapperMac doAXRTFForRange:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityAttributeValue:forParameter:]):
        (-[WebAccessibilityObjectWrapperMac accessibilitySupportsOverriddenAttributes]):
        (-[WebAccessibilityObjectWrapperMac accessibilityShouldUseUniqueId]):
        (-[WebAccessibilityObjectWrapperMac accessibilityIndexOfChild:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityArrayAttributeCount:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityArrayAttributeValues:index:maxCount:]):
        ([WebAccessibilityObjectWrapperMac accessibilitySetShouldRepostNotifications:]):
        (-[WebAccessibilityObjectWrapperMac accessibilityPostedNotification:]):

2013-02-15  Eric Carlson  <eric.carlson@apple.com>

        [Mac] remove wkCaptionAppearance from WebKitSystemInterface
        https://bugs.webkit.org/show_bug.cgi?id=109996

        Reviewed by Simon Fraser.

        * platform/mac/WebCoreSystemInterface.h:
        * platform/mac/WebCoreSystemInterface.mm:

2013-02-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143088.
        http://trac.webkit.org/changeset/143088
        https://bugs.webkit.org/show_bug.cgi?id=110000

        Breaks the build (Requested by dgorbik on #webkit).

        * platform/mac/WebCoreSystemInterface.h:
        * platform/mac/WebCoreSystemInterface.mm:

2013-02-15  Chris Rogers  <crogers@google.com>

        Enhance AudioBus copyFrom() and sumFrom() to be able to handle discrete and speakers up and down-mixing
        https://bugs.webkit.org/show_bug.cgi?id=109983

        Reviewed by Kenneth Russell.

        The Web Audio spec has a more detailed explanation for how channels are to be up and down-mixed:
        https://dvcs.w3.org/hg/audio/raw-file/tip/webaudio/specification.html#UpMix

        This patch adds the initial support for handling ChannelInterpretation, although no
        new JS API is yet implemented.

        No new tests since no new APIs have yet been exposed.

        * platform/audio/AudioBus.cpp:
        (WebCore::AudioBus::copyFrom):
        (WebCore):
        (WebCore::AudioBus::sumFrom):
        (WebCore::AudioBus::speakersCopyFrom):
        (WebCore::AudioBus::speakersSumFrom):
        (WebCore::AudioBus::discreteCopyFrom):
        (WebCore::AudioBus::discreteSumFrom):
        * platform/audio/AudioBus.h:
        (AudioBus):

2013-02-15  Tony Chang  <tony@chromium.org>

        Padding and border changes doesn't trigger relayout of children
        https://bugs.webkit.org/show_bug.cgi?id=109639

        Reviewed by Kent Tamura.

        In RenderBlock::layoutBlock, we only relayout our children if our logical width
        changes. This misses cases where our logical width doesn't change (i.e., padding
        or border changes), but our content width does change.

        Also convert the needsLayout ASSERT into the if statement. This is because
        RenderScrollbarPart can change border widths and not need a layout if the scrollbar
        doesn't have a parent. In this case, we don't need to set any children for layout.

        This is a more general case of bug 104997.

        Test: fast/block/dynamic-padding-border.html

        * rendering/RenderBox.cpp:
        (WebCore::borderOrPaddingLogicalWidthChanged): Only check if the logical width changed.
        (WebCore::RenderBox::styleDidChange): Drop the border-box condition since this can happen
        even without border-box box sizing.

2013-02-15  Mark Lam  <mark.lam@apple.com>

        Split SQLStatement work between the frontend and backend.
        https://bugs.webkit.org/show_bug.cgi?id=104751.

        Reviewed by Geoffrey Garen.

        This is part of the webdatabase refactoring for webkit2.

        1. Copied SQLTransaction to SQLTransactionBackend, and then reduce the
           2 to only handle frontend and backend work respectively.

        2. Changed how statements are created.

           - SQLTransaction::executeSQL() first creates a SQLStatement frontend
             which encapsulates the 2 script callbacks. It then passes the
             SQLStatement to the backend database to create the
             SQLStatementBackend.
           - The SQLStatementBackend manages all sqlite work.

        3. Remove the Database::reportExecuteStatementResult() wrapper because
           it is only needed in the backend now.

        4. Added new files to the build / project files.

        5. Updated / added comments about how the SQLStatement life-cycle works.

        No new tests.

        * CMakeLists.txt:
        * GNUmakefile.list.am:
        * Modules/webdatabase/Database.cpp:
        * Modules/webdatabase/Database.h:
        (Database):
        (WebCore::Database::reportCommitTransactionResult):
        * Modules/webdatabase/DatabaseBackend.h:
        (DatabaseBackend):
        * Modules/webdatabase/SQLStatement.cpp:
        (WebCore::SQLStatement::create):
        (WebCore::SQLStatement::SQLStatement):
        (WebCore::SQLStatement::setBackend):
        (WebCore::SQLStatement::hasCallback):
        (WebCore::SQLStatement::hasErrorCallback):
        (WebCore::SQLStatement::performCallback):
        * Modules/webdatabase/SQLStatement.h:
        (SQLStatement):
        * Modules/webdatabase/SQLStatementBackend.cpp: Copied from Source/WebCore/Modules/webdatabase/SQLStatement.cpp.
        (WebCore::SQLStatementBackend::create):
        (WebCore::SQLStatementBackend::SQLStatementBackend):
        (WebCore::SQLStatementBackend::frontend):
        (WebCore::SQLStatementBackend::sqlError):
        (WebCore::SQLStatementBackend::sqlResultSet):
        (WebCore::SQLStatementBackend::execute):
        (WebCore::SQLStatementBackend::setDatabaseDeletedError):
        (WebCore::SQLStatementBackend::setVersionMismatchedError):
        (WebCore::SQLStatementBackend::setFailureDueToQuota):
        (WebCore::SQLStatementBackend::clearFailureDueToQuota):
        (WebCore::SQLStatementBackend::lastExecutionFailedDueToQuota):
        * Modules/webdatabase/SQLStatementBackend.h: Copied from Source/WebCore/Modules/webdatabase/SQLStatement.h.
        (SQLStatementBackend):
        (WebCore::SQLStatementBackend::hasStatementCallback):
        (WebCore::SQLStatementBackend::hasStatementErrorCallback):
        * Modules/webdatabase/SQLTransaction.cpp:
        (WebCore::SQLTransaction::deliverStatementCallback):
        (WebCore::SQLTransaction::deliverQuotaIncreaseCallback):
        (WebCore::SQLTransaction::executeSQL):
        * Modules/webdatabase/SQLTransactionBackend.cpp:
        (WebCore::SQLTransactionBackend::doCleanup):
        (WebCore::SQLTransactionBackend::currentStatement):
        (WebCore::SQLTransactionBackend::enqueueStatementBackend):
        (WebCore::SQLTransactionBackend::executeSQL):
        (WebCore::SQLTransactionBackend::runStatements):
        (WebCore::SQLTransactionBackend::getNextStatement):
        (WebCore::SQLTransactionBackend::runCurrentStatementAndGetNextState):
        (WebCore::SQLTransactionBackend::nextStateForCurrentStatementError):
        * Modules/webdatabase/SQLTransactionBackend.h:
        (SQLTransactionBackend):
        * Target.pri:
        * WebCore.gypi:
        * WebCore.vcproj/WebCore.vcproj:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * WebCore.xcodeproj/project.pbxproj:

2013-02-15  Elliott Sprehn  <esprehn@chromium.org>

        Rename HasCustomCallbacks to HasCustomStyleCallbacks
        https://bugs.webkit.org/show_bug.cgi?id=109982

        Reviewed by Eric Seidel.

        Now that inside ChildFrameDisconnector we only call isFrameOwnerElement()
        on elements that report having descendants (or themselves) have connected
        frames we don't need to be as agressive about avoiding the virtual call
        to isFrameOwnerElement() which lets us rename hasCustomCallbacks to
        hasCustomStyleCallbacks to better reflect it's purpose.

        * dom/ContainerNodeAlgorithms.h:
        (WebCore::ChildFrameDisconnector::collectFrameOwners):
        * dom/Element.cpp:
        (WebCore::Element::styleForRenderer):
        (WebCore::Element::recalcStyle):
        (WebCore::Element::willRecalcStyle):
        (WebCore::Element::didRecalcStyle):
        (WebCore::Element::customStyleForRenderer):
        * dom/Node.h:
        (WebCore::Node::pseudoId):
        (WebCore::Node::hasCustomStyleCallbacks):
        (WebCore::Node::customPseudoId):
        (WebCore::Node::setHasCustomStyleCallbacks):
        * dom/PseudoElement.cpp:
        (WebCore::PseudoElement::PseudoElement):
        * dom/ShadowRoot.cpp:
        (WebCore::ShadowRoot::recalcStyle):
        * html/HTMLFormControlElement.cpp:
        (WebCore::HTMLFormControlElement::HTMLFormControlElement):
        * html/HTMLFrameOwnerElement.cpp:
        (WebCore::HTMLFrameOwnerElement::HTMLFrameOwnerElement):
        (WebCore::HTMLFrameOwnerElement::disconnectContentFrame):
        * html/HTMLFrameSetElement.cpp:
        (WebCore::HTMLFrameSetElement::HTMLFrameSetElement):
        * html/HTMLIFrameElement.cpp:
        (WebCore::HTMLIFrameElement::HTMLIFrameElement):
        * html/HTMLInputElement.cpp:
        (WebCore::HTMLInputElement::HTMLInputElement):
        * html/HTMLMediaElement.cpp:
        (WebCore::HTMLMediaElement::HTMLMediaElement):
        * html/HTMLOptGroupElement.cpp:
        (WebCore::HTMLOptGroupElement::HTMLOptGroupElement):
        * html/HTMLOptionElement.cpp:
        (WebCore::HTMLOptionElement::HTMLOptionElement):
        * html/HTMLPlugInImageElement.cpp:
        (WebCore::HTMLPlugInImageElement::HTMLPlugInImageElement):
        * html/shadow/DateTimeEditElement.cpp:
        (WebCore::DateTimeEditElement::DateTimeEditElement):
        * html/shadow/TextControlInnerElements.cpp:
        (WebCore::TextControlInnerElement::TextControlInnerElement):
        (WebCore::TextControlInnerTextElement::TextControlInnerTextElement):
        * html/shadow/TextFieldDecorationElement.cpp:
        (WebCore::TextFieldDecorationElement::TextFieldDecorationElement):
        * svg/SVGElement.cpp:
        (WebCore::SVGElement::SVGElement):
        * svg/SVGUseElement.cpp:
        (WebCore::SVGUseElement::SVGUseElement):

2013-02-15  Eric Carlson  <eric.carlson@apple.com>

        [Mac] remove wkCaptionAppearance from WebKitSystemInterface
        https://bugs.webkit.org/show_bug.cgi?id=109996

        Reviewed by Simon Fraser.

        * platform/mac/WebCoreSystemInterface.h:
        * platform/mac/WebCoreSystemInterface.mm:

2013-02-15  Andreas Kling  <akling@apple.com>

        Calling DOM Element.attributes shouldn't force creation of ElementData.
        <http://webkit.org/b/109976>

        Reviewed by Darin Adler.

        Don't create ElementData for an Element unnecessarily just because someone calls .attributes on it.
        Previously, JS like this would create empty ElementData when 'element' has no attributes:

            for (i = 0; i < element.attributes.length; ++i)
                doStuff(element.attributes[i]);

        Make NamedNodeMap::length() short-circuit and return 0 if !Element::hasAttributes().

        * dom/Element.cpp:
        (WebCore::Element::attributes):
        * dom/NamedNodeMap.cpp:
        (WebCore::NamedNodeMap::length):

2013-02-15  Kentaro Hara  <haraken@chromium.org>

        [V8] An "EvenTarget" type in IDL should be converted to EventTarget*, not to Node*
        https://bugs.webkit.org/show_bug.cgi?id=109895

        Reviewed by Adam Barth.

        Currently an "EventTarget" type in IDL is converted to Node*.
        This is wrong because there are non-Node interfaces that inherit
        a EventTarget. We should convert an "EventTarget" type to EventTarget*.
        This will fix FIXMEs in CodeGeneratorV8.pm.

        * bindings/scripts/CodeGeneratorV8.pm:
        (GetNativeType):
        (JSValueToNative):

2013-02-15  Simon Fraser  <simon.fraser@apple.com>

        REGRESSION (r142505?): Crashes in WebCore::ScrollingStateNode::appendChild when using back/forward buttons
        https://bugs.webkit.org/show_bug.cgi?id=109826
        <rdar://problem/13216100>

        Reviewed by Beth Dakin.

        Fix a crash when going Back on some pages with fixed position elements.
        
        When a page was being restored from the page cache, and a layout from
        FrameLoader::commitProvisionalLoad() caused us to try to register the fixed
        position layer before the main scrolling layer, we'd crash trying to dereference
        the root node.
        
        Fix by bailing from ScrollingStateTree::attachNode() if we can't find the parent
        node.

        Test: platform/mac-wk2/tiled-drawing/null-parent-back-crash.html

        * page/scrolling/ScrollingStateTree.cpp:
        (WebCore::ScrollingStateTree::attachNode):
        (WebCore::ScrollingStateTree::stateNodeForID):
        * page/scrolling/mac/ScrollingCoordinatorMac.mm:
        (WebCore::ScrollingCoordinatorMac::updateViewportConstrainedNode):

2013-02-15  Simon Fraser  <simon.fraser@apple.com>

        Constrain fixed layers to the viewport, not the document
        https://bugs.webkit.org/show_bug.cgi?id=109646

        Reviewed by Beth Dakin.
        
        It's bad to constrain position:fixed compositing layers to the
        document rect, because their bounds will change every time the scroll
        position changes, and we're not good currently at synchronizing scrolling
        thread layer updates with main thread layer updates, so jiggles ensue.
        
        Fix by constraining position:fixed layers to the viewport.

        Test: compositing/geometry/limit-layer-bounds-fixed.html

        * rendering/RenderLayerBacking.cpp:
        (WebCore::RenderLayerBacking::updateCompositedBounds):

2013-02-13  Jer Noble  <jer.noble@apple.com>

        Add a CDMClient class which allows the CDM to query for the currently attached MediaPlayer.
        https://bugs.webkit.org/show_bug.cgi?id=109702

        Reviewed by Eric Carlson.

        Some CDM implementations will need to work closely with an associated
        MediaPlayer in order to generate key requests and provide keys. Add a
        client protocol to be implemented by the MediaKeys object which can
        provide access to the associated MediaPlayer if present.

        * Modules/encryptedmedia/CDM.cpp:
        (WebCore::CDM::CDM): Initialize the m_client ivar.
        (WebCore::CDM::mediaPlayer): Pass to the client, if present.
        * Modules/encryptedmedia/CDM.h:
        (WebCore::CDM::client): Simple getter.
        (WebCore::CDM::setClient): Simple setter.
        * Modules/encryptedmedia/MediaKeys.cpp:
        (WebCore::MediaKeys::MediaKeys): Initialize the m_mediaElement ivar
            and call setClient() on the passed in CDM.
        (WebCore::MediaKeys::setMediaElement): Simple setter.
        (WebCore::MediaKeys::cdmMediaPlayer): Retrieve the MediaPlayer from
            the m_mediaElement if present.
        * Modules/encryptedmedia/MediaKeys.h:
        * html/HTMLMediaElement.cpp:
        (WebCore::HTMLMediaElement::~HTMLMediaElement): Call setMediaKeys(0)
            to clear the mediaElement in any associated MediaKeys.
        (WebCore::HTMLMediaElement::setMediaKeys): Clear the mediaElement on
            any associated MediaKeys, and set the mediaElement on the newly
            associated MediaKeys.

2013-02-15  Simon Fraser  <simon.fraser@apple.com>

        drop-shadow filter with overflow:hidden child misbehaves
        https://bugs.webkit.org/show_bug.cgi?id=109783

        Reviewed by Dean Jackson.
        
        The change in r112745 was not sufficient; it failed to account
        for descendant layers that needed to not clipping to avoid artefacts
        with filters like drop-shadow.

        Test: css3/filters/filter-repaint-shadow-layer-child.html

        * rendering/RenderLayer.cpp:
        (WebCore::RenderLayer::paintLayerContents): Remove the useClipRect bool.
        Replace it with a clipToDirtyRect member on the LayerPaintingInfo, which
        gets passed to descendants. Remove some "Restore the clip" comments that added
        nothing.
        * rendering/RenderLayer.h:
        (WebCore::RenderLayer::LayerPaintingInfo::LayerPaintingInfo):
        (LayerPaintingInfo):

2013-02-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r143066.
        http://trac.webkit.org/changeset/143066
        https://bugs.webkit.org/show_bug.cgi?id=109986

        Broke the Apple Lion build (among others). (Requested by
        ddkilzer on #webkit).

        * accessibility/mac/AXObjectCacheMac.mm:
        (WebCore::AXObjectCache::attachWrapper):
        * accessibility/mac/WebAccessibilityObjectWrapper.h:
        * accessibility/mac/WebAccessibilityObjectWrapper.mm:
        (-[WebAccessibilityObjectWrapper unregisterUniqueIdForUIElement]):
        (-[WebAccessibilityObjectWrapper detach]):
        (-[WebAccessibilityObjectWrapper accessibilityObject]):
        (-[WebAccessibilityObjectWrapper attachmentView]):
        (CFAutoreleaseHelper):
        (AXObjectIsTextMarker):
        (AXObjectIsTextMarkerRange):
        (AXTextMarkerRange):
        (AXTextMarkerRangeStart):
        (AXTextMarkerRangeEnd):
        (SearchKeyEntry):
        (createAccessibilitySearchKeyMap):
        (accessibilitySearchKeyForString):
        (textMarkerForVisiblePosition):
        (-[WebAccessibilityObjectWrapper textMarkerForVisiblePosition:]):
        (visiblePositionForTextMarker):
        (-[WebAccessibilityObjectWrapper visiblePositionForTextMarker:]):
        (visiblePositionForStartOfTextMarkerRange):
        (visiblePositionForEndOfTextMarkerRange):
        (textMarkerRangeFromMarkers):
        (AXAttributedStringRangeIsValid):
        (AXAttributeStringSetFont):
        (CreateCGColorIfDifferent):
        (AXAttributeStringSetColor):
        (AXAttributeStringSetNumber):
        (AXAttributeStringSetStyle):
        (AXAttributeStringSetBlockquoteLevel):
        (AXAttributeStringSetSpelling):
        (AXAttributeStringSetHeadingLevel):
        (AXAttributeStringSetElement):
        (AXAttributedStringAppendText):
        (nsStringForReplacedNode):
